import {
  getElementById,
  mountNodeList,
  createNode,
} from '../../src/shared/foundation/js/dom'

export const userType = {}
export const env = {
  "version": "",
  "api": "",
  "tagx": "",
  "gtm": "",
  "hostname": "",
  "edge": "",
  "name": ""
}
window.env = env

export const mobileNavTools = (() => {
  const globalNav = getElementById('js-global-nav')
  const mobileToolbar = getElementById('js-mobile-toolbar')
  const toolbarItemClass = 'pz-nav__toolbar-item'
  const showToolBarClass = 'show-mobile-toolbar'

  const toolTypes = {
    text: (value, action) =>
      createNode(
        'span',
        { class: toolbarItemClass, onClick: action },
        value,
      ),
  }

  const createTool = (tool) => {
    return toolTypes[tool.type](tool.value, tool.action)
  }

  let isActive

  return {
    create(tools) {
      mountNodeList(mobileToolbar, tools.map(createTool))
    },
    activate() {
      if (isActive) return
      isActive = true
    },
    deactivate() {
      if (!isActive) return
      isActive = false
    },
  }
})()
export const track = () => {}
export const trackClick = () => {}
export const trackImpression = () => {}
export const trackModuleInteraction = () => {}
export const getFeedbackLink = (subject) => {
  return Promise.all([]).then((href) => {
    return ''
  })
}

export const abra = () => {}

const request = () => {
  return Promise.resolve()
}

export const xhr = {
  get: () => request(),
  post: () => {},
  put: request(),
  delete: request(),
  request,
}

export const getGameData = () => ({
  // Letter Boxed
  id: 883,
  expiration: 1621321200,
  ourSolution: ['BRINKS', 'STOMACH'],
  printDate: '2021-05-17',
  sides: ['ASB', 'CTI', 'HNM', 'KOR'],
  date: 'May 17, 2021',
  dictionary: ['BRINKS', 'STOMACH'],
  par: 5,
  yesterdaysSolution: ['POLEMIC', 'CHINTZY'],
  yesterdaysSides: ['HZO', 'IET', 'CYL', 'NMP'],
  freeExpiration: 0,
  editor: 'Sam Ezersky',
  editorImage:
    'https://storage.googleapis.com/nyt-games-prd.appspot.com/avatars/sam-ezersky.png',
  // Sudoku
  displayDate: 'November 21, 2022',
  easy: {
    day_of_week: 'Monday',
    difficulty: 'Easy',
    print_date: '2022-11-21',
    published: '2022-11-20 13:00:00',
    puzzle_id: 147407,
    version: 1,
    puzzle_data: {
      hints: [
        42, 46, 74, 26, 10, 70, 41, 53, 19, 69, 2, 25, 36, 62, 1, 34,
        50, 71, 72, 59, 65, 80, 30, 22, 17, 28, 43, 60, 75, 5, 23, 54,
        76, 39, 3, 11, 24, 45, 68, 31, 27, 40, 52,
      ],
      puzzle: [
        8, 0, 0, 0, 7, 0, 9, 4, 2, 7, 0, 0, 2, 4, 6, 5, 8, 0, 4, 0, 3,
        5, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 7, 6, 0, 9, 0, 8, 5, 0, 0, 0,
        0, 0, 1, 0, 0, 9, 6, 3, 0, 8, 0, 0, 0, 1, 2, 4, 5, 0, 0, 7, 0,
        3, 4, 0, 7, 6, 0, 0, 0, 0, 0, 6, 0, 0, 0, 2, 4, 1, 0,
      ],
      solution: [
        8, 5, 6, 1, 7, 3, 9, 4, 2, 7, 9, 1, 2, 4, 6, 5, 8, 3, 4, 2, 3,
        5, 8, 9, 1, 6, 7, 2, 3, 4, 8, 1, 7, 6, 5, 9, 6, 8, 5, 9, 2, 4,
        7, 3, 1, 1, 7, 9, 6, 3, 5, 8, 2, 4, 9, 1, 2, 4, 5, 8, 3, 7, 6,
        3, 4, 8, 7, 6, 1, 2, 9, 5, 5, 6, 7, 3, 9, 2, 4, 1, 8,
      ],
    },
  },
  hard: {
    day_of_week: 'Monday',
    difficulty: 'Hard',
    print_date: '2022-11-21',
    published: '2022-11-20 13:00:00',
    puzzle_id: 147406,
    version: 1,
    puzzle_data: {
      hints: [
        67, 8, 70, 26, 62, 77, 18, 2, 55, 64, 72, 73, 5, 19, 1, 11,
        16, 28, 32, 37, 45, 48, 6, 9, 34, 38, 57, 25, 29, 44, 47, 53,
        4, 7, 15, 23, 31, 35, 39, 43, 50, 51, 13, 24, 41, 59, 79, 14,
        60, 61, 65, 68, 75, 76, 56, 66, 69, 78,
      ],
      puzzle: [
        2, 0, 0, 5, 0, 0, 0, 0, 0, 0, 9, 0, 1, 0, 0, 0, 0, 7, 0, 0, 8,
        7, 3, 0, 0, 0, 0, 1, 0, 0, 2, 0, 0, 6, 0, 0, 9, 0, 0, 0, 7, 0,
        5, 0, 0, 0, 4, 0, 0, 5, 0, 0, 8, 0, 8, 0, 0, 0, 6, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 6, 0, 0, 0, 0, 0, 1,
      ],
      solution: [
        2, 7, 1, 5, 9, 6, 3, 4, 8, 6, 9, 3, 1, 8, 4, 2, 5, 7, 4, 5, 8,
        7, 3, 2, 9, 1, 6, 1, 8, 5, 2, 4, 3, 6, 7, 9, 9, 6, 2, 8, 7, 1,
        5, 3, 4, 3, 4, 7, 6, 5, 9, 1, 8, 2, 8, 1, 9, 3, 6, 7, 4, 2, 5,
        5, 2, 4, 9, 1, 8, 7, 6, 3, 7, 3, 6, 4, 2, 5, 8, 9, 1,
      ],
    },
  },
  medium: {
    day_of_week: 'Monday',
    difficulty: 'Medium',
    print_date: '2022-11-21',
    published: '2022-11-20 13:00:00',
    puzzle_id: 147408,
    version: 1,
    puzzle_data: {
      hints: [
        22, 48, 43, 23, 15, 6, 24, 60, 78, 70, 52, 66, 75, 77, 5, 14,
        68, 50, 32, 31, 33, 35, 40, 42, 29, 65, 20, 10, 25, 38, 7, 12,
        44, 46, 56, 64, 76, 1, 4, 19, 36, 45, 53, 57, 62, 63, 67, 72,
        80, 0, 3, 18, 27, 28, 37, 58, 73,
      ],
      puzzle: [
        0, 0, 5, 0, 0, 0, 0, 0, 8, 1, 0, 8, 0, 9, 0, 0, 5, 4, 0, 0, 0,
        2, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 6,
        0, 0, 0, 0, 0, 4, 0, 7, 0, 6, 0, 0, 7, 5, 0, 0, 0, 8, 0, 9, 0,
        0, 0, 0, 0, 0, 0, 8, 0, 7, 0, 0, 3, 0, 0, 0, 0, 4, 0,
      ],
      solution: [
        2, 3, 5, 6, 4, 1, 9, 7, 8, 1, 6, 8, 7, 9, 3, 2, 5, 4, 4, 9, 7,
        2, 8, 5, 1, 6, 3, 3, 8, 6, 1, 5, 4, 7, 2, 9, 9, 7, 1, 3, 2, 6,
        4, 8, 5, 5, 2, 4, 8, 7, 9, 6, 3, 1, 7, 5, 2, 4, 1, 8, 3, 9, 6,
        6, 4, 9, 5, 3, 2, 8, 1, 7, 8, 1, 3, 9, 6, 7, 5, 4, 2,
      ],
    },
  },

  today: {
    expiration: 1670054400,
    displayWeekday: 'Friday',
    displayDate: 'December 2, 2022',
    printDate: '2022-12-02',
    centerLetter: 'v',
    outerLetters: ['a', 'i', 'l', 'r', 't', 'y'],
    validLetters: ['v', 'a', 'i', 'l', 'r', 't', 'y'],
    pangrams: ['triviality', 'trivially', 'virality'],
    answers: [
      'triviality',
      'trivially',
      'virality',
      'arrival',
      'avail',
      'avatar',
      'aviary',
      'larva',
      'larval',
      'lava',
      'rival',
      'rivalry',
      'travail',
      'trivia',
      'trivial',
      'vary',
      'vial',
      'villa',
      'viral',
      'virally',
      'virility',
      'vital',
      'vitality',
      'vitally',
    ],
    id: 18116,
    freeExpiration: 0,
    editor: 'Sam Ezersky',
  },
  yesterday: {
    displayWeekday: 'Thursday',
    displayDate: 'December 1, 2022',
    printDate: '2022-12-01',
    centerLetter: 'c',
    outerLetters: ['a', 'g', 'i', 'n', 'r', 'u'],
    validLetters: ['c', 'a', 'g', 'i', 'n', 'r', 'u'],
    pangrams: ['accruing', 'uncaring'],
    answers: [
      'accruing',
      'uncaring',
      'acacia',
      'acai',
      'acing',
      'arcana',
      'arcing',
      'arnica',
      'caging',
      'cairn',
      'cancan',
      'caning',
      'canna',
      'canning',
      'caring',
      'cigar',
      'circa',
      'cirri',
      'crag',
      'crania',
      'craning',
      'cringing',
      'cuing',
      'cunning',
      'curing',
      'gracing',
      'icing',
      'incur',
      'incurring',
      'narc',
      'niacin',
      'nuancing',
      'racing',
      'ricin',
      'ricing',
      'runic',
      'uncaging',
      'uric',
    ],
    id: 19603,
    freeExpiration: 0,
    editor: 'Sam Ezersky',
  },
})

export const captureSentryError = () => {}
export const setSentryData = () => {}
export const initSentry = () => {}
export const refreshAds = () => {}
export const appendSupportedParams = (
  link,
  params,
) => {
  return `mockedFoundationAppendSupportedParams-${link}${params}`
}

export const SEND_EMAIL_TYPE = {
  SUGGESTION: 'suggest-storybook',
  FEEDBACK: 'feedback-storybook',
  LETTERBOXED: 'feedback-letterboxed-storybook',
  SUDOKU: 'feedback-sudoku-storybook',
  TILES: 'feedback-tiles-storybook',
  WORDLE: 'feedback-wordle-storybook',
}
