# 1. Use Airbnb ESLint Config, Prettier, and Husky Pre-Commit Hooks

Date: 2020-04-20

## Status

Accepted

## Context

Team decision was made to move this repository over to the ESLint Airbnb standard configuration with Prettier code formatting to enforce code clarity and consistency.

Pre-Commit Hooks with Husky were also added to lint and format code before push to catch linting bugs prior to hitting the drone deploy lint step.

Supporting the above allowed us to upgrade:

- Node to version `13.8.0`
- `React` and `ReactDOM` to version `16.13.0`
- `@babel-core` to version `7.8.6`

## Decision

Team decided to implement for code quality and dependency upgrade benefits.

## Consequences

We encountered early issues with:

- Rollup babel configuration
- Prettier auto-formatting caused some developers to lose work if stopped or failed while re-writing files
- Need to circle back to upgrade Node to an LTS version -
  **e.g.:** `14.x`, `16.x` etc.
