import { test, expect } from '@playwright/test'
import type { Page } from '@playwright/test'

test.describe.configure({ mode: 'serial' })

let page: Page

test.beforeAll(async ({ browser }) => {
  page = await browser.newPage()
})

test.afterAll(async () => {
  await page.close()
})

test.describe('Shortz Letter Boxed Smoke Test', () => {
  test('the loads a 404 for non shortz users', async () => {
    await page.goto('/puzzles/shortz/letter-boxed/2023-09-20')
    await expect(page).toHaveTitle(/Page Not Found/)
    const loginButton = page.getByText('Log In')
    await expect(loginButton !== undefined).toBeTruthy()
  })
  // sees log in button

  test('user can click explore games button', async () => {
    await page.getByText('Explore Our Games').click()
    await page.waitForURL('**/crosswords')
    await expect(page).toHaveTitle(/Crossword/)
  })
})
