import { test, expect } from '@playwright/test'
import type { Page } from '@playwright/test'

test.describe.configure({ mode: 'serial' })

let page: Page

test.beforeAll(async ({ browser }) => {
  page = await browser.newPage()
})

test.afterAll(async () => {
  await page.close()
})

test.describe('Mini Crossword: Smoke Test', () => {
  test('the page loads without error', async () => {
    await page.goto('/crosswords/game/mini')
    await expect(page).toHaveTitle(/Mini Crossword Puzzle/)
  })

  test('the welcome moment has loaded and user can press play', async () => {
    await page
      .getByRole('button', { name: 'Play without an account' })
      .click()
    expect(page.locator('#puzzle')).toHaveCount(1)
  })
})
