import { test, expect } from '@playwright/test'
import type { Page } from '@playwright/test'

test.describe.configure({ mode: 'serial' })

let page: Page

test.beforeAll(async ({ browser }) => {
  page = await browser.newPage()
})

test.afterAll(async () => {
  await page.close()
})

test.describe('Spelling Bee Hub: Smoke Test', () => {
  test('the page loads without error', async () => {
    await page.goto('/puzzles/spelling-bee/hub')
    await expect(page).toHaveTitle(/Play Spelling Bee puzzles/)
  })

  test('loads hub page and can navigate to puzzle', async () => {
    const pageTitle = await page.getByText("Today's Puzzle")
    const pageEditor = await page.getByText('by Sam Ezersky')
    const pageSubTitle = await page.getByText('Past Puzzles')
    await expect(pageTitle !== undefined).toBeTruthy()
    await expect(pageEditor !== undefined).toBeTruthy()
    await expect(pageSubTitle !== undefined).toBeTruthy()
    const puzzleCard = await page
      .getByRole('link', { name: 'Tuesday' })
      .last()
      .click()
    const spellingBeePageTitle = await page.getByText('Tuesday')
    await expect(spellingBeePageTitle !== undefined).toBeTruthy()
  })
})
