import { test, expect } from '@playwright/test'
import type { Page } from '@playwright/test'

test.describe.configure({ mode: 'serial' })

let page: Page

test.beforeAll(async ({ browser }) => {
  page = await browser.newPage()
})

test.afterAll(async () => {
  await page.close()
})

test.describe('Stats: smoke test', () => {
  test('the page loads without error', async () => {
    await page.goto('/puzzles/stats')
    await expect(page).toHaveTitle(
      /NYTimes Crosswords - Play Daily and Mini Puzzles - NYTimes.com - The New York Times/,
    )
  })

  test('longest streak and subscribe messaging', async () => {
    await page
      .getByText('Looking for your longest streak')
      .isVisible()
    await expect(
      page.getByRole('link', { name: 'SUBSCRIBE', exact: true }),
    ).toBeVisible()
  })
})
