import { test, expect } from '@playwright/test'
import type { Page } from '@playwright/test'

test.describe.configure({ mode: 'serial' })

let page: Page

test.beforeAll(async ({ browser }) => {
  page = await browser.newPage()
})

test.afterAll(async () => {
  await page.close()
})

test.describe('Sudoku: Smoke Test', () => {
  test('the page loads without error', async () => {
    await page.goto('/puzzles/sudoku')
    await expect(page).toHaveTitle(/Sudoku/)
  })

  test('the welcome moment has loaded', async () => {
    await page.getByRole('button', { name: 'Easy' }).click()
  })

  test('the game board is playable', async () => {
    await expect(page.locator('.su-board')).toBeVisible()

    await page.keyboard.press('2')

    await expect(page.locator('.guessed')).toBeTruthy()
  })
})
