import { test, expect } from '@playwright/test'
import type { Page } from '@playwright/test'

test.describe.configure({ mode: 'serial' })

let page: Page

test.beforeAll(async ({ browser }) => {
  page = await browser.newPage()
})

test.afterAll(async () => {
  await page.close()
})

test.describe('Tiles: Smoke Test', () => {
  test('the page loads without error', async () => {
    await page.goto('/puzzles/tiles')
    await expect(page).toHaveTitle(/Tiles/)
  })

  test('the welcome moment has loaded', async () => {
    await page.getByRole('button', { name: 'Play' }).click()
  })

  test('the game board is playable', async () => {
    await expect(page.locator('#tls-tileset')).toBeVisible()

    await page.locator('.tls-selector').first().click()

    await expect(page.locator('.selected')).toBeTruthy()
  })
})
