import { test, expect } from '@playwright/test'
import type { Page } from '@playwright/test'

test.describe.configure({ mode: 'serial' })

let page: Page

test.beforeAll(async ({ browser }) => {
  page = await browser.newPage()
})

test.afterAll(async () => {
  await page.close()
})

test.describe('Shortz Wordle', () => {
  test('the loads a 404 for non shortz users', async () => {
    await page.goto('/puzzles/shortz/wordle/2023-10-30')
    await expect(page).toHaveTitle(/Page Not Found/)
  })

  test('user can click explore games button', async () => {
    await page.getByText('Explore Our Games').click()
    await page.waitForURL('**/crosswords')
    await expect(page).toHaveTitle(/Crossword/)
  })
})
