const aliases = require('./tools/createAliases')

module.exports = {
  verbose: true,
  testRegex: '(src|e2e)/.*\\.test.(js|jsx|ts|tsx)$',
  testURL: 'http://localhost/',
  watchPathIgnorePatterns: ['dist/.*'],
  testPathIgnorePatterns: ['e2e/((?!commands).).*'],
  modulePathIgnorePatterns: ['.storybook'],
  collectCoverage: false,
  transform: {
    '^.+\\.(js|jsx|ts|tsx)$': './tools/jest-transform.js',
  },
  transformIgnorePatterns: [
    '<rootDir>/node_modules/(?!lodash-es/.*)',
  ],
  collectCoverageFrom: [
    'src/**/*.{js,ts,tsx}',
    '!**/node_modules/**',
    '!**/vendor/**',
  ],
  globals: {
    AssertionError: true,
    __DEV__: true,
    __PROD__: true,
    __DISABLE_ADS__: true,
  },
  moduleNameMapper: {
    '\\.(css|less|scss|sss|styl)$': 'identity-obj-proxy',
    ...Object.keys(aliases).reduce((acc, key) => {
      acc[`^${key}(.*)$`] = `<rootDir>/${aliases[key]}$1`
      return acc
    }, {}),
    axios: 'axios/dist/node/axios.cjs',
  },
  moduleDirectories: ['node_modules', '<rootDir>'],
  setupFiles: ['./tools/jest/setupFiles/index.js'],
  setupFilesAfterEnv: [
    '<rootDir>/tools/jest/setupFiles/jest-setup.js',
  ],
}
