import React from 'react'
import classNames from 'classnames'

import AdInterstitial from '../../../../shared/components/AdInterstitial'
import { useTheme } from '../../components/Theme'

import styles from './AdMoment.module.scss'

type MomentContentProps = {
  isActive: boolean
  transitionFromAdToGame: () => void
}
const AdMoment = ({
  isActive,
  transitionFromAdToGame,
}: MomentContentProps) => {
  const theme = useTheme()
  if (!isActive) return null

  return (
    <AdInterstitial
      backgroundColor={theme.AD.BACKGROUND}
      id="intsl"
      isSpecialAdUnit
      position="intsl"
      onClose={transitionFromAdToGame}
      ctaCopy="Continue to Connections"
      className={classNames('ad-interstital', styles.adInterstitial)}
      skipButtonClassName={classNames(
        styles.adInterstitialSkipButton,
      )}
    />
  )
}
export default AdMoment
