import React from 'react'

import SharedLoader from '../../shared/moments/components/Loader'
import { useTheme } from '../components/Theme'

const config = {
  transitionTo: 'welcome',
  isActive: true,
}

type MomentLoaderProps = {
  hasLoaded: boolean
  today: Date
}

const Loader = ({ hasLoaded, today }: MomentLoaderProps) => {
  const theme = useTheme()

  const loaderProps = {
    ...config,
    hasLoaded,
    today,
    bgColor: theme.WELCOME.BACKGROUND,
    barBgColor: theme.LOADING_BAR.BACKGROUND,
    barColor: theme.LOADING_BAR.COLOR,
  }

  return <SharedLoader {...loaderProps} />
}

export default Loader
