import { Level } from '../levelTypes'

export type ErrorName =
  | 'offline'
  | 'default'
  | 'missingData'
  | 'precedesLaunch'
  | null

export interface APICard {
  content: string
  position: number
  level: Level
}

export interface APICategory {
  title: string
  cards: APICard[]
}

export type APIPuzzle = {
  print_date: string
  id: number
  editor: string
  categories: APICategory[]
  status: 200
}

export type PuzzleResponseError = {
  status: number
  errors: string[]
  results?: {}[]
}

export interface PuzzleResponseSuccess extends APIPuzzle {
  status: 200
}
