import { Level } from '../../levelTypes'
import { Card } from '../../types'

import { shuffleCards } from './helpers'

function createCards(level: Level, startingPosition: number): Card[] {
  const cards = Array(4)
    .fill(0)
    .map((content, i): Card => {
      const originalPosition = startingPosition + i
      return {
        level,
        originalPosition,
        selected: false,
        content: `Level ${level}: ${content}`,
        currentPosition: originalPosition,
      }
    })

  return cards
}
describe('Connections/Components/Actions/Helpers', () => {
  it('returns correct shuffled card positions', () => {
    const startingPosition = 8
    const cards = createCards(Level.Level1, startingPosition)
    const res = shuffleCards(cards)

    // ensure cards now have different current positions
    expect(cards).not.toEqual(res)
    expect(cards[0].originalPosition).toEqual(startingPosition)
    expect(res[0].currentPosition).not.toEqual(startingPosition)
  })
})
