import shuffle from 'lodash-es/shuffle'

import { Card } from '../../types'

export const shuffleCards = (cards: Card[]): Card[] => {
  const newPositions: number[] = shuffle(
    Array.from(Array(cards.length).keys()),
  )

  return cards.map((c, i) => ({
    ...c,
    currentPosition: newPositions[i],
  }))
}
