import React from 'react'
import { Story } from '@storybook/react'

import MistakesComponent from '../Mistakes'
import { MAX_MISTAKES } from '../../../constants'

interface Props {
  mistakes: number
  isMistakeIndicatorDisabled: boolean
  puzzleSolved: boolean
}

const MistakesTemplate: Story<Props> = ({
  mistakes = 0,
  isMistakeIndicatorDisabled = false,
  puzzleSolved = false,
}: Props) => {
  return (
    <MistakesComponent
      mistakes={mistakes}
      isMistakeIndicatorDisabled={isMistakeIndicatorDisabled}
      puzzleSolved={puzzleSolved}
    />
  )
}

export const Mistakes = MistakesTemplate.bind({})
Mistakes.args = {
  mistakes: 0,
  isMistakeIndicatorDisabled: false,
  puzzleSolved: false,
}

export default {
  component: Mistakes,
  title: 'Connections/Components/Mistakes',
  decorators: [
    (Story: Story) => {
      document.body.classList.add('pz-desktop')
      document.body.classList.add('pz-page')
      return (
        <div style={{ padding: '10px' }}>
          <Story />
        </div>
      )
    },
  ],
  argTypes: {
    mistakes: {
      control: {
        type: 'number',
        min: 0,
        max: MAX_MISTAKES,
        step: 1,
      },
    },
  },
}
