import React from 'react'
import { Story } from '@storybook/react'

import HowToPlayComponent from '../HowToPlay'
import { ThemeProvider } from '../../Theme'

const HowToPlayTemplate = () => (
  <ThemeProvider>
    <HowToPlayComponent
      close={() => {}}
      isClosing={false}
      onRemove={() => {}}
    />
  </ThemeProvider>
)

export const HowToPlay = HowToPlayTemplate.bind({})

export default {
  title: 'Connections/Modals/How To Play',
  component: HowToPlay,
  decorators: [
    (Story: Story) => {
      document.body.classList.add('pz-desktop')
      document.body.classList.add('pz-page')
      return (
        <div
          id="modal-system-portal"
          className="modal-system-container"
        >
          <Story />
        </div>
      )
    },
  ],
}
