import React from 'react'
import { createPortal } from 'react-dom'

import { todaysDateAsString } from '../sharedHelpers'

const NavDate = ({ today }: { today: Date }) => {
  const navDate = <span>{todaysDateAsString(today)}</span>
  const portalRef = React.useRef(
    document.getElementById('portal-game-date'),
  )

  if (!portalRef.current) {
    return navDate
  }

  return createPortal(navDate, portalRef.current)
}

export default NavDate
