import React from 'react'

import { useUser } from 'user'

import Error from '../../../shared/components/Error/Error'
import '../../../shared/shared-styles'
import '../../../shared/error-page/index.scss'

import Game from './Game/Game'

const ProtectedGame = () => {
  const user = useUser()
  const isLoading =
    !user.hasLoaded ||
    (user.userType.isLoggedIn && !user.shortzHasLoaded)

  if (isLoading) {
    return null
  }

  if (user.userType.inShortzMode) {
    return <Game />
  }

  return (
    <Error
      error={{ status: 404 }}
      navigationLinks={window.navigationLinks}
    />
  )
}

export default ProtectedGame
