import React from 'react'

import ActionButton from '../ActionButton/ActionButton'
import { ButtonSize } from '../ActionButton/types'

import styles from './ShortzControls.module.scss'

interface Props {
  autoSolve: () => void
  disabled: boolean
  puzzleSolved: boolean
  resetBoard: () => void
}

export default ({
  autoSolve,
  disabled,
  puzzleSolved,
  resetBoard,
}: Props) => {
  return (
    <div className={styles.shortzContainer}>
      <ActionButton
        form="default-choices"
        size={ButtonSize.LARGE}
        disabled={disabled || puzzleSolved}
        onClick={autoSolve}
      >
        Complete Puzzle
      </ActionButton>
      <ActionButton
        form="default-choices"
        size={ButtonSize.MEDIUM}
        disabled={disabled || !puzzleSolved}
        onClick={resetBoard}
      >
        Reset Puzzle
      </ActionButton>
    </div>
  )
}
