import { Card } from '../../types'
import { unplayedPuzzle } from '../../__tests__/fixtures/game-data/unplayed-puzzle'

import { cardSortByAlphaContent } from './helpers'

describe('card sorting', () => {
  it('sorts card by alpha order', () => {
    const validCards = unplayedPuzzle.categories[0].cards as Card[]
    // ensure original order is different
    expect(validCards[0].content).toEqual('TRIANGLE')

    const sortedCards = validCards.sort(cardSortByAlphaContent)

    expect(sortedCards[0].content).toEqual('CIRCLE')
    expect(sortedCards[1].content).toEqual('HORSESHOE')
    expect(sortedCards[3].content).toEqual('TRIANGLE')
  })
})
