import React from 'react'

import { ConnectionsToast } from '../../store/types'

import type { ToastProps } from './toastTypes'
import Toast from './Toast'

const toastMap = {
  [ConnectionsToast.ALREADY_GUESSED]: ({ onRemove }: ToastProps) => {
    return <Toast text="Already guessed!" onRemove={onRemove} />
  },
  [ConnectionsToast.ONE_AWAY]: ({ onRemove }: ToastProps) => {
    return <Toast text="One away..." onRemove={onRemove} />
  },
  [ConnectionsToast.REVEAL_MISTAKE_TITLE]: ({
    onRemove,
    rankTitle,
  }: ToastProps) => {
    return <Toast text={rankTitle} onRemove={onRemove} />
  },
  [ConnectionsToast.COPY_RESULTS]: ({ onRemove }: ToastProps) => {
    return (
      <Toast text="Copied results to clipboard" onRemove={onRemove} />
    )
  },
  [ConnectionsToast.SHARE_FAIL]: ({ onRemove }: ToastProps) => {
    return <Toast text="Share failed" onRemove={onRemove} />
  },
}

export { toastMap }
