import React from 'react'
import { Story } from '@storybook/react'

import ToastComponent from '../Toast'
import { ThemeProvider } from '../../Theme'

const toastArgs = {
  text: 'Check me out!',
  durationVisible: 3000,
  onDone: () => {},
}

const ToastTemplate = (args: {
  text: string
  durationVisible: number
  onDone: () => {}
}) => (
  <div
    style={{
      position: 'relative',
      margin: '60px 0',
      minHeight: '30px',
    }}
  >
    <ThemeProvider>
      <ToastComponent {...args} />
    </ThemeProvider>
  </div>
)

export const Toast = ToastTemplate.bind({})

export default {
  title: 'Connections/Toast/Toast',
  component: Toast,
  args: toastArgs,
  decorators: [
    (Story: Story) => {
      document.body.classList.add('pz-desktop')
      document.body.classList.add('pz-page')
      return <Story />
    },
  ],
}
