import { Selector } from 'reselect'

import {
  CongratsTitleByMistakesMade,
  MistakeCount,
} from '../../types'

export interface ToastProps {
  close: (isCancelled?: boolean) => void
  isClosing: boolean
  onRemove: () => void
  [key: string]: unknown | any
}

export type ToastMap = Record<
  string,
  ({ close }: ToastProps) => JSX.Element | null
>

export type ToastManagerProps = {
  getIsClosing: Selector<any, boolean>
  getOpenToastName: Selector<any, string | null>
  toastMap: ToastMap
  onClose: (isCancelled: boolean) => {
    type: string
    payload: { isCancelled: boolean }
  }
  onRemove: () => {
    type: string
  }
  portalId: 'portal-toast-system'
  rankTitle: (typeof CongratsTitleByMistakesMade)[MistakeCount]
  [key: string]: unknown | any
}
