import { Card } from '../types'
import { LAUNCH_DATE } from '../constants'

const ONE_DAY_EXACTLY_MS = 1000 * 60 * 60 * 24

// Used by Board and by Cards
export const cardSort = (a: Card, b: Card): number =>
  a.currentPosition - b.currentPosition

// A util that returns the number of games we've run so far
// which we were historically using as a game ID
export function getNthDayOfGame(todaysDate = new Date()): number {
  const msDiff =
    todaysDate.setHours(0, 0, 0, 0) - LAUNCH_DATE.setHours(0, 0, 0, 0)

  let dayDiff = Math.round(msDiff / ONE_DAY_EXACTLY_MS)

  if (dayDiff < 0) {
    dayDiff = Math.abs(dayDiff)
  }

  return dayDiff
}

export function todaysDateAsString(today: Date) {
  return `${today.toLocaleString('default', {
    month: 'long',
  })} ${today.getDate()}, ${today.getFullYear()}`
}
