import { configureStore } from '@reduxjs/toolkit'
import React from 'react'
import ReactDOM from 'react-dom'
import { Provider } from 'react-redux'

import { UserProvider } from 'user'

import AbraProviderWithUser from '../../shared/abra/AbraProviderWithUser'
import { FeatureFlagProvider } from '../../shared/abra/FeatureFlagProvider'
import '../../shared/shared-styles'
import ClientSideScripts from '../../shared/components/ClientSideScripts'

import ProtectedGame from './components/ProtectedGame'
import './index.scss'
import { reducer } from './store/reducer'

const gameRoot = document.getElementById('pz-game-root')

ReactDOM.render(
  <>
    <ClientSideScripts />
    <Provider store={configureStore({ reducer })}>
      <UserProvider>
        <AbraProviderWithUser>
          <FeatureFlagProvider>
            <ProtectedGame />
          </FeatureFlagProvider>
        </AbraProviderWithUser>
      </UserProvider>
    </Provider>
  </>,
  gameRoot,
)
