import { createSelector } from 'reselect'

import { ConnectionsStoreState } from './reducer'

const getModalState = (state: ConnectionsStoreState) => state.modal

export const getOpenModalName = createSelector(
  getModalState,
  (state) => state.name,
)

export const getIsModalOpen = createSelector(
  getOpenModalName,
  (name) => !!name,
)

export const getIsModalClosing = createSelector(
  getModalState,
  (state) => state.isClosing,
)

const getToastState = (state: ConnectionsStoreState) => state.toast

export const getOpenToastName = createSelector(
  getToastState,
  (state) => state.name,
)

export const getIsToastOpen = createSelector(
  getOpenToastName,
  (name) => !!name,
)

export const getIsToastClosing = createSelector(
  getToastState,
  (state) => state.isClosing,
)
