import React from 'react'
import classNames from 'classnames'

import AdInterstitial from '../../../../shared/components/AdInterstitial'

import styles from './AdMoment.module.scss'

type MomentContentProps = {
  isActive: boolean
  momentSystem: {
    getCurrentMoment: () => string
    transition: (from: string, to: string) => {}
  }
}
const AdMoment = ({ isActive, momentSystem }: MomentContentProps) => {
  if (!isActive) return null

  const progressToGame = () => {
    momentSystem.transition('ad', 'game')
  }

  return (
    <AdInterstitial
      id="intsl"
      isSpecialAdUnit
      position="intsl"
      onClose={progressToGame}
      ctaCopy="Continue to Connections"
      className={classNames('ad-interstital', styles.adInterstitial)}
      skipButtonClassName={classNames(
        styles.adInterstitialSkipButton,
      )}
    />
  )
}
export default AdMoment
