export const IS_PHONE_QUERY = '(max-width: 640px)'
export default (): boolean => {
  const isTablet =
    /Tablet|iPad|GT-P|SM-T|Xoom|SC-|LG-V|Nexus 7|Nexus 10|KFAPWI|KFTHWI|KFOT|KFTBWI|SGP/i.test(
      navigator?.userAgent,
    )

  const isMobile =
    /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(
      navigator?.userAgent,
    )

  const phoneMediaQuery =
    !!window?.matchMedia?.(IS_PHONE_QUERY)?.matches

  return phoneMediaQuery && isMobile && !isTablet
}
