import React from 'react'
import ReactDOM from 'react-dom'
import { Provider } from 'react-redux'
import { configureStore } from '@reduxjs/toolkit'

import { UserProvider } from 'user'

import { reducer } from '../connections-v2/store/reducer'
import ClientSideScripts from '../../shared/components/ClientSideScripts'
import AbraProviderWithUser from '../../shared/abra/AbraProviderWithUser'
import { FeatureFlagProvider } from '../../shared/abra/FeatureFlagProvider'

import '../../shared/shared-styles'
import './index.scss'

import GameDecider from './components/GameDecider'

const gameRoot = document.getElementById('pz-game-root')

ReactDOM.render(
  <>
    <ClientSideScripts />
    <Provider store={configureStore({ reducer })}>
      <UserProvider>
        <AbraProviderWithUser>
          <FeatureFlagProvider>
            <GameDecider />
          </FeatureFlagProvider>
        </AbraProviderWithUser>
      </UserProvider>
    </Provider>
  </>,
  gameRoot,
)
