const ls = window.localStorage

// For testing; maxes out local storage
window.fillLocalStorage = function fillLocalStorage() {
  let i = 0

  const write = () => {
    try {
      window.localStorage.setItem(
        `key-${i}`,
        'aaaaaaaaaaaaaaaaaaaaaaa',
      )
      i += 1
      return true
    } catch {
      return false
    }
  }

  while (write()) {
    console.log('wrote')
  }
}

export function checkLocalStorage() {
  let data = ''

  // eslint-disable-next-line no-restricted-syntax
  for (const key in window.localStorage) {
    if (window.localStorage.hasOwnProperty(key)) {
      data += window.localStorage[key]
    }
  }

  const used = ((data.length * 16) / (8 * 1024)).toFixed(2)
  const remaining =
    5120 - ((data.length * 16) / (8 * 1024)).toFixed(2)

  return { used, remaining }
}

export const isStale = (timestamp) => {
  const lastWeek = new Date().getTime() - 604800000
  const lastPlayed =
    Number.parseInt(timestamp.toString().slice(0, 10)) * 1000

  return !lastPlayed || (lastPlayed && lastPlayed <= lastWeek)
}

/**
 * Utility for clearing up space in local storage if a
 * user maxes out. Should be used in the event of a
 * QuotaExceeded error.
 */
export function freeUpStorage() {
  const lsKeys = Object.keys(localStorage)

  // evaluate SBs
  const sbKeys = lsKeys.filter((k) => k.includes('nytsb'))

  sbKeys.forEach((bee) => {
    const { timestamp } = JSON.parse(ls.getItem(bee))
    if (isStale(timestamp)) {
      ls.removeItem(bee)
    }
  })

  // evaluate XWDs
  const xwdKeys = lsKeys.filter((k) => k.includes('lastPlayed'))
  xwdKeys.forEach((xwd) => {
    const timestamp = JSON.parse(ls.getItem(xwd))
    if (isStale(timestamp)) {
      ls.removeItem(xwd)
    }
  })
}
