// Modals
export function closeModal(modalName) {
  const modal = document.querySelector(`#${modalName}-modal`)
  if (modal) {
    modal.style.display = 'none'
    modal.classList.remove('obscure-behind')
  }
}

export function setUpEvents() {
  const closeButtons = document.querySelectorAll('.close-x')
  closeButtons.forEach(function closeButtons(button) {
    // try catch to exclude close buttons that might not
    // be part of modals (i.e. navs)
    try {
      button.addEventListener('click', function clickHandler(e) {
        const modalContent = button.parentElement
        const modalId = modalContent.parentElement.id
        const modalName = modalId.split('-')[0]
        closeModal(modalName)
      })
    } catch (e) {
      console.log(e)
    }
  })
}

export function closeAllModals() {
  // close all other modals
  const modals = document.getElementsByClassName('modal')
  Array.from(modals).forEach((m) =>
    closeModal(m.id.replace('-modal', '')),
  )
}

export function openModal(modalName) {
  closeAllModals()

  // open selected modal
  const modal = document.querySelector(`#${modalName}-modal`)

  modal.style.display = 'flex'
  modal.classList.add('obscure-behind')
}

window.openModal = openModal
window.closeModal = closeModal
window.setUpEvents = setUpEvents
