import { getGameState } from './game-state'
import { getLevelFromWord } from './gameManager'

const emojis = ['🟨', '🟩', '🟦', '🟪']

function createEmojiRecord() {
  const { history } = getGameState()

  const emojiRows = history.map(
    (entry) =>
      `${entry.map((w) => emojis[getLevelFromWord(w)]).join('')}`,
  )

  return emojiRows.join('\n')
}

export function generateShareText() {
  const { dayOfTest } = getGameState()

  return `Connections \nPuzzle #${(
    parseInt(dayOfTest) + 1
  ).toString()}\n${createEmojiRecord()}`
}

export function createEmojiRecordForCongrats() {
  const { history } = getGameState()

  const recapDiv = document.getElementById('emoji-recap')
  recapDiv.innerHTML = ''
  history.forEach((row) => {
    const nytEmojiRow = document.createElement('div')
    nytEmojiRow.classList.add('nyt-emoji-row')
    row.forEach((entry) => {
      const nytEmoji = document.createElement('div')
      nytEmoji.classList.add('nyt-emoji')
      const level = getLevelFromWord(entry)
      nytEmoji.classList.add(`group-${level}`)
      nytEmojiRow.appendChild(nytEmoji)
    })
    recapDiv.appendChild(nytEmojiRow)
  })
}
