import { isMobile } from './mobile-detect'

// Change font size based on length of longest word in an item.
function resizeText(itemToResize) {
  if (!isMobile()) {
    itemToResize.style.fontSize = '20px'
    return
  }

  const wordsLongToShort = itemToResize.innerHTML
    .split(' ')
    .sort((a, b) => b.length - a.length)
  const longestWord = wordsLongToShort[0]

  switch (longestWord.length) {
    case 1:
    case 2:
    case 3:
    case 4:
    case 5:
    case 6:
    case 7:
      itemToResize.style.fontSize = '16px'
      break
    case 8:
      itemToResize.style.fontSize = '15px'
      break
    case 9:
      itemToResize.style.fontSize = '12px'
      break
    case 10:
    case 11:
      itemToResize.style.fontSize = '11.5px'
      break
    default:
      itemToResize.style.fontSize = '10.5px'
      break
  }
}

function resizeAllItems() {
  const items = document.getElementsByClassName('item')
  // eslint-disable-next-line no-plusplus
  for (let i = 0; i < items.length; i++) {
    resizeText(items[i])
  }
}

export default resizeAllItems
