import React from 'react'
import { BrowserRouter as Router, Route } from 'react-router-dom'

import { UserProvider } from 'user'

import ClientSideScripts from '../../shared/components/ClientSideScripts'
import ModalSystemProvider from '../../shared/hub/Modal/ModalSystemProvider'
import Modals from '../../shared/hub/Modal/Modals'

import StoreProvider from './js/store/StoreProvider'
import Layout from './js/Layout'

const ArchiveRoot = () => {
  return (
    <>
      <ClientSideScripts />
      <UserProvider>
        <StoreProvider>
          <ModalSystemProvider id="archive-modal">
            <Router>
              <Route
                path="/crosswords/archive/:type?/:year?/:month?"
                component={Layout}
              />
            </Router>
            <Modals />
          </ModalSystemProvider>
        </StoreProvider>
      </UserProvider>
    </>
  )
}

export default ArchiveRoot
