/* eslint-disable global-require */

import React from 'react'
import moment from 'moment'
import { shallow } from 'enzyme'

jest.mock('foundation', () => ({}))

jest.mock('user', () => ({
  withUser: jest.fn((Component) => (props) => <Component />),
}))

describe('INTEGRATION: ARCHIVE VIEWER UPSELL', () => {
  it('shows the Upsell page to non subscribers', () => {
    const defaultProps = {
      match: { params: { type: 'daily' } },
      todaysDate: moment('2021-04-01'),
      user: {
        userType: { regiId: null, hasXwd: false },
        hasLoaded: true,
      },
    }

    const { ArchiveViewer } = require('./ArchiveViewer')
    const Upsell = require('./Upsell').default
    const viewer = shallow(<ArchiveViewer {...defaultProps} />)

    expect(viewer.find(Upsell)).toHaveLength(1)
  })

  it('does not show the Upsell page to subscribers', () => {
    const defaultProps = {
      match: { params: { type: 'daily' } },
      todaysDate: moment('2021-04-01'),
      user: {
        userType: { regiId: 1, hasXwd: true },
        hasLoaded: true,
      },
    }

    const { ArchiveViewer } = require('./ArchiveViewer')
    const Upsell = require('./Upsell').default
    const viewer = shallow(<ArchiveViewer {...defaultProps} />)

    expect(viewer.find(Upsell)).toHaveLength(0)
  })
})
