import React from 'react'
import propTypes from 'prop-types'
import cn from 'classnames'

import { useUser } from 'user'

import { crosswordPuzzlePropTypes } from '../../../shared/sharedPropTypes'
import PuzzleCard from '../../../shared/hub/PuzzleCard/PuzzleCard'

const CardView = ({ puzzles }) => {
  const { userType } = useUser()

  return (
    <div
      className={cn('archive_card-view', 'archive_viewer-content', {
        'archive_is-loading': !puzzles,
      })}
    >
      {(puzzles || []).map((puzz, idx) => (
        /* eslint-disable react/no-array-index-key */
        <div key={idx} className="archive_card-view-card">
          <PuzzleCard puzzle={puzz} type="Island" user={userType} />
        </div>
      ))}
    </div>
  )
}

CardView.propTypes = {
  puzzles: propTypes.arrayOf(crosswordPuzzlePropTypes),
}

export default CardView
