import React from 'react'
import PT from 'prop-types'

import { trackImpression } from '../../helpers/tracking'

export class Upsell extends React.PureComponent {
  componentDidMount = () => {
    trackImpression('hardpaywall', 'archive')
  }

  render() {
    const { loginUrl, subscribeUrl } = this.props

    return (
      <div className="archive_overlay-container">
        <div className="archive_overlay-body">
          <div className="archive_image-container" />
          <div className="archive_info-container">
            <h1 className="archive_upsell-title">
              Looking for more puzzles to play?
            </h1>
            <p>
              Crossword subscribers get access to more than twenty
              years of archives for the daily puzzle and so much more.
            </p>
            <a
              className="archive_subscribe-button"
              href={subscribeUrl}
            >
              <span>SUBSCRIBE</span>
            </a>
            <p className="archive_tiny-text">
              Already a subscriber?
              <a href={loginUrl}>
                <span className="archive_log-in">LOG IN</span>
              </a>
            </p>
          </div>
        </div>
      </div>
    )
  }
}

Upsell.propTypes = {
  loginUrl: PT.string.isRequired,
  subscribeUrl: PT.string.isRequired,
}

const UpsellContainer = () => {
  const archiveLink = window.navigationLinks.login
  const isDeepLink = archiveLink.startsWith('nytimes://')
  const loginUrl = isDeepLink
    ? archiveLink
    : `${archiveLink}&asset=archive`
  const subscribeUrl = window.navigationLinks.subscribe.archive

  return <Upsell loginUrl={loginUrl} subscribeUrl={subscribeUrl} />
}

export default UpsellContainer
