import React from 'react'
import { createStore } from 'redux'
import { Provider } from 'react-redux'

import ListItemComponent from './ListItem'

const defaultProps = {
  puzzle: {
    author:
      'Andy Kravis, Natan Last and the J.A.S.A. Crossword Class',
    publishType: 'Daily',
    printDate: '2021-05-01',
    title: '',
  },
}

const Template = (args) => (
  <Provider store={createStore(() => {})}>
    <ListItemComponent {...args} />
  </Provider>
)

export const ListItem = Template.bind({})

export default {
  title: 'Crossword / Archive / List Item',
  component: ListItemComponent,
  args: defaultProps,
  parameters: {
    viewport: {
      defaultViewport: 'iphonex',
    },
  },
}
