import React from 'react'
import { Provider } from 'react-redux'

import { useUser } from 'user'

import { recallPrintPrefs } from '../../../../shared/hub/store/actionCreators'

import { setUpStore } from './store'
import { getUserId } from './thunks'

const store = setUpStore()

const StoreProvider = ({
  children,
}: {
  children: React.ReactNode
}) => {
  const { userType } = useUser()

  // Fetch the user id and print preferences on mount
  React.useEffect(() => {
    store.dispatch(getUserId(userType.regiId))
    store.dispatch(recallPrintPrefs())
  }, [userType.regiId])

  return <Provider store={store}>{children}</Provider>
}

export default StoreProvider
