import { applyMiddleware, compose, createStore } from 'redux'
import thunk from 'redux-thunk'

import { persistPreferences } from '../../../../shared/hub/store/middleware'

import reducer, { defaultState } from './reducer'

export const setUpStore = () => {
  const middleware = [applyMiddleware(thunk, persistPreferences)]

  if (
    typeof window !== 'undefined' &&
    window.__REDUX_DEVTOOLS_EXTENSION__
  ) {
    middleware.push(window.__REDUX_DEVTOOLS_EXTENSION__())
  }

  return createStore(reducer, defaultState, compose(...middleware))
}
