import { prettyJoin } from './utils'

describe('prettyJoin function', () => {
  it('returns an empty string with no array or empty array', () => {
    expect(prettyJoin('')).toEqual('')
    expect(prettyJoin([])).toEqual('')
  })

  it('returns a string for an array of one', () => {
    expect(prettyJoin(['one'])).toEqual('one')
  })

  it('returns a string of items separated with "and" for arrays of two', () => {
    expect(prettyJoin(['one', 'two'])).toEqual('one and two')
  })

  it('returns a string separated with commas and "and" for arrays > 2', () => {
    expect(prettyJoin(['one', 'two', 'three'])).toEqual(
      'one, two and three',
    )
  })
})
