import React, { useEffect, useState } from 'react'
import moment from 'moment'

import fetchDate from './fetchDate'

const withTodaysDate = (Component) => (props) => {
  const now = moment()
  const [todaysDate, setTodaysDate] = useState(now)

  useEffect(() => {
    let unmounted = false

    fetchDate().then((date) => {
      if (!unmounted && !!date) {
        const todaysMoment = moment(date)
        setTodaysDate(todaysMoment)
      }
    })

    return () => {
      unmounted = true
    }
  }, [])

  return <Component {...props} todaysDate={todaysDate} />
}

export default withTodaysDate
