import React from 'react'
import { shallow } from 'enzyme'

import { BoardState } from '../../store/state/puzzle/puzzleTypes'

import Defs from './Defs'

describe('<Defs />', () => {
  const assistShapes: BoardState[] = [
    {
      name: '',
      styles: [],
      attributes: { id: 'parent' },
      children: [
        {
          name: 'circle',
          attributes: { className: 'child' },
          styles: [],
          children: [],
        },
      ],
    },
  ]

  const wrapper = shallow(<Defs assistShapes={assistShapes} />)

  it('should have correct id and classname on g element', () => {
    const { id, className } = wrapper.find('g').props()
    expect(id).toEqual('parent')
    expect(className).toEqual('xwd__assistance--parent')
  })

  it('should have correct classname on child element', () => {
    const { className } = wrapper.find('circle').props()
    expect(className).toEqual('xwd__assistance--child')
  })
})
