import React from 'react'

import { BoardState } from '../../store/state/puzzle/puzzleTypes'

type DefsProps = {
  assistShapes?: BoardState[]
}

export default function Defs({ assistShapes = [] }: DefsProps) {
  return (
    <defs>
      {assistShapes.map((group) => {
        const {
          attributes: { id },
          children,
        } = group

        return (
          <g
            id={`${id}`}
            key={id}
            className={`xwd__assistance--${id}`}
          >
            {children.map((shape) => {
              const {
                attributes: { className, ...attrs },
                name: Tag,
              } = shape

              return (
                <Tag
                  key={className}
                  {...attrs}
                  // @ts-ignore ts doesn't like using a string from the API as a JSX tagname
                  className={`xwd__assistance--${className}`}
                />
              )
            })}
          </g>
        )
      })}
    </defs>
  )
}
