import React from 'react'
import { shallow } from 'enzyme'

import Lines from './Lines'

const dimensions = {
  cellSize: 12,
  rowCount: 8,
  columnCount: 8,
  aspectRatio: 1,
}

const getWrapper = (externalCells: boolean[]) =>
  shallow(
    <Lines
      dimensions={dimensions}
      grid={{}}
      group={{}}
      frame={{}}
      externalCells={externalCells}
    />,
  )

describe('Lines', () => {
  it('should render a rect if there are no external cells', () => {
    const wrapper = getWrapper([])
    expect(wrapper.find('rect')).toHaveLength(1)
  })

  it('should render a path for a simple array of cells', () => {
    const wrapper = getWrapper([true, false])
    const paths = wrapper.find('path')
    const firstPath = paths.at(0).props().d
    const secondPath = paths.at(1).props().d
    expect(firstPath).toEqual('M27,3l0,12M15,15l12,0')
    expect(secondPath).toEqual('M15,3l12,0M15,3l0,12')
  })
})
