import React from 'react'
import { useSelector } from 'react-redux'
import classNames from 'classnames'

import { getSelectedClue } from '../../store/state/selection/selectionSelectors'
import { getIsModalOpen } from '../../store/state/modal/modalSelectors'

export default function ClueBarDesktop() {
  const clue = useSelector(getSelectedClue)
  const isModalOpen = useSelector(getIsModalOpen)

  if (isModalOpen) {
    return <div className="xwd__clue-bar-desktop--bar obscured" />
  }

  const { label = '', direction, text = '' } = clue || {}

  const textClasses = classNames(
    'xwd__clue-bar-desktop--text',
    'xwd__clue-format',
    {
      long: text.length > 200,
    },
  )

  const fullLabel = `${label}${direction ? direction[0] : ' '}`

  return (
    <div className="xwd__clue-bar-desktop--bar">
      <div className="xwd__clue-bar-desktop--number">{fullLabel}</div>
      <div
        className={textClasses}
        dangerouslySetInnerHTML={{ __html: text }}
      />
    </div>
  )
}
