import React from 'react'
import cn from 'classnames'
import { useSelector, useDispatch } from 'react-redux'

import { getSelectedClue } from '../../store/state/selection/selectionSelectors'
import {
  navigate,
  switchDirection,
} from '../../store/state/selection/selectionActions'

export default function ClueBarMobile() {
  const clue = useSelector(getSelectedClue)
  const text = clue?.text || ''

  const dispatch = useDispatch()
  const jumpForward = () => dispatch(navigate('NextClue'))
  const jumpBack = () => dispatch(navigate('PreviousClue'))
  const swap = () => dispatch(switchDirection())

  const getChevron = (jump: () => void, className?: string) => (
    <div
      role="button"
      tabIndex={0}
      className={cn('xwd__clue-bar-mobile--jump', className)}
      onClick={jump}
      onKeyDown={(e) => e.key === 'Enter' && jump()}
    >
      <i className="xwd__clue-bar--chevron" />
    </div>
  )

  return (
    <div className="xwd__clue-bar-mobile--bar">
      {getChevron(jumpBack, 'left')}
      <div
        role="button"
        className={cn('middle xwd__clue-format', {
          'xwd__image-clue-format': clue?.isImageClue,
        })}
        tabIndex={0}
        onClick={swap}
        onKeyDown={(e) => e.key === 'Enter' && swap()}
        dangerouslySetInnerHTML={{ __html: text }}
        aria-label="switch direction"
      />
      {getChevron(jumpForward)}
    </div>
  )
}
