import React from 'react'
import cn from 'classnames'

import { isMobile } from 'responsive'

import { ClueListsState } from '../../store/state/puzzle/puzzleTypes'

import ClueList from './ClueList'

type ClueListProps = {
  lists: ClueListsState
}

export default function ClueListWrapper({ lists }: ClueListProps) {
  return isMobile ? (
    <>
      {lists.map((list) => (
        <ClueList list={list} key={list.index} />
      ))}
    </>
  ) : (
    <section className={cn('xwd__layout--cluelists')}>
      {lists.map((list) => (
        <ClueList list={list} key={list.index} />
      ))}
    </section>
  )
}
