import React from 'react'

import { UserType } from 'shared/foundation/window'

import Error from '../../../../shared/components/Error/Error'
import { useHiddenHeader } from '../../../shared/hooks/use-hidden-header'

type CrosswordErrorProps = {
  error: {
    status: number
  }
  userType: UserType
}

export default function CrosswordError({
  error,
  userType,
}: CrosswordErrorProps) {
  useHiddenHeader()

  return (
    <Error
      error={error}
      navigationLinks={window.navigationLinks}
      userType={userType}
    />
  )
}
