import React from 'react'
import { useSelector } from 'react-redux'

import { getIsModalOpen } from '../../store/state/modal/modalSelectors'

export type SubGameplayGridProps = {
  children: React.ReactNode
}

export default function SubGameplayGrid({
  children,
}: SubGameplayGridProps) {
  const modalIsOpen = useSelector(getIsModalOpen)

  return (
    <div
      aria-label="Wordplay Section"
      className="xwd__editorial-content--subGameplayGrid"
      tabIndex={modalIsOpen ? -1 : 0}
    >
      <div className="xwd__editorial-content--header">
        <a
          href="https://www.nytimes.com/column/wordplay"
          target="_blank"
          rel="noopener noreferrer"
        >
          WORDPLAY
        </a>
      </div>
      <div className="xwd__editorial-content--cardsContainer">
        {children}
      </div>
    </div>
  )
}
