import { getCellDomId } from '../../utils/misc'

import type { Message } from './Milestone'

export const findTriggerCell = (
  message: Message,
  boardId: string,
) => {
  const cellBox = document
    .getElementById(getCellDomId(message.idx))
    ?.getBoundingClientRect()

  const boardBox = document
    .getElementById(boardId)
    ?.getBoundingClientRect()

  if (cellBox && boardBox) {
    const left = cellBox.left - boardBox.left
    const top = cellBox.top - boardBox.top

    return {
      left: left + cellBox.width / 2,
      top: top + cellBox.height / 2,
    }
  }
}
