type Letter =
  | 'A'
  | 'B'
  | 'C'
  | 'D'
  | 'E'
  | 'F'
  | 'G'
  | 'H'
  | 'I'
  | 'J'
  | 'K'
  | 'L'
  | 'M'
  | 'N'
  | 'O'
  | 'P'
  | 'Q'
  | 'R'
  | 'S'
  | 'T'
  | 'U'
  | 'V'
  | 'W'
  | 'X'
  | 'Y'
  | 'Z'

type SpecialChar =
  | '0'
  | '1'
  | '2'
  | '3'
  | '4'
  | '5'
  | '6'
  | '7'
  | '8'
  | '9'
  | '@'
  | '#'
  | '$'
  | '%'
  | '^'
  | '&'
  | '*'
  | '-'
  | '_'
  | '='
  | '+'
  | "'"
  | '"'
  | ','
  | '.'
  | ':'
  | ';'
  | '/'
  | '\\'
  | '|'
  | '('
  | ')'
  | '['
  | ']'
  | '{'
  | '}'
  | '?'
  | '!'
  | '~'
  | '<'
  | '>'
  | '€'
  | '£'
  | '¥'
  | '•'

type FunctionKey =
  | 'backspace'
  | 'primary'
  | 'secondary'
  | 'tertiary'
  | 'rebus'
  | 'pencil'
  | 'prev'
  | 'next'
  | 'left'
  | 'right'
  | 'switch'

export type CrosswordKeyboardKey = Letter | SpecialChar | FunctionKey

const thirdRowShared: CrosswordKeyboardKey[] = [
  '.',
  ',',
  '?',
  '!',
  "'",
  'backspace',
  'next',
]

const bottomRow: CrosswordKeyboardKey[] = [
  'rebus',
  'pencil',
  'switch',
]

const primaryLayout: CrosswordKeyboardKey[][] = [
  ['Q', 'W', 'E', 'R', 'T', 'Y', 'U', 'I', 'O', 'P'],
  ['A', 'S', 'D', 'F', 'G', 'H', 'J', 'K', 'L'],
  [
    'prev',
    'secondary',
    'Z',
    'X',
    'C',
    'V',
    'B',
    'N',
    'M',
    'backspace',
    'next',
  ],
  bottomRow,
]

const secondaryLayout: CrosswordKeyboardKey[][] = [
  ['1', '2', '3', '4', '5', '6', '7', '8', '9', '0'],
  ['-', '/', ':', ';', '(', ')', '$', '&', '@', '"'],
  ['prev', 'tertiary', ...thirdRowShared],
  bottomRow,
]

const tertiaryLayout: CrosswordKeyboardKey[][] = [
  ['[', ']', '{', '}', '#', '%', '^', '*', '+', '='],
  ['_', '\\', '|', '~', '<', '>', '€', '£', '¥', '•'],
  ['prev', 'primary', ...thirdRowShared],
  bottomRow,
]

export const layout = {
  primary: primaryLayout.map((line) => line.join(' ')),
  secondary: secondaryLayout.map((line) => line.join(' ')),
  tertiary: tertiaryLayout.map((line) => line.join(' ')),
}

export const customButtons: CrosswordKeyboardKey[] = [
  'backspace',
  'rebus',
  'pencil',
  'primary',
  'secondary',
  'tertiary',
  'prev',
  'next',
  'switch',
]

export const iconButtons: CrosswordKeyboardKey[] = [
  'backspace',
  'pencil',
  'prev',
  'next',
  'switch',
]

export const tabletOnlyButtons: CrosswordKeyboardKey[] = [
  'prev',
  'next',
  'switch',
]
