import React, { useCallback } from 'react'
import cn from 'classnames'

import ModalWrapper from '../../../../shared/ModalSystem/ModalWrapper'
import { ModalProps } from '../../../../shared/ModalSystem/modalTypes'
import AdInterstitial from '../../../../../shared/components/AdInterstitial'

export default ({
  bodyClassName,
  containerClassName,
  close,
  isClosing,
  onRemove,
}: ModalProps) => {
  const handleOnClosed = useCallback(() => {
    close()
  }, [])

  return (
    <ModalWrapper
      noAnimateOpen
      ignoreBackgroundClick
      showHeader
      bodyClassName={bodyClassName}
      close={close}
      isClosing={isClosing}
      onRemove={onRemove}
      containerClassName={cn(
        'xwd__ad-modal-container',
        containerClassName,
      )}
    >
      <AdInterstitial
        isSpecialAdUnit
        id="intsl"
        position="intsl"
        onClose={handleOnClosed}
        ctaCopy="Continue to The Mini Crossword"
        skipButtonClassName={cn('xwd__ad-interstitial-skip-button')}
        className={cn('xwd__ad-interstitial-container')}
      />
    </ModalWrapper>
  )
}
