import {
  AbraExposeFn,
  AbraGetVariantFn,
  UserEntitlement,
} from 'foundation'
import isPhone from 'shared/responsive/isPhone'

const MINI_TEST = 'DFP_MiniMobile'
const MINI_TEST_AA = 'DFP_MiniMobile_AA'

const VARIANT_1 = '1_Variant'

const CONTROL = '0_Control'

export const isInMiniAdVariant = ({
  getVariant,
  reportExposure,
}: {
  getVariant: AbraGetVariantFn
  reportExposure: AbraExposeFn
}) => {
  const aa_variant = getVariant?.(MINI_TEST_AA)
  if (aa_variant) reportExposure?.(MINI_TEST_AA)
  const variant = getVariant?.(MINI_TEST)
  if (!variant) return false
  reportExposure?.(MINI_TEST)
  return variant === VARIANT_1
}

export const isMobileWeb = () => {
  if (typeof window === 'undefined') return false

  return (
    isPhone() &&
    !!window.isMobileDevice &&
    !window.gamesAppPlatform &&
    !window.newsreaderAppPlatform
  )
}

export const canCheckForAdTest = (
  {
    isMini,
    entitlement,
  }: {
    isMini: boolean
    entitlement: UserEntitlement
  } = { isMini: false, entitlement: 'anon' },
): boolean => {
  const isNotCrosswordSub = !entitlement.includes('cr')
  return isMini && isNotCrosswordSub && isMobileWeb()
}
