import React from 'react'
import { useSelector } from 'react-redux'

import { getAppLink } from '../../../../shared/Banner/getAppLink'
import { getPuzzleId } from '../../../store/state/puzzle/puzzleSelectors'
import { trackModuleInteraction } from '../../../store/utils/tracker'

type GetAppLinkProps = {
  appCta: string
}

export default function GetAppLink({ appCta }: GetAppLinkProps) {
  const puzzleId = useSelector(getPuzzleId)

  const appLinkClick = () => {
    const link = getAppLink()
    window.open(link, '_blank')
    trackModuleInteraction(
      'click',
      `${puzzleId}`,
      'mini-page',
      appCta,
    )
    localStorage.setItem('app-link-clicked', 'true')
  }

  return (
    <button
      type="button"
      onClick={appLinkClick}
      className="xwd__modal--subtle-button"
    >
      Get the app
    </button>
  )
}
