import React, { useEffect } from 'react'

import {
  trackModuleInteraction,
  trackImpression,
} from '../../../../store/utils/tracker'
import Icon from '../../../../../../shared/components/Icon/Icon'

export const SpellingBeeCard = () => {
  // Send the track call immediately because the user is leaving the page
  const useBeacon = true
  useEffect(() => {
    trackImpression('next-game', 'mini-page', 'spelling-bee')
  }, [])
  return (
    <a
      href="/puzzles/spelling-bee"
      className="xwd__nextGameSuggestion--spellingBeeCardEmphasis xwd__nextGameSuggestion--spellingBeeBase"
      onClick={() => {
        trackModuleInteraction(
          'softpaywall',
          'spelling-bee',
          'mini-page',
          'next-game',
          '',
          useBeacon,
        )
      }}
    >
      <Icon icon="spelling-bee" />
      <div>
        <span className="xwd__nextGameSuggestion--gameTitle">
          Spelling Bee
        </span>
        <span>
          Tackle <strong>today&apos;s puzzle.</strong>
        </span>
      </div>
      <Icon icon="caret-right" />
    </a>
  )
}

const NextGameSuggestion = () => {
  // current defaults to seeing spelling bee but can change in the future
  return (
    <div className="xwd__nextGameSuggestion">
      <p className="xwd__nextGameSuggestion--text">
        Game for something new?
        <br />
        Make as many words as you can with 7 letters.
      </p>
      <SpellingBeeCard />
    </div>
  )
}

export default NextGameSuggestion
