import React from 'react'

import getDayOfWeek from '../../../../../shared/hub/StreakEncouragement/getDayOfWeek'

type StreakMessageProps = {
  streakLength: number
  dayIdx: number
  verticalStreakLength?: number
}

export default function StreakMessage({
  streakLength,
  verticalStreakLength = 0,
  dayIdx,
}: StreakMessageProps) {
  const nextStreakLength = streakLength + 1
  const nextVerticalStreakLength = verticalStreakLength + 1

  const shouldShowGoldStreak = (
    goldLength: number,
    daysInARow: number,
  ) => {
    if (goldLength >= 6) return true

    return goldLength >= daysInARow
  }

  let message
  if (
    shouldShowGoldStreak(nextStreakLength, nextVerticalStreakLength)
  ) {
    message = `YOU HAVE A ${nextStreakLength}-DAY STREAK`
  } else {
    message = `${nextVerticalStreakLength} ${getDayOfWeek(
      dayIdx,
    )}s in a row`
  }

  return (
    <div className="xwd__congrats-modal--streakLength">
      <i className="xwd__congrats-modal--starIcon" />
      {message}
    </div>
  )
}
