import React from 'react'
import { Provider } from 'react-redux'
import { createStore } from 'redux'
import { ComponentStory, ComponentMeta } from '@storybook/react'

import { navigateBack } from '../../../../helpers/navigateBack'

import DefaultCongrats from './DefaultCongrats'

const state = {}
const store = createStore(() => state)

export default {
  title: 'Crossword/DefaultCongrats',
  component: DefaultCongrats,
  args: {
    displayAppLink: false,
    dayIdx: 0,
    isMini: true,
    streamLabel: 'Mini',
    showTimer: true,
    registeredNonSub: true,
    hasXwd: true,
    isGoldStarEligible: true,
    streakLength: 0,
    formattedSolveTime: '45:03',
    isMobile: false,
    isNewsreader: false,
    navigateBack,
  },
} as ComponentMeta<typeof DefaultCongrats>

const Template: ComponentStory<typeof DefaultCongrats> = (args) => (
  <Provider store={store}>
    <DefaultCongrats {...args} />
  </Provider>
)

export const defaultCongrats = Template.bind({})
