import { formatTime } from '../../../utils/time'

const guidePuzzles = [
  { id: 14177, anchor: 'monday-level-easy' }, // Monday Easy
  { id: 14050, anchor: 'fill-in-the-blanks' }, // Fill-in-the-Blank
  { id: 14041, anchor: 'tense' }, // Tenses
  { id: 14044, anchor: 'tense' }, // Parts of Speech
  { id: 14045, anchor: 'tense' }, // Plurals
  { id: 14042, anchor: 'tense' }, // Foreign Words
  { id: 14047, anchor: 'partners' }, // Partners
  { id: 14046, anchor: 'partners' }, // Cross References
  { id: 14043, anchor: 'partners' }, // Abbreviations
  { id: 14048, anchor: 'question-marks' }, // Question Mark Clues
  { id: 14049, anchor: 'question-marks' }, // Slang
  { id: 14051, anchor: 'question-marks' }, // Quotes and Brackets
  { id: 14052, anchor: 'question-marks' }, // Veiled Capitals
  { id: 14053, anchor: 'rebus' }, // Rebus
]

export const guidePuzzleIds = guidePuzzles.map((puzzle) => puzzle.id)

// Helper Methods
export const getAnchorTag = (puzzleId: number) => {
  const puzz = guidePuzzles.find((puzzle) => puzzle.id === puzzleId)
  return puzz ? puzz.anchor : ''
}

export const secondsToString = (s: number) =>
  s === 1 ? `${s} second` : `${s} seconds`

export const formatSolveTime = (solveTime: number) => {
  return solveTime < 60
    ? secondsToString(solveTime)
    : formatTime(solveTime)
}
