import React from 'react'
import cn from 'classnames'

import { MetaState } from '../../store/state/puzzle/puzzleTypes'
import {
  constructorPrefix,
  editorPrefix,
  prettyJoin,
} from '../../utils/misc'
import { getDateContents } from '../PuzzleDetails/PuzzleDetails'

type DateAndBylineFooterProps = {
  meta: MetaState
  isInfo?: boolean
}

export default function DateAndBylineFooter(
  props: DateAndBylineFooterProps,
) {
  const {
    meta: {
      constructors,
      editor,
      publishStream,
      publicationDate,
      title,
    },
    isInfo = false,
  } = props

  const byline = prettyJoin(constructors)

  return (
    <>
      <div className="xwd__start-modal--date">
        {getDateContents(publicationDate, publishStream)}
      </div>
      <div
        className={cn('xwd__details--byline', {
          'xwd__details--byline-info': isInfo,
        })}
      >
        {byline && (
          <span>{`${constructorPrefix(title)} ${byline}`}</span>
        )}
        {editor && <span>{`${editorPrefix(title)} ${editor}`}</span>}
      </div>
    </>
  )
}
