import React from 'react'
import { useSelector } from 'react-redux'

import { ModalProps } from '../../../../shared/ModalSystem/modalTypes'
import {
  Title,
  Description,
} from '../../../../shared/moments/components/subcomponents'
import { getPuzzleMetadata } from '../../../store/state/puzzle/puzzleSelectors'
import DateAndBylineFooter from '../DateAndBylineFooter'
import ModalWrapper from '../../../../shared/ModalSystem/ModalWrapper'

export default function PauseModal({
  close,
  isClosing,
  onRemove,
}: ModalProps) {
  const meta = useSelector(getPuzzleMetadata)

  if (!meta) {
    return null
  }

  return (
    <ModalWrapper
      buttons={[{ label: 'Continue' }]}
      ignoreBackgroundClick
      hideCloseX
      close={close}
      isClosing={isClosing}
      onRemove={onRemove}
      footer={<DateAndBylineFooter meta={meta} />}
    >
      <Title size="large" text="Your game is paused." />
      <Description text="Ready to play?" />
    </ModalWrapper>
  )
}
