import React from 'react'

import { ModalProps } from '../../../../shared/ModalSystem/modalTypes'
import {
  Description,
  Title,
} from '../../../../shared/moments/components/subcomponents'
import { getRandomElement } from '../../../store/utils/arrays'
import ModalWrapper from '../../../../shared/ModalSystem/ModalWrapper'

const almostThere = [
  'So close.',
  'Almost there.',
  'The end’s in sight.',
  'Nearly.',
  'Just about.',
  'Not far-off.',
  'Close, but not quite.',
]

const shucks = [
  'Confound it.',
  'Grrrr...',
  'Gee whiz!',
  'Fiddlesticks.',
  'Oh, crumbs!',
  'Horsefeathers.',
  'Aw, shucks!',
]

const FilledModal = ({ close, isClosing, onRemove }: ModalProps) => {
  const titleRef = React.useRef(getRandomElement(almostThere))
  const messageRef = React.useRef(getRandomElement(shucks))

  return (
    <ModalWrapper
      buttons={[{ label: 'Keep trying' }]}
      close={close}
      bodyClassName="xwd__rats-modal"
      isClosing={isClosing}
      onRemove={onRemove}
    >
      <Title size="large" text={titleRef.current} />
      <Description
        text={`The puzzle is filled, but at least one square’s amiss. ${messageRef.current}`}
        variant="small"
      />
    </ModalWrapper>
  )
}

export default FilledModal
