import React from 'react'

import { useShortzMode } from '../../providers/ShortzModeProvider'

const iconBase =
  'https://static01.nytimes.com/games/web/imgs/mobile/packs/pack_icons_'
const activeIcon = 'shortz_favorites_2.png'
const inactiveIcon = 'themeless_puzzles_2.png'

const iconUrl = (isActive: boolean) =>
  `${iconBase}${isActive ? activeIcon : inactiveIcon}`

const title = (isActive: boolean) =>
  isActive ? 'Exit Shortz Mode :(' : 'Enter Shortz Mode!'

export default function ShortzToggle() {
  const { inShortzMode, isErsatzShortz, setShortzMode } =
    useShortzMode()

  if (!isErsatzShortz) {
    return null
  }

  return (
    <span
      role="button"
      className="xwd__shortz-toggle"
      title={title(inShortzMode)}
      onClick={() => setShortzMode(!inShortzMode)}
    >
      <img src={iconUrl(inShortzMode)} alt="Shortz Mode" />
    </span>
  )
}
