import React from 'react'

import { CheckBox } from '../../formfield/CheckBox'

import SettingsSectionWrapper from './SettingsSectionWrapper'

type SettingsIntrawordProps = {
  subSettingsHandler: (name: string, val: boolean) => void
  skipFilled: boolean
  skipPenciled: boolean
}

export default function SettingsIntraword({
  subSettingsHandler,
  skipFilled,
  skipPenciled,
}: SettingsIntrawordProps) {
  React.useEffect(() => {
    if (!skipFilled) {
      subSettingsHandler('skipPenciled', false)
    }
  }, [skipFilled])

  return (
    <SettingsSectionWrapper heading="Within a word">
      <div className="xwd__settings-modal--inset">
        <CheckBox
          name="skipFilled"
          label="Skip over filled squares"
          checked={skipFilled}
          id="skipFilled"
        />
        <div className="xwd__settings-modal--indented">
          <CheckBox
            name="skipPenciled"
            label="Even penciled-in squares"
            disabled={!skipFilled}
            checked={skipPenciled}
            id="skipPenciled"
          />
        </div>
      </div>
    </SettingsSectionWrapper>
  )
}
