import React from 'react'

import { RadioButton } from '../../formfield/RadioButton'

import SettingsSectionWrapper from './SettingsSectionWrapper'

type SettingsKeyboardProps = {
  onSwitch: string
  spaceTriggers: string
}

export default function SettingsKeyboard({
  onSwitch,
  spaceTriggers,
}: SettingsKeyboardProps) {
  return (
    <SettingsSectionWrapper heading="After changing direction with arrow keys">
      <div className="xwd__settings-modal--inset">
        <RadioButton
          id="switchStay"
          name="onSwitch"
          value="stay"
          label="Stay in the same square"
          checked={onSwitch === 'stay'}
        />
        <RadioButton
          id="switchMove"
          name="onSwitch"
          value="move"
          label="Move in the direction of the arrow"
          checked={onSwitch === 'move'}
        />
      </div>
      <header className="xwd__settings-modal--heading">
        Pressing the spacebar should
      </header>
      <div className="xwd__settings-modal--inset">
        <RadioButton
          id="triggerClear"
          name="spaceTriggers"
          value="clear"
          label="Clear the current square and advance"
          checked={spaceTriggers === 'clear'}
        />
        <RadioButton
          id="triggerToggle"
          name="spaceTriggers"
          value="toggle"
          label="Toggle between Across and Down"
          checked={spaceTriggers === 'toggle'}
        />
      </div>
    </SettingsSectionWrapper>
  )
}
