import React from 'react'

import { CheckBox } from '../../formfield/CheckBox'

import SettingsSectionWrapper from './SettingsSectionWrapper'

type SettingsOtherProps = {
  soundOn: boolean
  showTimer: boolean
  suppressDq: boolean
  showMilestones?: boolean
}

export default function SettingsOther({
  soundOn,
  showTimer,
  suppressDq,
  showMilestones,
}: SettingsOtherProps) {
  return (
    <SettingsSectionWrapper heading="Interactions">
      <div className="xwd__settings-modal--inset">
        <CheckBox
          name="soundOn"
          label="Play sound on solve"
          checked={soundOn}
        />
        <CheckBox
          name="showTimer"
          label="Show timer"
          checked={showTimer}
        />
        <CheckBox
          checked={suppressDq}
          name="suppressDisqualificationWarnings"
          label="Suppress disqualification warnings"
        />
        {showMilestones !== undefined && (
          <CheckBox
            checked={showMilestones}
            name="showMilestones"
            label="Show puzzle milestones"
          />
        )}
      </div>
    </SettingsSectionWrapper>
  )
}
