import React from 'react'

import { CheckBox } from '../../formfield/CheckBox'

import SettingsSectionWrapper from './SettingsSectionWrapper'

type SettingsPostwordProps = {
  jumpBack: boolean
  autoAdvance: boolean
}

export default function SettingsPostword({
  jumpBack,
  autoAdvance,
}: SettingsPostwordProps) {
  return (
    <SettingsSectionWrapper heading="At the end of a word">
      <div className="xwd__settings-modal--inset">
        <CheckBox
          name="jumpBack"
          label="Jump back to first blank in the word"
          checked={jumpBack}
        />
        <CheckBox
          name="autoAdvance"
          label="Jump to next clue (if not jumping back)"
          checked={autoAdvance}
        />
      </div>
    </SettingsSectionWrapper>
  )
}
