import React from 'react'

import { CheckBox } from '../../formfield/CheckBox'

import SettingsSectionWrapper from './SettingsSectionWrapper'

type SettingsPrewordProps = {
  backspaceAcrossWords: boolean
}

export default function SettingsPreword({
  backspaceAcrossWords,
}: SettingsPrewordProps) {
  return (
    <SettingsSectionWrapper heading="At the start of a word">
      <div className="xwd__settings-modal--inset">
        <CheckBox
          name="backspaceAcrossWords"
          label="Backspace into previous word"
          checked={backspaceAcrossWords}
        />
      </div>
    </SettingsSectionWrapper>
  )
}
