import React from 'react'

import { CheckBox } from '../../formfield/CheckBox'

import SettingsSectionWrapper from './SettingsSectionWrapper'

type SettingsShortzModeProps = {
  forceGoldStarEligibility: boolean
  speedUpSyncInterval: boolean
  suppressAutocheckNotice: boolean
}

export default function SettingsShortzMode({
  forceGoldStarEligibility,
  speedUpSyncInterval,
  suppressAutocheckNotice,
}: SettingsShortzModeProps) {
  return (
    <SettingsSectionWrapper heading="Debug Settings">
      <div className="xwd__settings-modal--inset">
        <CheckBox
          name="forceGoldStarEligibility"
          label="Force Gold Star eligibility"
          checked={forceGoldStarEligibility}
        />
        <CheckBox
          name="speedUpSyncInterval"
          label="Speed up sync interval (5m->5s)"
          checked={speedUpSyncInterval}
        />
        <CheckBox
          name="suppressAutocheckNotice"
          label="Autocheck notice already seen"
          checked={suppressAutocheckNotice}
        />
      </div>
    </SettingsSectionWrapper>
  )
}
