import React from 'react'
import { useSelector, useDispatch } from 'react-redux'

import Icon from '../../../../shared/components/Icon/Icon'
import { getPuzzleId } from '../../store/state/puzzle/puzzleSelectors'
import { trackModuleInteraction } from '../../store/utils/tracker'
import { openModal } from '../../store/state/modal/modalActions'
import { CrosswordModal } from '../../store/state/modal/modalTypes'

export default function PrintAndDownloadTools() {
  const puzzleId = useSelector(getPuzzleId)
  const dispatch = useDispatch()

  const openPrintModal = () => {
    // Puzzle Already Selected And Formatted
    dispatch(openModal(CrosswordModal.Print))
    trackModuleInteraction(
      'daily-page',
      puzzleId,
      'game-page',
      'print-puzzle',
    )
  }

  return (
    <button
      type="button"
      className="xwd__printtools--button"
      onClick={openPrintModal}
    >
      <Icon icon="print-black" />
      <span className="xwd__printtools--text">Print</span>
    </button>
  )
}
