import React from 'react'
import { shallow } from 'enzyme'

import PuzzleIcon from './PuzzleIcon'

describe('COMPONENT: PuzzleIcon', () => {
  test('puzzle icon for mini renders correctly', () => {
    const wrapper = shallow(<PuzzleIcon isMini isGold={false} />)
    expect(
      wrapper.find('.xwd__mini-progress--blue-star'),
    ).toHaveLength(1)
  })

  test('puzzle icon for non-gold daily renders correctly', () => {
    const wrapper = shallow(
      <PuzzleIcon isMini={false} isGold={false} />,
    )
    expect(
      wrapper.find('.xwd__puzzle-progress--blue-star'),
    ).toHaveLength(1)
  })

  test('puzzle icon for gold daily renders correctly', () => {
    const wrapper = shallow(<PuzzleIcon isMini={false} isGold />)
    expect(
      wrapper.find('.xwd__puzzle-progress--gold-star'),
    ).toHaveLength(1)
  })
})
