import React from 'react'
import cn from 'classnames'

type PuzzleIconProps = {
  isMini: boolean
  isGold: boolean
}

const PuzzleIcon = ({ isMini, isGold }: PuzzleIconProps) => {
  const iconType = isMini ? 'mini' : 'puzzle'
  const starColor = !isMini && isGold ? 'gold' : 'blue'
  const progressIconClassName = `xwd__${iconType}-progress--${starColor}-star`

  return (
    <div
      data-star={isGold}
      className={cn('xwd__puzzle-icon', progressIconClassName)}
    />
  )
}

export default PuzzleIcon
