import { SelectionState } from '../selection/selectionTypes'

import { MultiCellActionPayload } from './cellsTypes'

export const CHECK = 'crossword/cell/CHECK'
export const CLEAR = 'crossword/cell/CLEAR'
export const REVEAL = 'crossword/cell/REVEAL'
export const GUESS = 'crossword/cell/GUESS'

type CheckAction = {
  type: typeof CHECK
  payload: MultiCellActionPayload
}

type ClearAction = {
  type: typeof CLEAR
  payload: MultiCellActionPayload
}

type RevealAction = {
  type: typeof REVEAL
  payload: MultiCellActionPayload
}

type GuessAction = {
  type: typeof GUESS
  payload: {
    index: number | null
    value: string
    blankDelta: number | null
    incorrectDelta: number | null
    inPencilMode: boolean
    autocheckEnabled: boolean
    fromRebus: boolean
    now: number
  }
  selection?: SelectionState
}

export type CrosswordCellsAction =
  | CheckAction
  | ClearAction
  | RevealAction
  | GuessAction
