export type CellState = {
  type: number
  clues: number[]
  answer: string
  moreAnswers?: {
    valid: string[]
  }
  label: string
  index: number
  guess: string
  timestamp?: number
  confirmed: boolean
  checked: boolean
  penciled: boolean
  revealed: boolean
  modified: boolean
}

export enum Scope {
  Letter = 'LETTER_SCOPE',
  Unchecked = 'UNCHECKED_SCOPE',
  Word = 'WORD_SCOPE',
  Puzzle = 'PUZZLE_SCOPE',
  Fifty = 'FIFTY_SCOPE',
  SeventyFive = 'SEVENTYFIVE_SCOPE',
}

export type MultiCellActionPayload = {
  scope?: Scope
  cellsInScope: number[]
  affectedCells: number[]
  blankDeltas: number[]
  incorrectDeltas: number[]
  now: number
}
