import { combineReducers } from 'redux'

import cells from './cells/cellsReducer'
import clues from './clues/cluesReducer'
import modal from './modal/modalReducer'
import selection from './selection/selectionReducer'
import status from './status/statusReducer'
import timer from './timer/timerReducer'
import toolbar from './toolbar/toolbarReducer'
import transient from './transient/transientReducer'
import user from './user/userReducer'
import stats from './stats/statsReducer'
import printOptions from './printOptions/printOptionsReducer'
import puzzle from './puzzle/puzzleReducer'
import meter from './meter/meterReducer'

export const rootReducer = combineReducers({
  cells,
  clues,
  meter,
  modal,
  printOptions,
  puzzle,
  selection,
  stats,
  status,
  timer,
  toolbar,
  transient,
  user,
})

export type CrosswordStoreState = ReturnType<typeof rootReducer>
