import { MeterProperties } from "shared/meter/MeterTypes"

export const METER_LOADED = 'crossword/meter/METER_LOADED'
export const METER_ERROR = 'crossword/meter/METER_ERROR'

type MeterLoadedAction = {
  type: typeof METER_LOADED
  payload: {
    meterResponse: MeterProperties
  }
}

type MeterErrorAction = {
  type: typeof METER_ERROR
  payload: {
    status: number
  }
}

export type CrosswordMeterAction =
  | MeterLoadedAction
  | MeterErrorAction

export const meterLoaded = (meterResponse: MeterProperties): MeterLoadedAction => ({
  type: METER_LOADED,
  payload: { meterResponse },
})

export const meterError = (status: number): MeterErrorAction => ({
  type: METER_ERROR,
  payload: { status },
})
