import { Reducer } from 'redux'

import type { CrosswordAction } from '../crosswordAction'

import { METER_LOADED, METER_ERROR } from './meterActions'
import { MeterState } from './meterTypes'

const initialState: MeterState = {
  data: null,
  hasLoaded: false,
  error: null,
}

const reducer: Reducer<MeterState, CrosswordAction> = (
  state = initialState,
  action,
) => {
  switch (action.type) {
    case METER_LOADED: {
      return {
        ...state,
        data: action.payload.meterResponse,
        hasLoaded: true,
        error: null,
      }
    }

    case METER_ERROR: {
      return {
        ...state,
        hasLoaded: true,
        error: action.payload,
      }
    }

    default:
      return state
  }
}

export default reducer
