
import { createSelector } from 'reselect'

import type { CrosswordStoreState } from '../crosswordReducer'

export const getMeterResponse = (state: CrosswordStoreState) =>
  state.meter?.data ?? null

export const getMeterHasLoaded = (state: CrosswordStoreState) =>
  state.meter?.hasLoaded ?? false

export const getMeterError = (state: CrosswordStoreState) =>
  state.meter?.error ?? null

export const getMeterGranted = createSelector(
  getMeterResponse,
  (data) => data?.granted ?? null,
)
export const getMeterGrantReason = createSelector(
  getMeterResponse,
  (data) => data?.grantReason ?? null,
)