import { CLEAR } from '../cells/cellsActions'

import { OPEN_MODAL, CLOSE_MODAL } from './modalActions'
import modalReducer from './modalReducer'
import { CrosswordModal } from './modalTypes'

const crosswordPayload = {
  name: CrosswordModal.Start,
  config: {
    needToWarn: true,
    actionType: CLEAR,
    scope: null,
  },
} as const

describe('Modal reducer', () => {
  it('opening modal returns state and turns on modal flag', () => {
    const open = modalReducer(undefined, {
      type: OPEN_MODAL,
      payload: crosswordPayload,
    })
    expect(open.name).toBe(crosswordPayload.name)
    expect(open.config).toBe(crosswordPayload.config)
  })
  it('closing the modal returns the initial state', () => {
    const closeModal = modalReducer(undefined, {
      type: CLOSE_MODAL,
      payload: { isCancelled: false },
    })
    expect(closeModal).toMatchObject({ name: null, config: null })
  })
})
