import { Reducer } from 'redux'

import type { CrosswordAction } from '../crosswordAction'

import { CLOSE_MODAL, OPEN_MODAL, REMOVE_MODAL } from './modalActions'
import { ModalState } from './modalTypes'

const initialState: ModalState = {
  name: null,
  config: null,
  isClosing: false,
}

const reducer: Reducer<ModalState, CrosswordAction> = (
  state = initialState,
  action,
) => {
  switch (action.type) {
    case OPEN_MODAL: {
      return {
        name: action.payload.name,
        config: action.payload.config || null,
        isClosing: false,
      }
    }

    case CLOSE_MODAL: {
      return {
        name: state.name,
        config: state.config,
        isClosing: true,
      }
    }

    case REMOVE_MODAL: {
      return initialState
    }

    default:
      return state
  }
}

export default reducer
