import { createSelector } from 'reselect'

import type { ExecutedActionType } from '../../thunks/statusThunks'
import { CrosswordStoreState } from '../crosswordReducer'

const getModalState = (state: CrosswordStoreState) => state.modal

export const getOpenModalName = createSelector(
  getModalState,
  (state) => state.name,
)

export const getIsModalOpen = createSelector(
  getOpenModalName,
  (name) => !!name,
)

export const getOpenModalConfig = createSelector(
  getModalState,
  (state) =>
    state.config || {
      actionType: '' as ExecutedActionType,
      scope: null,
      needToWarn: false,
    },
)

export const getIsModalClosing = createSelector(
  getModalState,
  (state) => state.isClosing,
)
