import { Reducer } from 'redux'

import type { CrosswordAction } from '../crosswordAction'

import {
  CHANGE_PRINT_OPTION,
  CrosswordPrintOptionsAction,
} from './printOptionActions'
import { PrintOptionsState } from './printOptionsTypes'

export const defaultOptions = {
  version: 'puzzle',
  showBlack: false,
  showSpoiler: true,
}

const printOptions: Reducer<
  PrintOptionsState,
  CrosswordPrintOptionsAction
> = (state = defaultOptions, action) => {
  switch (action.type) {
    case CHANGE_PRINT_OPTION:
      return {
        ...state,
        ...action.payload,
      }
    default:
      return state
  }
}

export default printOptions
