import { Reducer } from 'redux'

import type { CrosswordAction } from '../crosswordAction'

import { PUZZLE_LOADED, PUZZLE_ERROR } from './puzzleActions'
import { PuzzleState } from './puzzleTypes'

const initialState: PuzzleState = {
  data: null,
  hasLoaded: false,
  error: null,
}

const reducer: Reducer<PuzzleState, CrosswordAction> = (
  state = initialState,
  action,
) => {
  switch (action.type) {
    case PUZZLE_LOADED: {
      return {
        ...state,
        data: action.payload.puzzle,
        hasLoaded: true,
        error: null,
      }
    }

    case PUZZLE_ERROR: {
      return {
        ...state,
        hasLoaded: true,
        error: action.payload,
      }
    }

    default:
      return state
  }
}

export default reducer
