import selectionReducer from './selectionReducer'

const clueSelection = {
  cell: 5,
  clueCells: [],
  clue: null,
  cellClues: [],
  clueList: null,
  relatedCells: [],
  relatedClues: [],
}

describe('Selection reducer', () => {
  it('returns state when action not present in action payload', () => {
    const reducerResult = selectionReducer(undefined, {
      type: 'crossword/selection/SELECT_CELL',
      payload: { index: 5 },
    })
    expect(reducerResult.clue).toBeNull
    expect(reducerResult.cell).toBeNull
    expect(reducerResult.clueList).toBeNull
  })
  it('returns the clue selection when selection present in the action payload', () => {
    const reducerResult = selectionReducer(undefined, {
      type: 'crossword/selection/SELECT_CLUE',
      payload: {
        direction: 'right',
        index: 5,
      },
      selection: clueSelection,
    })
    expect(reducerResult).toEqual(clueSelection)
  })
})
