import {
  getCurrentSelection,
  getSelectedCell,
  getSelectedClue,
  getSelectedClueList,
} from './selectionSelectors'

describe('user selection selectors', () => {
  test('get current selection', () => {
    const selection = { foo: 'bar' }
    expect(getCurrentSelection({ selection })).toEqual(selection)
  })

  test('get selected cell', () => {
    const state = {
      cells: [{ id: 0 }],
      selection: { cell: 0 },
    }

    expect(getSelectedCell(state)).toEqual({ id: 0 })
  })

  test('get selected clue', () => {
    const state = {
      clues: [{ id: 0 }],
      selection: { clue: 0 },
    }

    expect(getSelectedClue(state)).toEqual({ id: 0 })
  })

  test('get selected clue list', () => {
    const state = {
      puzzle: {
        data: {
          clueLists: [{ id: 0 }],
        },
      },
      selection: { clueList: 0 },
    }

    expect(getSelectedClueList(state)).toEqual({ id: 0 })
  })
})
