import { createSelector } from 'reselect'

import type { CrosswordStoreState } from '../crosswordReducer'

export const getGameStats = (state: CrosswordStoreState) =>
  state.stats

export const getStreaks = createSelector(
  getGameStats,
  (stats) => stats.streaks,
)

export const getStreakLength = createSelector(
  getStreaks,
  (streaks) => streaks?.currentStreak || 0,
)
