import { createSelector } from 'reselect'

import { getElapsedTime } from '../../../utils/time'
import { CrosswordStoreState } from '../crosswordReducer'

export const getTimerState = (state: CrosswordStoreState) =>
  state.timer

export const getTotalElapsedTime = createSelector(
  getTimerState,
  (timer) => timer.totalElapsedTime,
)

export const getSessionStartTimestamp = createSelector(
  getTimerState,
  (timer) => timer.sessionStartTimestamp,
)

export const getSolveTime = createSelector(
  [getTotalElapsedTime, getSessionStartTimestamp],
  getElapsedTime,
)
