import { SELECT_CELL } from '../selection/selectionActions'

import { ENTER_REBUS, EXIT_REBUS } from './toolbarActions'
import toolbarReducer from './toolbarReducer'

describe('inRebusMode reducer', () => {
  it('should return true if entering rebus mode', () => {
    expect(
      toolbarReducer(undefined, {
        type: ENTER_REBUS,
        payload: { initialValue: '' },
      }).inRebusMode,
    ).toBe(true)
  })

  it('should return false if leaving rebus mode', () => {
    expect(
      toolbarReducer(undefined, { type: EXIT_REBUS }).inRebusMode,
    ).toBe(false)
  })

  it('should do nothing if action is unrecognized', () => {
    // @ts-ignore
    expect(toolbarReducer(undefined, { type: 'GO_BANANAS' })).toEqual(
      {
        activeMenu: null,
        inPencilMode: false,
        inRebusMode: false,
        rebusValue: '',
      },
    )
  })
})
