import { UserType } from 'foundation'

export const PUZZLE_READY = 'crossword/transient/PUZZLE_READY'
export const PUZZLE_SYNCED = 'crossword/transient/PUZZLE_SYNCED'
export const ESCAPE_PUZZLE = 'crossword/transient/ESCAPE_PUZZLE'

type PuzzleReadyAction = {
  type: typeof PUZZLE_READY
  payload: {
    now: number
    user: UserType
  }
}

type PuzzleSyncedAction = {
  type: typeof PUZZLE_SYNCED
  payload: {
    commitID?: string | null
  }
}

type EscapePuzzleAction = {
  type: typeof ESCAPE_PUZZLE
  payload: boolean
}

export type CrosswordTransientAction =
  | PuzzleReadyAction
  | PuzzleSyncedAction
  | EscapePuzzleAction

export const escapePuzzle = (): EscapePuzzleAction => ({
  type: ESCAPE_PUZZLE,
  payload: true,
})

export const puzzleEscaped = (): EscapePuzzleAction => ({
  type: ESCAPE_PUZZLE,
  payload: false,
})

export const setSynced = (
  commitID?: string | null,
): PuzzleSyncedAction => ({
  type: PUZZLE_SYNCED,
  payload: { commitID },
})
