import { Reducer } from 'redux'

import type { CrosswordAction } from '../crosswordAction'

import {
  ESCAPE_PUZZLE,
  PUZZLE_READY,
  PUZZLE_SYNCED,
} from './transientActions'
import { TransientState } from './transientTypes'

const initialState: TransientState = {
  isReady: false,
  isSynced: false,
  doEscape: false,
}

const reducer: Reducer<TransientState, CrosswordAction> = (
  state = initialState,
  action,
) => {
  switch (action.type) {
    case PUZZLE_READY: {
      return {
        ...state,
        isReady: true,
      }
    }

    case PUZZLE_SYNCED: {
      return {
        ...state,
        isSynced: true,
      }
    }

    case ESCAPE_PUZZLE: {
      return {
        ...state,
        doEscape: action.payload,
      }
    }

    default:
      return state
  }
}

export default reducer
