import {
  getCurrentUser,
  getCurrentUserSettings,
} from './userSelectors'

const crosswordState = {
  user: {
    foo: 2,
    settings: {
      onSwitch: 'stay',
      jumpBack: true,
      skipFilled: true,
      skipPenciled: false,
      showTimer: true,
      suppressDisqualificationWarnings: false,
      forceGoldStarEligibility: false,
    },
    printPrefs: {
      opacity: 100,
      layout: 'standard',
    },
  },
}

describe('user selectors', () => {
  test('get current user', () => {
    expect(getCurrentUser(crosswordState)).toMatchObject(
      crosswordState.user,
    )
  })

  test('get current user settings', () => {
    expect(getCurrentUserSettings(crosswordState)).toMatchObject(
      crosswordState.user.settings,
    )
  })
})
