import { createSelector } from 'reselect'

import type { CrosswordStoreState } from '../crosswordReducer'

/**
 * Selectors for users and current user
 */
export const getCurrentUser = (state: CrosswordStoreState) =>
  state.user

export const getCurrentUserSettings = createSelector(
  getCurrentUser,
  ({ settings }) => settings,
)

export const getPrintPrefs = createSelector(
  getCurrentUser,
  ({ printPrefs }) => printPrefs,
)
