import { CLEAR } from '../state/cells/cellsActions'
import { Scope } from '../state/cells/cellsTypes'
import { navigate } from '../state/selection/selectionActions'

import { CrosswordThunk, determineAffectedCells } from './helpers'
import { execute } from './statusThunks'

export const clear = () => execute(CLEAR, Scope.Letter)

export const backspace =
  (): CrosswordThunk => (dispatch, getState) => {
    const puzzle = getState()
    const clearableCells = determineAffectedCells(
      puzzle,
      CLEAR,
      Scope.Letter,
    )

    if (clearableCells?.length === 0) {
      dispatch(navigate('Backspace'))
    }

    dispatch(clear())
  }
