import {
  getAllCells,
  getAllClues,
} from '../state/puzzle/puzzleSelectors'
import {
  ApplyProgressPayload,
  APPLY_PROGRESS,
  RECALCULATE_COUNTS,
} from '../state/progressActions'

import { CrosswordThunk } from './helpers'

export const applyProgress =
  (progress: ApplyProgressPayload): CrosswordThunk =>
  (dispatch, getState) => {
    dispatch({ type: APPLY_PROGRESS, payload: progress })

    const state = getState()
    const cells = getAllCells(state)
    const clues = getAllClues(state)
    dispatch({ type: RECALCULATE_COUNTS, payload: { cells, clues } })
  }
