import { GET_STATS_AND_STREAKS } from '../state/stats/statsActions'
import { fetchAllStats } from '../utils/remoteUtils'
import logger from '../../../shared/utils/clientLogger'
import { UserType } from '../../../../shared/foundation'

import { CrosswordThunk } from './helpers'

export const getStatsAndStreaks =
  (userType: UserType): CrosswordThunk =>
  (dispatch) => {
    /** no need to get stats if user is logged out */
    if (!userType.isLoggedIn) return Promise.resolve({})

    return fetchAllStats(userType)
      .then((payload) =>
        dispatch({ type: GET_STATS_AND_STREAKS, payload }),
      )
      .catch((error) => {
        logger.error(`fetch stats and streaks failed: ${error.stack}`)
      })
  }
