import type { CrosswordStoreState } from '../../state/crosswordReducer'

// redux has its own DeepPartial but its not working...
type DeepPartial<T> = {
  [P in keyof T]?: DeepPartial<T[P]>
}

export const data: DeepPartial<CrosswordStoreState> = {
  selection: {
    cell: 16,
    cellClues: [3, 6],
    clue: 3,
    clueCells: [15, 16, 17, 18, 19],
    clueList: 0,
    relatedCells: [],
    relatedClues: [],
  },
  timer: {
    totalElapsedTime: 12345566,
    sessionStartTimestamp: 1233459,
    sessionElapsedTime: 12339,
    resetSinceLastCommit: false,
  },
  puzzle: {
    data: {
      meta: {
        id: 12345,
      },
      dimensions: {
        rowCount: 7,
        columnCount: 7,
        aspectRatio: 7,
        cellSize: 4,
      },
    },
  },
  cells: [
    {
      type: 1,
      clues: [0, 5],
      answer: 'N',
      label: '1',
      index: 0,
      guess: 'N',
      penciled: false,
      confirmed: false,
      timestamp: 1632231711,
      checked: false,
      revealed: true,
      modified: true,
    },
    {
      type: 1,
      clues: [0, 6],
      answer: 'I',
      label: '2',
      index: 1,
      guess: '',
      confirmed: false,
      timestamp: 1632231741,
      checked: false,
      revealed: true,
      modified: true,
      penciled: false,
    },
    {
      type: 1,
      clues: [0, 7],
      answer: 'L',
      label: '3',
      index: 2,
      guess: 'P',
      penciled: false,
      confirmed: false,
      timestamp: 1632231736,
      checked: false,
      revealed: true,
      modified: true,
    },
    {
      type: 1,
      clues: [1, 5],
      answer: 'E',
      label: '4',
      index: 5,
      guess: 'E',
      penciled: false,
      confirmed: false,
      timestamp: 1632231711,
      checked: false,
      revealed: true,
      modified: true,
    },
    {
      type: 1,
      clues: [1, 6],
      answer: 'S',
      index: 6,
      guess: '',
      confirmed: false,
      timestamp: 1632231744,
      label: '',
      checked: false,
      revealed: true,
      modified: true,
      penciled: false,
    },
    {
      type: 1,
      clues: [1, 7],
      answer: 'I',
      index: 7,
      guess: 'O',
      penciled: false,
      confirmed: false,
      timestamp: 1632231737,
      label: '',
      checked: false,
      revealed: true,
      modified: true,
    },
    {
      type: 1,
      clues: [1, 8],
      answer: 'G',
      label: '5',
      index: 8,
      guess: 'G',
      penciled: false,
      confirmed: false,
      timestamp: 1632231692,
      checked: false,
      revealed: true,
      modified: true,
    },
    {
      type: 1,
      clues: [1, 9],
      answer: 'N',
      label: '6',
      index: 9,
      guess: 'N',
      penciled: false,
      confirmed: false,
      timestamp: 1632231695,
      checked: false,
      revealed: true,
      modified: true,
    },
    {
      type: 1,
      clues: [2, 5],
      answer: 'T',
      label: '7',
      index: 10,
      guess: 'T',
      penciled: false,
      confirmed: false,
      timestamp: 1632231663,
      checked: false,
      revealed: true,
      modified: true,
    },
    {
      type: 1,
      clues: [2, 6],
      answer: 'E',
      index: 11,
      guess: 'E',
      penciled: false,
      confirmed: false,
      timestamp: 1632231663,
      label: 'B',
      checked: false,
      revealed: true,
      modified: true,
    },
    {
      type: 1,
      clues: [2, 7],
      answer: 'S',
      index: 12,
      guess: 'S',
      penciled: false,
      confirmed: false,
      timestamp: 1632231664,
      label: '',
      checked: false,
      revealed: true,
      modified: true,
    },
    {
      type: 1,
      clues: [2, 8],
      answer: 'L',
      index: 13,
      guess: 'L',
      penciled: false,
      confirmed: false,
      timestamp: 1632231664,
      label: '9',
      checked: false,
      revealed: true,
      modified: true,
    },
    {
      type: 1,
      clues: [2, 9],
      answer: 'A',
      index: 14,
      guess: 'A',
      penciled: false,
      confirmed: false,
      timestamp: 1632231664,
      label: '10',
      checked: false,
      revealed: true,
      modified: true,
    },
    {
      type: 1,
      clues: [3, 5],
      answer: 'S',
      label: '8',
      index: 15,
      guess: 'S',
      penciled: false,
      confirmed: false,
      timestamp: 1632231670,
      checked: false,
      revealed: true,
      modified: true,
    },
    {
      type: 1,
      clues: [3, 6],
      answer: 'E',
      index: 16,
      guess: '',
      confirmed: false,
      timestamp: 1632231746,
      label: '',
      checked: false,
      revealed: true,
      modified: true,
      penciled: false,
    },
    {
      type: 1,
      clues: [3, 7],
      answer: 'T',
      index: 17,
      guess: 'T',
      penciled: false,
      confirmed: false,
      timestamp: 1632231671,
      label: '',
      checked: false,
      revealed: true,
      modified: true,
    },
    {
      type: 1,
      clues: [3, 8],
      answer: 'U',
      index: 18,
      guess: 'U',
      penciled: false,
      confirmed: false,
      timestamp: 1632231671,
      label: '',
      checked: false,
      revealed: true,
      modified: true,
    },
    {
      type: 1,
      clues: [3, 9],
      answer: 'P',
      index: 19,
      guess: 'P',
      penciled: false,
      confirmed: false,
      timestamp: 1632231671,
      label: '',
      checked: false,
      revealed: true,
      modified: true,
    },
    {
      type: 1,
      clues: [4, 7],
      answer: 'S',
      label: '9',
      index: 22,
      guess: 'S',
      penciled: false,
      confirmed: false,
      timestamp: 1632231678,
      checked: false,
      revealed: true,
      modified: true,
    },
    {
      type: 1,
      clues: [4, 8],
      answer: 'E',
      index: 23,
      guess: 'E',
      penciled: false,
      confirmed: false,
      timestamp: 1632231679,
      checked: false,
      revealed: true,
      modified: true,
      label: '12',
    },
    {
      type: 1,
      clues: [4, 9],
      answer: 'A',
      index: 24,
      guess: 'A',
      penciled: false,
      confirmed: false,
      timestamp: 1632231680,
      checked: false,
      revealed: true,
      modified: true,
      label: '14',
    },
  ],
}
