import { RawDimensions } from './types'

const targetWidth = 500

const adaptDimensions = (dimensions: RawDimensions) => {
  const { height: rowCount, width: columnCount } = dimensions
  const aspectRatio = columnCount / rowCount

  const cellSize = Math.floor(targetWidth / columnCount)

  return {
    rowCount,
    columnCount,
    aspectRatio,
    cellSize,
  }
}

export default adaptDimensions
