import { RawAssets, RawOverlays } from './types'

function isDefined<T>(val: T | undefined | null): val is T {
  return val !== undefined && val !== null
}

const adaptOverlays = (
  assets: RawAssets = [],
  overlays: RawOverlays = {},
) => {
  const { beforeStart, afterSolve } = overlays

  const getAssetUri = (index: number | undefined) => {
    if (!isDefined(index)) return ''
    const asset = assets[index - 1] || {}
    return asset.uri || ''
  }

  return {
    beforeStart: getAssetUri(beforeStart),
    afterSolve: getAssetUri(afterSolve),
  }
}

export default adaptOverlays
