import { formatDate } from '../../../utils/time'
import type { CellState } from '../../state/cells/cellsTypes'
import type { MetaState } from '../../state/puzzle/puzzleTypes'

const addExternalCells = (
  cells: CellState[],
  { publicationDate, publishStream }: MetaState,
): CellState[] => {
  if (publishStream !== 'daily') return cells
  const date = formatDate(publicationDate, 'MMMDDYYYY')
  let external: number[]
  switch (date) {
    case 'Feb021995':
      // prettier-ignore
      external = [0, 1, 2, 3, 4, 5, 6,   8, 9, 10, 11, 12, 13, 14]
      break
    case 'Nov022004':
      // prettier-ignore
      external = [225, 226, 227, 228, 229, 230, 231, 232, 233, 234, 235,    237, 238, 239]
      break
    case 'Oct302014':
      // prettier-ignore
      external = [0,   1,   2,   13,  14,  15,
                  16,  17,            30,  31,
                  32,                      47,
                  208,                     223,
                  224, 225,           238, 239,
                  240, 241, 242, 253, 254, 255]
      break
    case 'Jan062015':
      // prettier-ignore
      external = [60,  61,  62,
                                       88,  89,
                  135, 136, 162,
                                       163, 164]
      break
    case 'Feb142018':
      // prettier-ignore
      external = [0, 1,                         6, 7, 8, 9, 10,                      15, 16,
                  17,                             24, 25, 26,                            33,
                                                      42,
                  170,                                                                   186,
                  187, 188,                                                         202, 203,
                  204, 205, 206,                                               218, 219, 220,
                  221, 222, 223, 224,                                     234, 235, 236, 237,
                  238, 239, 240, 241, 242,                           250, 251, 252, 253, 254,
                  255, 256, 257, 258, 259, 260,                 266, 267, 268, 269, 270, 271,
                  272, 273, 274, 275, 276, 277, 278,       282, 283, 284, 285, 286, 287, 288]
      break
    default:
      return cells
  }

  return cells.map((cell, i) => ({
    ...cell,
    type: external.includes(i) ? 4 : cell.type,
  }))
}

export default addExternalCells
