import adaptMeta from './adaptMeta'
import adaptPuzzle from './adaptPuzzle'
import adaptBoard from './adaptBoard'
import adaptDimensions from './adaptDimensions'
import adaptOverlays from './adaptOverlays'
import addExternalCells from './addExternalCells'
import { RawPuzzleData } from './types'

const adaptCrossword = (data: RawPuzzleData, stream: string) => {
  const {
    assets,
    body: [puz],
    ...metadata
  } = data
  const { SVG, ...puzzle } = puz
  const meta = adaptMeta(metadata, stream)
  const normalPuzzle = adaptPuzzle(puzzle)

  return {
    meta,
    ...normalPuzzle,
    cells: addExternalCells(normalPuzzle.cells, meta),
    dimensions: adaptDimensions(puzzle.dimensions),
    board: adaptBoard(SVG),
    overlays: adaptOverlays(assets, puzzle.overlays),
  }
}

export default adaptCrossword
