export const getNextOrFirstElement = <T>(list: T[], element: T) =>
  list[(list.indexOf(element) + 1) % list.length]

export const getPreviousOrLastElement = <T>(list: T[], element: T) =>
  list[list.indexOf(element) - 1] || list[list.length - 1]

export const getElementsAfter = <T>(list: T[], element: T) =>
  list.slice(list.indexOf(element) + 1)

export const getElementsBefore = <T>(list: T[], element: T) =>
  list.slice(0, list.indexOf(element))

export const getElementsAfterAndBefore = <T>(list: T[], element: T) =>
  getElementsAfter(list, element).concat(
    getElementsBefore(list, element),
  )

export const getRandomElement = <T>(list: T[]) =>
  list[Math.floor(Math.random() * list.length)]
