export const devToolsTest = (storeSetup) =>
  it('should integrate redux dev inspector', () => {
    // fake the dev middleware
    const observer = jest.fn()

    window.__REDUX_DEVTOOLS_EXTENSION__ = () => {
      const storeEnhancer = (storeCreator) => (
        reducer,
        initialState,
      ) => {
        return storeCreator((state, action) => {
          observer()
          return reducer(state, action)
        }, initialState)
      }

      return storeEnhancer
    }

    // setup a store after dev middleware is available
    storeSetup()

    expect(observer).toHaveBeenCalled()

    delete window.__REDUX_DEVTOOLS_EXTENSION__
  })
