import { track } from 'foundation'

import { trackImpression } from '../tracking'

jest.mock('foundation', () => ({
  track: jest.fn().mockImplementation((type, trackingObj) => ({
    type,
    trackingObj,
  })),
}))

describe('HELPER: TRACKING', () => {
  it('should call track() with suitable defaults', () => {
    trackImpression('event-name')

    const expectedModuleObj = {
      module: {
        name: 'event-name',
        region: '',
        label: '',
        context: '',
      },
    }

    expect(track).toHaveBeenCalledWith(
      'impression',
      expectedModuleObj,
    )
  })

  it('should call track() with proper impression object', () => {
    trackImpression('event-name', 'region', 'label', 'context')

    const expectedModuleObj = {
      module: {
        name: 'event-name',
        region: 'region',
        label: 'label',
        context: 'context',
      },
    }

    expect(track).toHaveBeenCalledWith(
      'impression',
      expectedModuleObj,
    )
  })
})
