import React from 'react'
import ReactDOM from 'react-dom'

import {
  ModalOptions,
  ModalSystem,
  SubModalContent,
} from './createModalSystem'

const createSubmodalContent = (
  props: Record<string, any>,
  modals: Array<ModalOptions>,
  modalSystem: ModalSystem,
) =>
  modals
    .filter((modal) => modal.subModalContent)
    .map((modal) => {
      const { Content } = modal.subModalContent as SubModalContent

      return ReactDOM.createPortal(
        <Content {...props[modal.name]} />,
        modalSystem.get(modal.name).subRoot,
      )
    })

export default createSubmodalContent
