import { env, appendSupportedParams } from 'foundation'

import { isDeepLink, stringifyQueryParams } from './hybridLinkHelpers'

const HOST = window.location.origin

// Same determination for login link used in createNavigationLinks.js serverside
const loginBoomerang = stringifyQueryParams({
  redirect_uri: encodeURIComponent(HOST + window.location.pathname),
  response_type: 'cookie',
  client_id: 'games',
  application: 'crosswords',
})

const LOGIN_LINK = `${env.account}/auth/enter-email?${loginBoomerang}`
export const getLoginLink = (
  w = window,
  additionalParams?: string,
) => {
  const windowLoginLink = w?.navigationLinks?.login || ''

  if (isDeepLink(windowLoginLink)) {
    return windowLoginLink
  }

  if (additionalParams) {
    return appendSupportedParams(LOGIN_LINK, additionalParams)
  }

  return LOGIN_LINK
}

export default getLoginLink
