import { env, appendSupportedParams } from 'foundation'

import { isDeepLink, stringifyQueryParams } from './hybridLinkHelpers'

const HOST = window.location.origin
const PATH = window.location.pathname
const REDIRECT_URI = HOST + PATH 

const OFFER_URI = `${HOST}/subscription/games-offer?campaignId=8YUQL`

const loginOfferBoomerang = stringifyQueryParams({
  redirect_uri: encodeURIComponent(`${OFFER_URI}&EXIT_URI=${REDIRECT_URI}`),
  response_type: 'cookie',
  client_id: 'games',
  application: 'crosswords',
})

const LOGIN_OFFER_LINK = `${env.account}/auth/enter-email?${loginOfferBoomerang}`
export const getLoginOfferLink = (w = window) => {
  const windowLoginLink = w?.navigationLinks?.login || ''

  if (isDeepLink(windowLoginLink)) {
    return windowLoginLink
  }

  return LOGIN_OFFER_LINK
}

export default getLoginOfferLink
