import { track } from 'foundation'

/**
 * Helper for pushing an impression event onto the dataLayer object. Used
 * to emit analytics events.
 *
 * @param name Name of the event
 * @param region Region of the impression.
 * @param label Label of the impression.
 * @param context Context of the impression.
 */
export const trackImpression = (
  name: string,
  region: string = '',
  label: string = '',
  context: string = '',
) => {
  track('impression', {
    module: {
      name,
      region,
      label,
      context,
    },
  })
}
