const taskHandles: Record<string, ReturnType<typeof setTimeout> | void> = {}

const whenIdle = (key: string, fn: () => void) => {
  const cb = () => {
    fn()
    delete taskHandles[key]
  }

  if (!taskHandles[key]) {
    taskHandles[key] = window.requestIdleCallback
      ? window.requestIdleCallback(cb, { timeout: 2000 })
      : setTimeout(cb, 1000)
  }
}

export default whenIdle
