import '../../shared/shared-styles'
import '../../shared/shared-scripts'

import React from 'react'
import ReactDOM from 'react-dom'
import { Provider } from 'react-redux'

import { getGameData } from 'foundation'
import { UserProvider } from 'user'
import AbraProviderWithUser from 'shared/abra/AbraProviderWithUser'
import { FeatureFlagProvider } from 'shared/abra/FeatureFlagProvider'

import ClientSideScripts from '../../shared/components/ClientSideScripts'

import { setUpStore } from './js/store'
import PuzzleContainer from './js/containers/PuzzleContainer/index'
import { MeterProvider } from './js/meter/meterProvider'

import './index.scss'

const gameRoot = document.getElementById('pz-game-root')

const store = setUpStore(getGameData())

ReactDOM.render(
  <>
    <ClientSideScripts />
    <UserProvider>
      <AbraProviderWithUser>
        <FeatureFlagProvider>
          <MeterProvider>
            <Provider store={store}>
              <PuzzleContainer />
            </Provider>
          </MeterProvider>
        </FeatureFlagProvider>
      </AbraProviderWithUser>
    </UserProvider>
  </>,
  gameRoot,
)
