import React from 'react'
import pt from 'prop-types'

import DropDownComponent from '../../shared/DropDown/DropDown'
import DropDownItem from '../../shared/DropDown/DropDownItem'

import track from './letterBoxedTracker'

const HelpSelectMenu = ({ animating, actions }) => {
  return (
    <DropDownComponent
      buttonLabel={<i className="lb-app__kebab-icon" />}
      removeArrow
      customLabelClass="lb-app__help-label"
      ariaLabel="help"
    >
      <DropDownItem
        type="button"
        key="yesterday"
        value="Yesterday"
        buttonAction={() => {
          track.interaction.settings('yesterday-solution')
          actions.openModal('yesterday')
        }}
      />
    </DropDownComponent>
  )
}

HelpSelectMenu.propTypes = {
  animating: pt.bool.isRequired,
  actions: pt.shape({
    openModal: pt.func.isRequired,
  }),
}

export default HelpSelectMenu
