import React from 'react'
import pt from 'prop-types'
import cn from 'classnames'

const Message = ({ message }) => (
  <div
    className={cn('lb-message-box', {
      'error-message': message && message.isError,
      'success-message': message && message.isError === false,
    })}
  >
    {message.value && (
      <span className="lb-message">{message.value}</span>
    )}
  </div>
)

Message.propTypes = {
  message: pt.shape({
    isError: pt.bool,
    value: pt.string,
  }),
}

export default Message
