import React from 'react'
import pt from 'prop-types'

import Square from './PreviewSquare'
import {
  congratsSquareConfigOld,
  helpSquareConfig,
  yesterdaysSquareConfig,
} from './previewSquareConfig'

const configLookup = {
  congrats: congratsSquareConfigOld,
  help: helpSquareConfig,
  yesterday: yesterdaysSquareConfig,
}

const configs = Object.keys(configLookup)

const Template = ({ configType }) => (
  <Square
    solution={['BRINKS', 'STOMACH']}
    sides={['ASB', 'CTI', 'HNM', 'KOR']}
    config={configLookup[configType]}
  />
)

Template.propTypes = {
  configType: pt.oneOf(configs),
}

export const PreviewSquare = Template.bind({})
PreviewSquare.args = { configType: configs[0] }

export default {
  component: PreviewSquare,
  title: 'Letterboxed/Atoms/Preview Square',
  argTypes: {
    configType: {
      options: Object.keys(configLookup),
      control: {
        type: 'select',
      },
    },
  },
  parameters: {
    layout: 'centered',
    backgrounds: {
      default: 'grey',
      values: [
        {
          name: 'grey',
          value: '#e5e5e5',
        },
      ],
    },
  },
}
