import React from 'react'
import pt from 'prop-types'

/*
  WORD COMPONENT 
  Receieves a word from the word list and worries about the state of each letter
*/
class Word extends React.Component {
  constructor(props) {
    super(props)
    this.firstUseLetters = []
  }

  render() {
    const { word, usedLetters, addUsedLetter } = this.props

    return (
      <span className="lb-word-list__word">
        {word.split('').map((letter, i) => {
          const opaqueEl = (
            <span key={i} className="opaque">
              {letter}
            </span>
          )

          // If letter has never been used before, make it bold
          if (!usedLetters.includes(letter)) {
            addUsedLetter(letter)
            this.firstUseLetters.push(letter)

            return opaqueEl
            // If the letter has been used before but it's first use was in the current word,
            // also make it bold
          }

          if (this.firstUseLetters.includes(letter)) {
            return opaqueEl
          }

          return letter
        })}
      </span>
    )
  }
}

Word.propTypes = {
  word: pt.string.isRequired,
  usedLetters: pt.arrayOf(pt.string).isRequired,
  addUsedLetter: pt.func.isRequired,
}

export default Word
