import React from 'react'
import pt from 'prop-types'

import Word from './Word'

/*
  WORD LIST COMPONENT
  Keeps track of which letters have been used
*/
class WordList extends React.Component {
  constructor(props) {
    super(props)

    this.usedLetters = []
  }

  componentDidUpdate = () => {
    this.usedLetters = []
  }

  addUsedLetter = (letter) => {
    this.usedLetters.push(letter)
  }

  render() {
    const { puzzle } = this.props
    const { submittedWords } = puzzle

    return (
      <>
        <div className="lb-word-list-length">
          {submittedWords.length}{' '}
          {submittedWords.length > 1 ? 'words' : 'word'}
        </div>
        <div className="lb-word-list-container">
          <div className="lb-word-list">
            {submittedWords.map((word, idx) => (
              <Word
                key={idx}
                word={word}
                usedLetters={this.usedLetters}
                addUsedLetter={this.addUsedLetter}
              />
            ))}
          </div>
        </div>
      </>
    )
  }
}

WordList.defaultProps = {
  puzzle: pt.shape({}),
}

WordList.propTypes = {
  puzzle: pt.shape({
    submittedWords: pt.arrayOf(pt.string).isRequired,
  }),
}

export default WordList
