import { didCompleteGame, saveAsCompleted } from '../handleCompletion'

const original = window.localStorage

describe('LETTER BOXED: HANDLE COMPLETION - SERVER SIDE', () => {
  let errorSpy
  const printDate = '2021-05-12'

  beforeEach(() => {
    Object.defineProperty(window, 'localStorage', {
      value: undefined,
    })
    errorSpy = jest.spyOn(global.console, 'error')
  })

  afterEach(() => {
    jest.resetAllMocks()
    Object.defineProperty(window, 'localStorage', {
      value: original,
    })
  })

  it('didCompleteGame() returns false', () => {
    expect(didCompleteGame(printDate)).toEqual(false)
  })

  it('saveAsCompleted() does not log error', () => {
    saveAsCompleted(printDate)
    expect(errorSpy).not.toHaveBeenCalled()
  })
})
