export const colors = {
  black: '#000',
  white: '#FFF',
  pink: '#F9B5AB',
  palePink: '#FEF0ED',
  red: '#FC716B',
}

export const coordTypes = {
  letter: 'letter',
  point: 'point',
}

export const lineStates = {
  isActive: 'isActive',
  isSubmitted: 'isSubmitted',
  isAnimating: 'isAnimating',
}

export const letterStateConfigs = {
  active: 'active',
  inactive: 'inactive',
  animating: 'animating',
}

export const squareSize = 0.65 // 65% of canvas size

// For help with determining whether a letter has been clicked/touched
// Should probably be adjusted whenever fontSize is adjusted
export const letterTouchAreaConfig = {
  letterWidth: 26,
  letterHeight: 32,
  letterPadding: 8,
  pointSize: 17,
  pointPadding: 8,
}

export const canvasConfig = [
  {
    minWidth: 768,
    desktop: {
      canvasSize: 400,
      dotRadius: 8,
      fontSize: 32,
      lineWidth: 4,
    },
    mobile: {
      canvasSize: 500,
      dotRadius: 9,
      fontSize: 38,
      lineWidth: 4.5,
    },
  },
  {
    minWidth: 444,
    desktop: {
      canvasSize: 400,
      dotRadius: 8,
      fontSize: 32,
      lineWidth: 4,
    },
  },
  {
    minWidth: 321,
    desktop: {
      canvasSize: 320,
      dotRadius: 7.15,
      fontSize: 28,
      lineWidth: 4,
    },
  },
  {
    minWidth: 0,
    desktop: {
      canvasSize: 225,
      dotRadius: 6,
      fontSize: 22,
      lineWidth: 4,
    },
  },
]

export const textfieldConfig = [
  {
    minWidth: 768,
    desktop: {
      fontSize: 34,
    },
    mobile: {
      fontSize: 36,
    },
  },
  {
    minWidth: 444,
    desktop: {
      fontSize: 28,
    },
    mobile: {
      fontSize: 28,
    },
  },
  {
    minWidth: 321,
    desktop: {
      fontSize: 28,
    },
    mobile: {
      fontSize: 28,
    },
  },
  {
    minWidth: 0,
    desktop: {
      fontSize: 28,
    },
    mobile: {
      fontSize: 24,
    },
  },
]

export const squishTime = 100

// A timeout of 6 seconds to load the fonts
export const fontTimeout = 6000

// A no op handler to catch rejected font promises
export const fontFailHandler = () => {}
