import { setSentryData } from 'foundation' /* eslint-disable-line import/no-unresolved */

const win = typeof window === 'undefined' ? {} : window
const LOCAL_KEY = 'letterboxed-today'

const clearCompletion = () => {
  win.localStorage.removeItem(LOCAL_KEY)
}

export const didCompleteGame = (printDate) => {
  if (win.localStorage === undefined) return false
  const completed = false
  const stored = win.localStorage.getItem(LOCAL_KEY)
  if (stored) {
    try {
      const localProgress = JSON.parse(stored)
      if (printDate === localProgress.printDate) return true
      clearCompletion()
    } catch (e) {
      clearCompletion()
      console.error(`could not parse local progress: ${stored}`)
      setSentryData(`could not parse local progress: ${stored}`, e)
    }
  }

  return completed
}

export const saveAsCompleted = (printDate) => {
  if (win.localStorage === undefined) return false

  try {
    win.localStorage.setItem(LOCAL_KEY, JSON.stringify({ printDate }))
  } catch (err) {
    console.error('local storage failure:', err)
    setSentryData('local storage failure:', err)
  }
}
