import React from 'react'
import { Story } from '@storybook/react'

import ConfirmResetComponent from '../ConfirmReset'

const ConfirmResetTemplate = () => {
  return (
    <ConfirmResetComponent
      close={() => {}}
      isClosing={false}
      onRemove={() => {}}
    />
  )
}

export const ConfirmReset = ConfirmResetTemplate.bind({})

export default {
  component: ConfirmReset,
  title: 'LetterBoxed/Modals/Confirm Reset',
  decorators: [
    (Story: Story) => {
      document.body.classList.add('pz-desktop')
      document.body.classList.add('pz-page')
      return (
        <div
          id="modal-system-portal"
          className="modal-system-container modal-system-active"
        >
          <Story />
        </div>
      )
    },
  ],
}
