import React from 'react'
import { Story } from '@storybook/react'

import YesterdaysSolutionComponent from '../YesterdaysSolution'

const data = {
  yesterdaysSolution: ['HANDCRAFTED', 'DIGITIZED'],
  yesterdaysSides: ['RTZ', 'AGC', 'HFD', 'NEI'],
}

const ModalYesterdaysSolution = () => {
  return (
    <YesterdaysSolutionComponent
      close={() => {}}
      isClosing={false}
      onRemove={() => {}}
      data={data}
    />
  )
}

export const YesterdaysSolution = ModalYesterdaysSolution.bind({})

export default {
  component: YesterdaysSolution,
  title: 'LetterBoxed/Modals/Yesterdays Solution',
  decorators: [
    (Story: Story) => {
      document.body.classList.add('pz-desktop')
      document.body.classList.add('pz-page')
      return (
        <div
          id="modal-system-portal"
          className="modal-system-container modal-system-active"
        >
          <Story />
        </div>
      )
    },
  ],
}
