import React from 'react'

import Loader from '../../../shared/moments/components/Loader'

import { PuzzleProps } from './MomentWelcomeManager'

type MomentLoaderProps = {
  hasLoaded: boolean
  props?: PuzzleProps
}

const MomentLoader = ({ hasLoaded, ...props }: MomentLoaderProps) => {
  const config = {
    bgColor: '$letter-boxed-red',
    barBgColor: 'rgba(255, 255, 255, 0.6)',
    barColor: 'black',
    transitionTo: 'welcome',
  }

  const loaderProps = { ...props, ...config, hasLoaded }

  return <Loader {...loaderProps} />
}

export default MomentLoader
