import { colors } from './constants'

export const yesterdaysSquareConfig = {
  squareColor: colors.white,
  outlineColor: colors.black,
  pointStyle: {
    strokeStyle: colors.black,
    fillStyle: colors.white,
  },
  letterStyle: {
    strokeStyle: colors.black,
    fillStyle: colors.black,
    fontWeight: 700,
  },
  lineStyle: {
    isDashed: false,
    color: colors.pink,
    lineCap: 'butt',
  },
  canvasSize: 120,
  squarePercentage: 0.65,
  dotRadius: 2,
  fontSize: 12,
  lineWidth: 3,
}

export const yesterdaysSquareMobileConfig = {
  ...yesterdaysSquareConfig,
  canvasSize: 200,
  fontSize: 16,
}

// deprecated, slated for deletion
export const congratsSquareConfigOld = {
  squareColor: colors.white,
  outlineColor: null,
  pointStyle: null,
  letterStyle: null,
  lineStyle: {
    isDashed: false,
    color: colors.pink,
    lineCap: 'round',
  },
  canvasSize: 200,
  squarePercentage: 0.9,
  dotRadius: 2,
  fontSize: 12,
  lineWidth: 5,
}

export const congratsSquareConfig = {
  squareColor: colors.white,
  outlineColor: null,
  pointStyle: null,
  letterStyle: null,
  lineStyle: {
    isDashed: false,
    color: colors.red,
    lineCap: 'round',
  },
  canvasSize: 64,
  squarePercentage: 0.9,
  dotRadius: 2,
  fontSize: 12,
  lineWidth: 3.5,
}

export const helpSquareConfig = {
  squareColor: colors.white,
  outlineColor: colors.black,
  pointStyle: {
    strokeStyle: colors.black,
    fillStyle: colors.white,
  },
  letterStyle: {
    strokeStyle: colors.black,
    fillStyle: colors.black,
    fontWeight: 700,
  },
  lineStyle: {
    isDashed: true,
    color: colors.pink,
    lineCap: 'butt',
  },
  canvasSize: 120,
  squarePercentage: 0.65,
  dotRadius: 2,
  fontSize: 12,
  lineWidth: 3,
}
