import { isMobile } from 'responsive'

export function getResponsiveConfig(
  screenWidth,
  screenHeight,
  config,
) {
  const isInLandscape = screenWidth > screenHeight
  const breakpoint = config.find((c) => c.minWidth <= screenWidth)

  // Default to desktop style if in landscape
  return isMobile && !isInLandscape
    ? breakpoint.mobile || breakpoint.desktop
    : breakpoint.desktop
}

export default { getResponsiveConfig }
