import {
  createStore,
  compose,
  combineReducers,
  applyMiddleware,
} from 'redux'
import thunk from 'redux-thunk'

import {
  initialState as puzzleState,
  puzzleContainerReducer as puzzleContainer,
} from './puzzleContainer/reducer'
import settings, { initialState as settingsState } from './settings'

const rootReducer = combineReducers({ puzzleContainer, settings })

export const setUpStore = (data) => {
  const { date, ...apiState } = data
  const mergedState = { ...puzzleState, ...apiState }
  const middleware = [applyMiddleware(thunk)]

  if (window.__REDUX_DEVTOOLS_EXTENSION__) {
    middleware.push(window.__REDUX_DEVTOOLS_EXTENSION__())
  }

  return createStore(
    rootReducer,
    {
      puzzleContainer: mergedState,
      settings: settingsState,
    },
    compose(...middleware),
  )
}
