import {
  getFromLocalStorage,
  writeToLocalStorage,
} from 'shared/moogle/utils'

/* CONSTANTS */
export const UPDATE_CONFIRM_RESET = 'LetterBoxed/UPDATE_CONFIRM_RESET'

/* THUNKS */
export const saveConfirmReset =
  ({ confirmReset }) =>
  (dispatch) => {
    writeToLocalStorage('letterboxed-settings', { confirmReset })

    dispatch({
      type: UPDATE_CONFIRM_RESET,
      payload: confirmReset,
    })
  }

/* SELECTORS */
export const getConfirmReset = (state) => state.settings.confirmReset

/* INITIALIZE STATE */
const defaultState = { confirmReset: true }

export const initialState = getFromLocalStorage(
  'letterboxed-settings',
  defaultState,
)

/* REDUCER */
export const settingsReducer = (state = initialState, action) => {
  switch (action.type) {
    case UPDATE_CONFIRM_RESET: {
      return {
        ...state,
        confirmReset: action.payload,
      }
    }

    default:
      return state
  }
}

export default settingsReducer
