import { getFromLocalStorage } from 'shared/moogle/utils'

import settingsReducer, {
  UPDATE_CONFIRM_RESET,
  saveConfirmReset,
} from './index'

describe('Letter Boxed Reducer', () => {
  const mockState = { confirmReset: true }

  it('returns state by default', () => {
    const updatedState = settingsReducer(mockState, { type: 'test' })
    expect(updatedState).toEqual(mockState)
  })

  it('updates reset confirmation options', () => {
    const updatedState = settingsReducer(mockState, {
      type: UPDATE_CONFIRM_RESET,
      payload: false,
    })
    expect(updatedState.confirmReset).toEqual(false)
  })
})

describe('Letter Boxed Thunks: saveConfirmReset', () => {
  it('writes settings to local storage', () => {
    saveConfirmReset({ confirmReset: false })(() => {})
    const settings = getFromLocalStorage('letterboxed-settings', true)
    expect(settings.confirmReset).toEqual(false)
  })
})
