import { didCompleteGame } from './handleCompletion'

export const nonSubCompletedGame = (
  printDate: string,
  hasXwd: boolean,
) => !!(!hasXwd && didCompleteGame(printDate))

export const toolBarShouldBeInteractive = (
  printDate: string,
  hasXwd: boolean,
) => !nonSubCompletedGame(printDate, hasXwd)

export const disableActionButtons = (
  {
    isCompleted,
    preventMoves,
    activeWord,
  }: {
    isCompleted: boolean
    preventMoves: boolean
    activeWord: string
  },
  hasXwd: boolean,
) =>
  activeWord.length === 0 ||
  (isCompleted && !hasXwd) ||
  (preventMoves && !hasXwd)
