import React from 'react'

import { Welcome } from '../moments/components/stories/Welcome.stories'

import Banner from './Banner'

export default {
  title: 'Design System/Banners/App Download Banner',
  component: Banner,
}

const BannerTemplate = (args) => (
  <>
    <Welcome {...Welcome.args} />
    <Banner {...args} />
  </>
)

export const Default = BannerTemplate.bind({})
Default.args = {
  close: () => {
    console.log('closed!')
  },
  title: 'Play in the NYT Crossword app',
  message: '',
  icon: 'crossword-app',
  localStorageKey: '',
}

export const Message = BannerTemplate.bind({})
Message.args = {
  close: () => {
    console.log('closed!')
  },
  title: 'Play in the NYT Crossword app',
  message:
    'Every puzzle has at least one word that uses all 7 letters, called the Pangram. On some days, there might be more than one.',
  icon: 'spelling-bee',
  localStorageKey: '',
}
