import React from 'react'

import Button from './index'

const Template = (args) => <Button {...args} />
export const DefaultButton = Template.bind({})
DefaultButton.args = {
  type: 'primary',
}

export default {
  component: Button,
  title: 'Design System / Button',
  argTypes: {
    type: {
      options: [
        'primary',
        'secondary',
        'card-primary',
        'card-secondary',
      ],
      control: { type: 'select' },
    },
    disabled: {
      control: 'radio',
      options: [true, false],
    },
    action: {
      table: { disable: true },
    },
  },
  parameters: {
    layout: 'centered',
    table: {
      disable: true,
    },
  },
  args: {
    text: 'Button',
  },
}
export const ButtonHover = Template.bind({})
ButtonHover.parameters = { pseudo: { hover: true } }

export const ButtonActive = Template.bind({})
ButtonActive.parameters = { pseudo: { active: true } }

export const ButtonFocus = Template.bind({})
ButtonFocus.parameters = { pseudo: { focus: true } }
