import React, { ReactChildren } from 'react'
import { createPortal } from 'react-dom'

const ClientSideHeader = ({
  children,
}: {
  children: React.ReactNode
}) => {
  const gameHeaderPortal = document.getElementById(
    'portal-client-side-header',
  )

  return gameHeaderPortal
    ? createPortal(
        <div className="pz-row pz-game-title-bar xwd__hide-when-no-data">
          <div className="pz-module" id="portal-game-header">
            {children}
          </div>
        </div>,
        gameHeaderPortal,
      )
    : null
}

export default ClientSideHeader
