export const noop = () => {}

export const getUpdate = (useMonths, date) => {
  const update = [date.year()]

  if (useMonths) update.push(date.month())

  return update
}

export const getRange = (beginning, end) => {
  const range = []

  for (let number = beginning; number <= end; number += 1) {
    range.push(number)
  }

  return range.reverse()
}

export const isDisabledMonth = ({
  earliestDate,
  monthIdx,
  todaysDate,
  year,
}) => {
  const isInFuture =
    monthIdx > todaysDate.month() && year === todaysDate.year()

  const isTooOld =
    monthIdx < earliestDate.month() && year === earliestDate.year()

  return isTooOld || isInFuture
}

export const updateUrl = (history, params, year, month) => {
  const type = params && params.type ? params.type : 'daily'
  // @TODO: change this to /crossword
  const url = ['/crosswords/archive', type]

  if (year) {
    url.push(year)
  }

  if (month || month === 0) {
    url.push((parseInt(month, 10) + 1).toString().padStart(2, '0'))
  }

  history.push(url.join('/'))
}
