import React from 'react'

type Props = {
  menuToggle: () => void
  shouldClose: () => boolean
}

const DropDownCloseHook = ({ menuToggle, shouldClose }: Props) => {
  React.useEffect(() => {
    if (shouldClose()) {
      menuToggle()
    }
  }, [shouldClose])

  return <></>
}

export default DropDownCloseHook
