import React from 'react'

import DropDownComponent from '../DropDown'
import DropDownItem from '../DropDownItem'

export default {
  title: 'Design System/Drop Down/Drop Down',
  component: DropDownComponent,
  args: {
    buttonLabel: 'Click Me',
  },
}

/**
 * The decorators added around the DropDownComponent
 * provide the context in which this component is
 * typically rendered, i.e. games toolbar
 */
const Template = (args) => (
  <>
    <div className="pz-game-toolbar">
      <div className="pz-row">
        <div className="pz-module pz-flex-row pz-game-toolbar-content">
          <div className="pz-toolbar-left" />
          <div className="pz-toolbar-right">
            <DropDownComponent {...args} />
          </div>
        </div>
      </div>
    </div>
  </>
)

export const MultipleItems = Template.bind({})
MultipleItems.args = {
  children: (
    <>
      <DropDownItem
        type="button"
        value="I am a button"
        buttonAction={() => {
          console.log('do a thing')
        }}
      />
      <DropDownItem
        type="navigation"
        value="I am a link"
        url="https://www.nytimes.com"
      />
      <DropDownItem
        type="navigation"
        value="Link with icon"
        url="https://www.nytimes.com/spotlight/spelling-bee-forum"
        icon="external"
      />
    </>
  ),
}

export const CustomItem = Template.bind({})
CustomItem.args = {
  children: (
    <li className="pz-dropdown__menu-item">
      <button
        type="button"
        onClick={() => {
          console.log('do a custom thing')
        }}
        className="pz-toolbar-button"
      >
        Custom Button
      </button>
    </li>
  ),
}
