import React from 'react'

import DropDownItem from '../DropDownItem'

export default {
  title: 'Design System/Drop Down/Drop Down Item',
  component: DropDownItem,
  argTypes: {
    buttonAction: { action: 'do a thing' },
  },
}

const Template = (args) => (
  <>
    <nav className="pz-dropdown__list" style={{ right: 'auto' }}>
      <ul>
        <DropDownItem {...args} />
      </ul>
    </nav>
  </>
)

export const ButtonItem = Template.bind({})
ButtonItem.args = {
  type: 'button',
  value: 'I am a button',
  icon: 'external',
}
ButtonItem.parameters = {
  controls: {
    exclude: ['url'],
  },
}

export const NavigationItem = Template.bind({})
NavigationItem.args = {
  type: 'navigation',
  value: 'I am a link',
  url: 'https://www.nytimes.com/spotlight/spelling-bee-forum',
  icon: 'external',
}
NavigationItem.parameters = {
  controls: { exclude: ['buttonAction'] },
}
