import React from 'react'

export const WebOnly = ({ children }: { children: JSX.Element }) => {
  if (!window.isHybridWebView && !window.newsreaderAppPlatform) {
    return children
  }

  return null
}

export const HybridOnly = ({
  children,
}: {
  children: JSX.Element
}) => {
  if (window.isHybridWebView && window.NativeBridge) {
    return children
  }

  return null
}

export { default as BackButton } from './BackButton'
