import React from 'react'

import { List, ListItem } from '../List'

export default {
  title: 'Design System / List',
  component: List,
}

const ListTemplate = (args) => (
  <>
    <div className="sb-modal-system sb-modal-open">
      <div role="presentation" className="sb-modal-scrim">
        <div className="sb-modal-wrapper">
          <div className="sb-modal-frame help">
            <div className="sb-modal-top">
              <div role="button" className="sb-modal-close">
                ×
              </div>
            </div>
            <div className="sb-modal-content">
              <div className="sb-modal-header">
                <h3 className="sb-modal-title">Header</h3>
              </div>
              <div className="sb-modal-body">
                <List {...args} />
                <h3 style={{ marginTop: '12.5px' }}>Footer</h3>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </>
)

export const Default = ListTemplate.bind({})
Default.args = {
  topBorder: 'active',
  bottomBorder: 'none',
  children: (
    <>
      <ListItem>List item one</ListItem>
      <ListItem>List item two</ListItem>
      <ListItem>List item three</ListItem>
    </>
  ),
}

export const NoBorders = ListTemplate.bind({})
NoBorders.args = {
  topBorder: 'none',
  bottomBorder: 'none',
  children: (
    <>
      <ListItem bottomBorder="none">List item one</ListItem>
      <ListItem bottomBorder="none">List item two</ListItem>
      <ListItem bottomBorder="none">List item three</ListItem>
    </>
  ),
}

export const CustomListItems = ListTemplate.bind({})
CustomListItems.args = {
  topBorder: 'active',
  bottomBorder: 'none',
  children: (
    <>
      <ListItem bottomBorder="active">Active List Item</ListItem>
      <ListItem bottomBorder="inActive">
        <div style={{ color: '#8B8B8B' }}>Inactive List Item</div>
      </ListItem>
      <ListItem bottomBorder="inActive">
        <div style={{ color: '#8B8B8B' }}>Inactive List Item</div>
      </ListItem>
    </>
  ),
}
