import React from 'react'

import ListItem from '../ListItem'

export default {
  title: 'Design System / List / List Item',
  component: ListItem,
}

const ListItemTemplate = (args) => (
  <>
    <div className="sb-modal-system sb-modal-open">
      <div role="presentation" className="sb-modal-scrim">
        <div className="sb-modal-wrapper">
          <div className="sb-modal-frame help">
            <div className="sb-modal-top">
              <div role="button" className="sb-modal-close">
                ×
              </div>
            </div>
            <div className="sb-modal-content">
              <div className="sb-modal-header">
                <h3 className="sb-modal-title">Header</h3>
              </div>
              <div className="sb-modal-body">
                <ul>
                  <ListItem {...args} />
                  <ListItem {...args} />
                  <ListItem {...args} />
                </ul>
                <h3 style={{ marginTop: '12.5px' }}>Footer</h3>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </>
)

export const Default = ListItemTemplate.bind({})
Default.args = {
  topBorder: 'none',
  bottomBorder: 'active',
  spacing: 'small',
  children: <div>List Item</div>,
}

export const NoBorders = ListItemTemplate.bind({})
NoBorders.args = {
  topBorder: 'none',
  bottomBorder: 'none',
  spacing: 'small',
  children: <div>List Item</div>,
}

export const Inactive = ListItemTemplate.bind({})
Inactive.args = {
  topBorder: 'none',
  bottomBorder: 'inActive',
  spacing: 'small',
  children: (
    <div style={{ color: '#8B8B8B' }}>Inactive List Item</div>
  ),
}
