import lf from 'localforage'

import LocalStore from './index'

jest.mock('localforage', () => ({
  getItem: jest.fn(),
  setItem: jest.fn(),
}))

const STORAGE_KEY = 'STORAGE_KEY'

describe('LocalStore module', () => {
  it('has get and set methods', () => {
    expect(LocalStore.get).toBeInstanceOf(Function)
    expect(LocalStore.set).toBeInstanceOf(Function)
  })

  it('sets an item in local storage', async () => {
    await LocalStore.set(STORAGE_KEY, 'test')
    expect(lf.setItem).toBeCalledWith(STORAGE_KEY, 'test')
  })

  it('gets an item from local storage', async () => {
    await LocalStore.set(STORAGE_KEY, 'test')
    await LocalStore.get(STORAGE_KEY)
    expect(lf.getItem).toBeCalledWith(STORAGE_KEY)
  })
})
