import React from 'react'
import pt from 'prop-types'

import { getLoginLink } from '../../helpers/loginLinks'

const LoginBanner = ({ bannerHeading, bannerText, entitlement }) =>
  entitlement === 'anon' ? (
    <div className="login-banner slide-down">
      {bannerHeading && (
        <p className="login-banner__text">{bannerHeading}</p>
      )}
      <p className="login-banner__text">
        {bannerText}
        &nbsp;
        <a className="login-banner__action" href={getLoginLink()}>
          Log in.
        </a>
      </p>
    </div>
  ) : null

LoginBanner.propTypes = {
  bannerHeading: pt.string,
  bannerText: pt.string,
  entitlement: pt.string,
}

export default LoginBanner
