import React from 'react'

import { isPlayTab } from '../../../shared/foundation/js/hybrid/detection'

export function getCTA(game: 'spelling-bee') {
  // getCTA only works for spelling bee right now
  if (game !== 'spelling-bee') {
    throw Error('only supports spelling bee right now')
  }

  // If the user is in the Play tab, keep them there if they tap the Spelling Bee CTA
  const playTabParams = isPlayTab() ? '?embed=ios&entry=playTab' : ''
  const ctaSubtitle: JSX.Element = (
    <span>
      Tackle <b>today&apos;s puzzle</b>
    </span>
  )

  return {
    subtitle: ctaSubtitle,
    href: `/puzzles/spelling-bee${playTabParams}`,
    name: 'spelling-bee',
    displayName: 'Spelling Bee',
    iconClass: 'congrats-sb-icon',
  }
}
