import { Selector } from 'reselect'
import React from 'react'

export type ButtonTextProps = {
  content: string
  emphasized: boolean
}

export type ButtonProps = {
  text: string
  onClick: (e: React.MouseEvent<Element, MouseEvent>) => void
  descriptionText?: ButtonTextProps[]
  filled: boolean
  size: 'small' | 'medium' | 'large'
  key: string
  largeText?: boolean
}

export interface ModalProps {
  close: (isCancelled?: boolean) => void
  isClosing: boolean
  onRemove: () => void
  [key: string]: unknown | any
}

export type ModalMap = Record<
  string,
  ({ close }: ModalProps) => JSX.Element | null
>

export type ModalManagerProps = {
  getIsClosing: Selector<any, boolean>
  getOpenModalName: Selector<any, string | null>
  modalMap: ModalMap
  onClose: (isCancelled: boolean) => {
    type: string
    payload: { isCancelled: boolean }
  }
  onRemove: () => {
    type: string
  }
  portalId: 'portal-modal-system' | 'portal-game-modals'
  [key: string]: unknown | any
}
