import React from 'react'
import propTypes from 'prop-types'
import cn from 'classnames'

export const GRID_MODE = 'grid'
export const LIST_MODE = 'list'

const ModeToggle = ({ mode, setMode }) => {
  return (
    <div className="archive_mode-toggle">
      <button
        type="button"
        aria-label="list mode"
        className={cn(
          'archive_button',
          'archive_toggle',
          'archive_list-view',
          {
            archive_active: mode === LIST_MODE,
          },
        )}
        onClick={() => setMode(LIST_MODE)}
      />
      <button
        type="button"
        aria-label="grid mode"
        className={cn(
          'archive_button',
          'archive_toggle',
          'archive_grid-view',
          {
            archive_active: mode === GRID_MODE,
          },
        )}
        onClick={() => setMode(GRID_MODE)}
      />
    </div>
  )
}

ModeToggle.propTypes = {
  mode: propTypes.oneOf([GRID_MODE, LIST_MODE]),
  setMode: propTypes.func,
}

export default ModeToggle
