import React from 'react'
import classNames from 'classnames'

import Icon from '../../../shared/components/Icon/Icon'

import styles from './Pill.module.scss'

/**
 * A basic Pill component to be used in Games app
 */
export type PillProps = {
  text: string
  position?: 'default' | 'top-right-outside' | 'top-right-edge'
  className?: string
}

const Pill = ({
  text = 'New',
  position = 'default',
  className = '',
}: PillProps) => {
  return (
    <span
      className={classNames(styles.pill, styles[position], className)}
    >
      <Icon icon="sparkle" aria-hidden="true" />
      {text}
    </span>
  )
}

export default Pill
