import React from 'react'

import withToggle from '../Toggle'

const FakeComponent = ({ isToggled }: { isToggled: boolean }) => (
  <>{isToggled ? 'Two is selected' : 'One is selected'}</>
)

const FakeComponentWithToggle = withToggle(FakeComponent)

const Template = (args: any) => <FakeComponentWithToggle {...args} />

export const Toggle = Template.bind({})

export default {
  title: 'Design System/Toggle',
  component: Toggle,
  parameters: {
    layout: 'centered',
  },
  args: {
    labelA: 'One',
    labelB: 'Two',
  },
}
