import React from 'react'

import {
  BridgeListener,
  EVENT_ON_NAVIGATE_BACK,
} from '../../../shared/foundation/js/hybrid/commands'

const useAndroidBack = (
  fn: BridgeListener,
  deps?: React.DependencyList,
) => {
  React.useEffect(() => {
    if (
      window.isHybridWebView &&
      window.NativeBridge &&
      window.gamesAppPlatform === 'android'
    ) {
      window.NativeBridge?.addEventListener(
        EVENT_ON_NAVIGATE_BACK,
        fn,
      )

      return () => {
        window.NativeBridge?.removeEventListener(
          EVENT_ON_NAVIGATE_BACK,
          fn,
        )
      }
    }
  }, deps)
}

export default useAndroidBack
