import React from 'react'
import ReactDOM from 'react-dom'
import pt from 'prop-types'

const Modals = ({ modalSystem, ...props }) =>
  modalSystem
    .getAll()
    .map(({ name, meta: { Content } }) =>
      ReactDOM.createPortal(
        <Content
          open={() => modalSystem.open(name)}
          close={modalSystem.close}
          {...props}
          modalSystem={modalSystem}
        />,
        modalSystem.get(name).root,
      ),
    )

Modals.propTypes = {
  modalSystem: pt.shape({}).isRequired,
}

export default Modals
