import React from 'react'
import { shallow } from 'enzyme'

import LoadingBar from '../LoadingBar'

describe('MOMENTS: LOADING BAR', () => {
  it('should load container and bar', () => {
    const props = {
      transitionTo: 'hey',
    }
    const loadingBarEl = shallow(<LoadingBar {...props} />)
    expect(loadingBarEl.find('.pz-loader')).toHaveLength(1)
    expect(loadingBarEl.find('.pz-loader__fill')).toHaveLength(1)
  })

  it('should use barBgColor prop', () => {
    const props = {
      transitionTo: 'hey',
      barBgColor: '#000',
    }
    const loadingBarEl = shallow(<LoadingBar {...props} />)
    const barContainer = loadingBarEl.find('.pz-loader')
    expect(barContainer.prop('style')).toHaveProperty(
      'background',
      '#000',
    )
  })

  it('should use barColor prop', () => {
    const props = {
      transitionTo: 'hey',
      barColor: '#FFF',
    }
    const loadingBarEl = shallow(<LoadingBar {...props} />)
    const bar = loadingBarEl.find('.pz-loader__fill')
    expect(bar.prop('style')).toHaveProperty('background', '#FFF')
  })
})
