import React from 'react'

import Congrats from '../Congrats'
import {
  CloseButton,
  Icon,
  Title,
  Description,
  BodyText,
  Button,
  Wrapper,
} from '../subcomponents'

import { iconOptions, colorOptions } from './constants'
import useAnimation from './useAnimation'

export default {
  title: 'Spelling Bee/Moments/Congrats Highest Rank',
  component: Congrats,
  argTypes: {
    bgColor: colorOptions,
    icon: iconOptions,
  },
  subcomponents: {
    CloseButton,
    Icon,
    Title,
    Description,
    BodyText,
    Button,
    Wrapper,
  },
  decorators: [
    (Story) => (
      <div style={{ className: 'slide-up' }}>
        <Story />
      </div>
    ),
  ],
}

export const CongratsHighestRank = ({ icon, ...args }) => {
  const id = 'storybook-congrats'

  useAnimation(id, icon)

  return (
    <div className="pz-moment__frame on-stage" id={id}>
      <Congrats game={{ icon, ...args }} />
    </div>
  )
}

CongratsHighestRank.args = {
  icon: 'spelling-bee-smarty',
  bgColor: '$white',
  title: 'Genius',
  buttons: [
    {
      color: 'primary',
      text: 'Continue',
    },
    {
      color: 'secondary',
      text: 'More puzzles',
    },
  ],
  description: {
    text: 'You reached the highest rank, with <em>10 words</em> and <em>10 points.</em>',
    variant: 'default',
  },
  close: { action: () => {} },
}
