import React from 'react'

import Congrats from '../Congrats'
import { Description, Button, Title } from '../subcomponents'

import { iconOptions, colorOptions } from './constants'
import useAnimation from './useAnimation'

export const CongratsCutoff = ({ icon, ...args }) => {
  const id = 'storybook-congrats'

  useAnimation(id, icon)

  return (
    <div className="pz-moment__frame on-stage" id={id}>
      <Congrats game={{ icon, ...args }} />
    </div>
  )
}

CongratsCutoff.args = {
  icon: 'spelling-bee-loved',
  bgColor: '$white',
  buttons: [
    { text: 'Subscribe', color: 'primary', variant: 'default' },
    { text: 'Login', color: 'secondary', variant: 'default' },
  ],
  description: {
    text: 'Subscribe to continue playing or come back tomorrow.',
  },
  title: "You're good at this!",
  bodyText: (
    <>
      Have a Games subscription? <a href="/">Log in</a>.
    </>
  ),
}

export default {
  title: 'Spelling Bee/Moments/Congrats Cutoff',
  component: CongratsCutoff,
  subcomponents: { Description, Button, Title },
  argTypes: {
    bgColor: colorOptions,
    icon: iconOptions,
  },
  decorators: [
    (Story) => (
      <div style={{ className: 'slide-up' }}>
        <Story />
      </div>
    ),
  ],
}
