import React from 'react'
import pt from 'prop-types'

import Congrats from '../Congrats'
import {
  CloseButton,
  Icon,
  Title,
  Description,
  BodyText,
  Button,
  Wrapper,
} from '../subcomponents'

import { iconOptions, colorOptions } from './constants'
import useAnimation from './useAnimation'

export const CongratsFoundEverything = ({ icon, ...args }) => {
  const id = 'storybook-congrats'

  useAnimation(id, icon)

  return (
    <div className="pz-moment__frame on-stage" id={id}>
      <Congrats game={{ icon, ...args }} />
    </div>
  )
}

CongratsFoundEverything.args = {
  title: 'Queen Bee',
  icon: 'spelling-bee-queen',
  bgColor: '$white',
  buttons: [
    {
      text: 'Continue',
      color: 'primary',
    },
    {
      text: 'More Puzzles',
      color: 'secondary',
    },
  ],
  description: {
    text: 'You found everything! All <em>10 words</em> worth <em>10 points.</em>',
  },
}

export default {
  title: 'Spelling Bee/Moments/Congrats Found Everything',
  component: CongratsFoundEverything,
  subcomponents: {
    CloseButton,
    Icon,
    Title,
    Description,
    BodyText,
    Button,
    Wrapper,
  },
  argTypes: {
    bgColor: colorOptions,
    icon: iconOptions,
  },
  decorators: [
    (Story) => (
      <div style={{ className: 'slide-up' }}>
        <Story />
      </div>
    ),
  ],
}
