import React from 'react'

import LoaderComponent from '../Loader'

import { iconOptions } from './constants'

const Template = (args) => <LoaderComponent {...args} />

export const Loader = Template.bind({})
const colorOptions = [
  '$sudoku-orange',
  '$vertex-turquoise',
  '$spelling-bee-gold',
  '$letter-boxed-red',
  '$tiles-green',
]

export default {
  title: 'Design System/Moments/Loader',
  component: Loader,
  argTypes: {
    barBgColor: {
      control: { type: 'color' },
    },
    barColor: {
      control: { type: 'color' },
    },
    icon: iconOptions,
    bgColor: {
      options: colorOptions,
      control: { type: 'select' },
    },
    momentSystem: {
      table: {
        disable: true,
      },
    },
    transitionTo: {
      table: {
        disable: true,
      },
    },
  },
  decorators: [
    (Story) => (
      <div
        className="pz-moment__frame on-stage"
        id="js-hook-pz-moment__loading"
        style={{ className: 'slide-up', textAlign: 'center' }}
      >
        <Story />
      </div>
    ),
  ],
  args: {
    title: 'Game',
    icon: 'spelling-bee',
    description: 'Game Description',
    barBgColor: 'rgba(0, 0, 0, 0.2)',
    barColor: '#FFF',
    bgColor: '$spelling-bee-gold',
    isActive: true,
    momentSystem: { transition: () => {} },
    transitionTo: '',
  },
}
