import React from 'react'

import WelcomeBackMoment from '../WelcomeBack'
import colors from '../../../colors/colors'
import {
  HybridBackButton,
  Icon,
  Title,
  Description,
  Button,
  Date,
  Editor,
  Wrapper,
} from '../subcomponents'

import { iconOptions } from './constants'
import useAnimation from './useAnimation'

const colorOptions = Object.keys(colors)

export const WelcomeBack = (args) => {
  const id = 'welcome-back'

  useAnimation(id)

  return (
    <div className="pz-moment__frame on-stage" id={id}>
      <WelcomeBackMoment game={args} />
    </div>
  )
}

export default {
  title: 'Spelling Bee/Moments/Welcome Back',
  component: WelcomeBack,
  subcomponents: {
    HybridBackButton,
    Icon,
    Title,
    Description,
    Button,
    Date,
    Editor,
    Wrapper,
  },
  argTypes: {
    bgColor: {
      options: colorOptions,
      control: { type: 'select' },
    },
    icon: {
      options: iconOptions,
      control: { type: 'select' },
    },
  },
  args: {
    title: 'Spelling Bee',
    icon: 'spelling-bee',
    bgColor: '$spelling-bee-gold',
    editor: 'Sam Ezersky',
    date: 'Thursday, February 25th',
    buttons: [{ text: 'Continue', icon: 'none' }],
    description: {
      text: "You've found 1&nbsp;word.",
      variant: 'default',
    },
  },
}
