import React from 'react'

import { Button as ButtonComponent } from '../subcomponents'

export const Button = (args) => <ButtonComponent {...args} />

export default {
  title: 'Design System/Moments/Subcomponents/Button',
  argTypes: {
    color: {
      control: { type: 'select' },
      options: ['primary', 'secondary', 'transparent'],
    },
    variant: {
      control: { type: 'select' },
      options: [
        'default',
        'wide',
        'disabled',
        'extra-wide',
        'extra-extra-wide',
      ],
    },
    icon: {
      control: { type: 'select' },
      options: ['none', 'locked', 'checked'],
    },
  },
  parameters: {
    layout: 'padded',
  },
  args: {
    text: 'Button',
    isEmphasizedNew: false,
  },
}
