import React from 'react'

import { Icon as IconComponent } from '../subcomponents'

export const Icon = (args) => <IconComponent {...args} />

export default {
  title: 'Design System/Moments/Subcomponents/Icon',
  argTypes: {
    icon: {
      control: { type: 'select' },
      options: [
        'spelling-bee',
        'spelling-bee-loved',
        'spelling-bee-smarty',
        'spelling-bee-queen',
        'spelling-bee-spooky',
        'vertex',
        'letter-boxed',
        'sudoku',
        'tiles',
      ],
    },
    size: {
      control: { type: 'select' },
      options: ['small', 'large'],
    },
  },
  parameters: {
    layout: 'padded',
  },
  args: {
    size: 'large',
    icon: 'spelling-bee',
  },
}
