import {
  toUTCDateStringYMD,
  getSlashFormattedPrintDate,
} from '../dateUtils'

describe('SHARED: DATE UTILS', () => {
  describe('toUTCDateStringYMD', () => {
    it('should get format date in YYYY-DD-MM', () => {
      const dateString = toUTCDateStringYMD(new Date('1/1/20'))
      expect(dateString).toBe('2020-01-01')
    })
  })

  describe('getSlashFormattedPrintDate', () => {
    it('should return a date formatted with forward slashes', () => {
      const slashFormattedDate =
        getSlashFormattedPrintDate('2023-03-15')
      expect(slashFormattedDate).toBe('2023/03/15')
    })
  })
})
