import React from 'react'

import Error from 'shared/components/Error/Error'

import { getGameData } from '../../../shared/foundation'
import type { SpellingBeeGameData } from '../../spelling-bee/js/store/game/game.state'

import Layout from './Layout'

export const SBHubErrorProvider = () => {
  // ensure past puzzles data exists before rendering Layout
  const {
    pastPuzzles,
  }: { pastPuzzles: SpellingBeeGameData['pastPuzzles'] } =
    getGameData()

  if (pastPuzzles) {
    return <Layout pastPuzzles={pastPuzzles} />
  }

  return (
    <Error
      error={{ status: 404 }}
      navigationLinks={window.navigationLinks}
    />
  )
}
