import React from 'react'
import { render, screen, waitFor } from '@testing-library/react'

import { getGameData } from 'foundation'

import HeroCard from './TodayHero'

jest.mock('foundation', () => ({
  track: jest.fn(),
  trackClick: jest.fn(),
  getGameData: () => {
    // eslint-disable-next-line global-require
    return require('./mockGameData').mockGameData
  },
  env: { account: 'https://myaccount.nytimes.com' },
}))

describe('Todays Hero Card', () => {
  it('renders a hero card', () => {
    const { pastPuzzles } = getGameData()
    const todaysPuzzle = pastPuzzles.today
    render(
      <HeroCard
        displayDate={todaysPuzzle.displayDate}
        editor={todaysPuzzle.editor}
        puzzleId={todaysPuzzle.puzzleId}
        printDate={todaysPuzzle.printDate}
      />,
    )
    const heroCard = screen.getByText('Today’s Puzzle')
    const blurb = screen.getByText('by Sam Ezersky')
    const date = screen.getByText('June 12, 2023')
    expect(heroCard).toBeInTheDocument()
    expect(blurb).toBeInTheDocument()
    expect(date).toBeInTheDocument()
  })
})
