import React from 'react'

import { DateString } from '../../shared/utils/dateUtils'

import styles from './TodayHero.module.scss'
import HeroCard from './components/HeroCard'

const TodayHero = ({
  displayDate,
  editor,
  puzzleId,
  printDate,
}: {
  displayDate: string
  editor: string
  puzzleId: string
  printDate: DateString
}) => {
  return (
    <div className={styles.heroCardContainer}>
      <div className={styles.heroCardContent}>
        <div className={styles.todaysPuzzle}>
          <h1>Today’s Puzzle</h1>
          <p className={styles.editorName}>by {editor}</p>
        </div>
        <span>
          <HeroCard
            displayDate={displayDate}
            puzzleId={puzzleId}
            printDate={printDate}
          />
        </span>
      </div>
    </div>
  )
}

export default TodayHero
