import React from 'react'
import ReactDOM from 'react-dom'

import { UserProvider } from 'user'
import ClientSideScripts from 'shared/components/ClientSideScripts'

import AbraProviderWithUser from '../../../shared/abra/AbraProviderWithUser'
import { FeatureFlagProvider } from '../../../shared/abra/FeatureFlagProvider'

import { SBHubErrorProvider } from './SBHubErrorProvider'

const gameRoot = document.getElementById('sb-hub-root')

ReactDOM.render(
  <>
    <ClientSideScripts />
    <UserProvider>
      <AbraProviderWithUser>
        <FeatureFlagProvider>
          <SBHubErrorProvider />
        </FeatureFlagProvider>
      </AbraProviderWithUser>
    </UserProvider>
  </>,
  gameRoot,
)
