import { DateString } from '../../shared/utils/dateUtils'

// copied off window.gameData on April 26, 2023
export const mockGameData = {
  today: {
    id: 1,
    printDate: '2023-03-23' as DateString,
    centerLetter: 'n',
    outerLetters: ['a', 'b', 'i', 'l', 't', 'y'],
    pangrams: [],
    answers: [],
  },
  yesterday: {
    expiration: 1686639600,
    displayWeekday: 'Sunday',
    displayDate: 'June 11, 2023',
    printDate: '2023-06-11',
    centerLetter: 'n',
    outerLetters: ['a', 'b', 'i', 'l', 't', 'y'],
    validLetters: ['n', 'a', 'b', 'i', 'l', 't', 'y'],
    pangrams: ['attainability', 'banality', 'inability'],
    answers: [
      'attainability',
      'banality',
      'inability',
      'anal',
      'anally',
      'annal',
      'anti',
      'attain',
      'banal',
      'banally',
      'banana',
      'banyan',
      'blatant',
      'blatantly',
      'blin',
      'blini',
      'inanity',
      'initial',
      'initially',
      'inlay',
      'lain',
      'lanai',
      'lantana',
      'lint',
      'linty',
      'litany',
      'naan',
      'nail',
      'nana',
      'nanny',
      'natal',
      'natality',
      'natant',
      'nattily',
      'natty',
      'ninny',
      'taint',
      'tannin',
      'tinily',
      'tinny',
      'tint',
      'tiny',
      'titan',
    ],
    id: 27517,
    freeExpiration: 0,
    editor: 'Sam Ezersky',
  },
  pastPuzzles: {
    today: {
      expiration: 1686639600,
      displayWeekday: 'Monday',
      displayDate: 'June 12, 2023',
      printDate: '2023-06-12' as DateString,
      centerLetter: 'c',
      outerLetters: ['a', 'g', 'h', 'i', 'l', 'r'],
      validLetters: ['c', 'a', 'g', 'h', 'i', 'l', 'r'],
      pangrams: ['chargrill', 'chiragrical'],
      answers: [
        'chargrill',
        'chiragrical',
        'acacia',
        'acai',
        'achiral',
        'agaric',
        'arch',
        'archaic',
        'archaical',
        'archil',
        'arracacha',
        'call',
        'chai',
        'chair',
        'challah',
        'char',
        'chara',
        'charr',
        'chia',
        'chic',
        'chica',
        'chicha',
        'chichi',
        'chigga',
        'chili',
        'chiliarch',
        'chill',
        'chiragra',
        'chiragric',
        'chiral',
        'chirl',
        'cigar',
        'cilia',
        'circa',
        'cirri',
        'crag',
        'gallic',
        'garlic',
        'glacial',
        'highchair',
        'laic',
        'laical',
        'larch',
        'lilac',
        'rach',
        'rachial',
        'rachilla',
        'racial',
        'railcar',
        'rhachial',
        'rhachilla',
        'rich',
      ],
      id: 1236,
      freeExpiration: 0,
      editor: 'Sam Ezersky',
    },
    yesterday: {
      expiration: 1686639600,
      displayWeekday: 'Sunday',
      displayDate: 'June 11, 2023',
      printDate: '2023-06-11' as DateString,
      centerLetter: 'n',
      outerLetters: ['a', 'b', 'i', 'l', 't', 'y'],
      validLetters: ['n', 'a', 'b', 'i', 'l', 't', 'y'],
      pangrams: ['attainability', 'banality', 'inability'],
      answers: [
        'attainability',
        'banality',
        'inability',
        'anal',
        'anally',
        'annal',
        'anti',
        'attain',
        'banal',
        'banally',
        'banana',
        'banyan',
        'blatant',
        'blatantly',
        'blin',
        'blini',
        'inanity',
        'initial',
        'initially',
        'inlay',
        'lain',
        'lanai',
        'lantana',
        'lint',
        'linty',
        'litany',
        'naan',
        'nail',
        'nana',
        'nanny',
        'natal',
        'natality',
        'natant',
        'nattily',
        'natty',
        'ninny',
        'taint',
        'tannin',
        'tinily',
        'tinny',
        'tint',
        'tiny',
        'titan',
      ],
      id: 27517,
      freeExpiration: 0,
      editor: 'Sam Ezersky',
    },
    thisWeek: [
      {
        expiration: 1686639600,
        displayWeekday: 'Monday',
        displayDate: 'June 12, 2023',
        printDate: '2023-06-12' as DateString,
        centerLetter: 'c',
        outerLetters: ['a', 'g', 'h', 'i', 'l', 'r'],
        validLetters: ['c', 'a', 'g', 'h', 'i', 'l', 'r'],
        pangrams: ['chargrill', 'chiragrical'],
        answers: [
          'chargrill',
          'chiragrical',
          'acacia',
          'acai',
          'achiral',
          'agaric',
          'arch',
          'archaic',
          'archaical',
          'archil',
          'arracacha',
          'call',
          'chai',
          'chair',
          'challah',
          'char',
          'chara',
          'charr',
          'chia',
          'chic',
          'chica',
          'chicha',
          'chichi',
          'chigga',
          'chili',
          'chiliarch',
          'chill',
          'chiragra',
          'chiragric',
          'chiral',
          'chirl',
          'cigar',
          'cilia',
          'circa',
          'cirri',
          'crag',
          'gallic',
          'garlic',
          'glacial',
          'highchair',
          'laic',
          'laical',
          'larch',
          'lilac',
          'rach',
          'rachial',
          'rachilla',
          'racial',
          'railcar',
          'rhachial',
          'rhachilla',
          'rich',
        ],
        id: 1236,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
      {
        expiration: 1686639600,
        displayWeekday: 'Tuesday',
        displayDate: 'June 13, 2023',
        printDate: '2023-06-13' as DateString,
        centerLetter: 'c',
        outerLetters: ['a', 'g', 'h', 'i', 'l', 'r'],
        validLetters: ['c', 'a', 'g', 'h', 'i', 'l', 'r'],
        pangrams: ['chargrill', 'chiragrical'],
        answers: [
          'chargrill',
          'chiragrical',
          'acacia',
          'acai',
          'achiral',
          'agaric',
          'arch',
          'archaic',
          'archaical',
          'archil',
          'arracacha',
          'call',
          'chai',
          'chair',
          'challah',
          'char',
          'chara',
          'charr',
          'chia',
          'chic',
          'chica',
          'chicha',
          'chichi',
          'chigga',
          'chili',
          'chiliarch',
          'chill',
          'chiragra',
          'chiragric',
          'chiral',
          'chirl',
          'cigar',
          'cilia',
          'circa',
          'cirri',
          'crag',
          'gallic',
          'garlic',
          'glacial',
          'highchair',
          'laic',
          'laical',
          'larch',
          'lilac',
          'rach',
          'rachial',
          'rachilla',
          'racial',
          'railcar',
          'rhachial',
          'rhachilla',
          'rich',
        ],
        id: 12236,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
    ],
    lastWeek: [
      {
        expiration: 1686639600,
        displayWeekday: 'Monday',
        displayDate: 'June 5, 2023',
        printDate: '2023-06-05' as DateString,
        centerLetter: 'c',
        outerLetters: ['b', 'd', 'e', 'j', 'o', 't'],
        validLetters: ['c', 'b', 'd', 'e', 'j', 'o', 't'],
        pangrams: ['objected'],
        answers: [
          'objected',
          'bocce',
          'cede',
          'ceded',
          'code',
          'coded',
          'coed',
          'cooed',
          'coot',
          'cote',
          'deco',
          'decoct',
          'decocted',
          'decode',
          'decoded',
          'deject',
          'dejected',
          'detect',
          'detected',
          'eject',
          'ejected',
          'object',
          'octet',
        ],
        id: 19644,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
      {
        expiration: 1686639600,
        displayWeekday: 'Tuesday',
        displayDate: 'June 6, 2023',
        printDate: '2023-06-06' as DateString,
        centerLetter: 't',
        outerLetters: ['c', 'e', 'i', 'n', 'v', 'z'],
        validLetters: ['t', 'c', 'e', 'i', 'n', 'v', 'z'],
        pangrams: ['incentivize'],
        answers: [
          'incentivize',
          'cent',
          'cite',
          'citizen',
          'civet',
          'entente',
          'entice',
          'event',
          'evict',
          'evictee',
          'incentive',
          'incite',
          'intent',
          'invective',
          'invent',
          'inventive',
          'invite',
          'invitee',
          'netizen',
          'nineteen',
          'nite',
          'teen',
          'tenet',
          'tent',
          'tinct',
          'tine',
          'tint',
          'vent',
          'ziti',
        ],
        id: 23921,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
      {
        expiration: 1686639600,
        displayWeekday: 'Wednesday',
        displayDate: 'June 7, 2023',
        printDate: '2023-06-07' as DateString,
        centerLetter: 'm',
        outerLetters: ['a', 'e', 'l', 'n', 't', 'y'],
        validLetters: ['m', 'a', 'e', 'l', 'n', 't', 'y'],
        pangrams: ['elementally', 'mentally'],
        answers: [
          'elementally',
          'mentally',
          'amen',
          'amyl',
          'element',
          'elemental',
          'emanate',
          'enamel',
          'enema',
          'enemy',
          'lama',
          'lame',
          'lamely',
          'lament',
          'layman',
          'laymen',
          'lemma',
          'llama',
          'male',
          'mall',
          'mallet',
          'malt',
          'malty',
          'mama',
          'mamma',
          'mammal',
          'manatee',
          'mane',
          'manly',
          'manna',
          'manta',
          'mantel',
          'mantle',
          'many',
          'mate',
          'matey',
          'matte',
          'meal',
          'mealy',
          'mean',
          'meanly',
          'meant',
          'meany',
          'meat',
          'meaty',
          'meet',
          'melee',
          'melt',
          'melty',
          'meme',
          'mental',
          'mentee',
          'meta',
          'metal',
          'mete',
          'mettle',
          'myna',
          'name',
          'namely',
          'tamale',
          'tame',
          'tamely',
          'team',
          'teammate',
          'teem',
          'tenement',
        ],
        id: 12637,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
      {
        expiration: 1686639600,
        displayWeekday: 'Thursday',
        displayDate: 'June 8, 2023',
        printDate: '2023-06-08' as DateString,
        centerLetter: 'a',
        outerLetters: ['b', 'e', 'g', 'o', 'p', 'y'],
        validLetters: ['a', 'b', 'e', 'g', 'o', 'p', 'y'],
        pangrams: ['pageboy'],
        answers: [
          'pageboy',
          'abbey',
          'agape',
          'agog',
          'apogee',
          'baba',
          'babe',
          'baby',
          'baggage',
          'baggy',
          'baobab',
          'boba',
          'gabby',
          'gaga',
          'gage',
          'gape',
          'page',
          'papa',
          'papaya',
          'pappy',
          'payee',
          'poppa',
          'yappy',
          'yoga',
        ],
        id: 21677,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
      {
        expiration: 1686639600,
        displayWeekday: 'Friday',
        displayDate: 'June 9, 2023',
        printDate: '2023-06-09' as DateString,
        centerLetter: 'n',
        outerLetters: ['a', 'i', 'j', 'm', 'r', 'u'],
        validLetters: ['n', 'a', 'i', 'j', 'm', 'r', 'u'],
        pangrams: ['marijuana'],
        answers: [
          'marijuana',
          'airman',
          'anima',
          'inurn',
          'jinn',
          'jinni',
          'main',
          'mania',
          'manna',
          'marina',
          'marinara',
          'mini',
          'minim',
          'minima',
          'minimum',
          'mirin',
          'naan',
          'nana',
          'ninja',
          'rain',
          'rani',
          'ruin',
          'unarm',
          'unjam',
          'unman',
          'uranium',
        ],
        id: 13520,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
      {
        expiration: 1686639600,
        displayWeekday: 'Saturday',
        displayDate: 'June 10, 2023',
        printDate: '2023-06-10' as DateString,
        centerLetter: 'b',
        outerLetters: ['a', 'c', 'd', 'e', 'i', 't'],
        validLetters: ['b', 'a', 'c', 'd', 'e', 'i', 't'],
        pangrams: ['abdicate', 'abdicated', 'diabetic'],
        answers: [
          'abdicate',
          'abdicated',
          'diabetic',
          'abaci',
          'abate',
          'abated',
          'abed',
          'abet',
          'abetted',
          'abide',
          'abided',
          'baaed',
          'baba',
          'babe',
          'babied',
          'baddie',
          'bade',
          'bait',
          'baited',
          'bate',
          'bated',
          'batted',
          'bead',
          'beaded',
          'beat',
          'bedded',
          'beet',
          'beta',
          'betide',
          'betided',
          'bide',
          'bided',
          'bidet',
          'bite',
          'cabbed',
          'cabbie',
          'ciabatta',
          'dabbed',
          'deadbeat',
          'debate',
          'debated',
          'debit',
          'debited',
          'debt',
          'ebbed',
          'tabbed',
          'tabbied',
          'tibia',
          'tibiae',
          'tidbit',
        ],
        id: 21769,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
      {
        expiration: 1686639600,
        displayWeekday: 'Sunday',
        displayDate: 'June 11, 2023',
        printDate: '2023-06-11' as DateString,
        centerLetter: 'n',
        outerLetters: ['a', 'b', 'i', 'l', 't', 'y'],
        validLetters: ['n', 'a', 'b', 'i', 'l', 't', 'y'],
        pangrams: ['attainability', 'banality', 'inability'],
        answers: [
          'attainability',
          'banality',
          'inability',
          'anal',
          'anally',
          'annal',
          'anti',
          'attain',
          'banal',
          'banally',
          'banana',
          'banyan',
          'blatant',
          'blatantly',
          'blin',
          'blini',
          'inanity',
          'initial',
          'initially',
          'inlay',
          'lain',
          'lanai',
          'lantana',
          'lint',
          'linty',
          'litany',
          'naan',
          'nail',
          'nana',
          'nanny',
          'natal',
          'natality',
          'natant',
          'nattily',
          'natty',
          'ninny',
          'taint',
          'tannin',
          'tinily',
          'tinny',
          'tint',
          'tiny',
          'titan',
        ],
        id: 27517,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
    ],
  },
}
