import React from 'react'
import cn from 'classnames'

import { useSbSelector } from './store/game/hooks'

export default () => {
  const message = useSbSelector((state) => state.game.message)

  return (
    <div
      className={cn('sb-message-box', {
        'error-message': message && message.isError,
        'success-message': message && !message.isError,
        'pangram-message': message && message.isPangram,
      })}
    >
      {message && <span className="sb-message">{message.value}</span>}
      {message && message.points && (
        <span className="sb-message-points">+{message.points}</span>
      )}
    </div>
  )
}
