import React from 'react'
import { mount } from 'enzyme'

import Anagram from '../Anagram'

jest.mock('responsive', () => ({
  isMobile: false,
}))

describe('Anagram: Correct Class Names', () => {
  it('should render correct clases if not a pangram', () => {
    const anagramProps = {
      value: 'Polygon',
      isPangram: false,
    }

    const wrapper = mount(<Anagram {...anagramProps} />)
    expect(wrapper.find('.sb-anagram')).toHaveLength(1)
    expect(wrapper.find('.sb-anagram.pangram')).toHaveLength(0)
  })

  it('should render correct clases if a pangram', () => {
    const anagramProps = {
      value: 'Polygons',
      isPangram: true,
    }

    const wrapper = mount(<Anagram {...anagramProps} />)
    expect(wrapper.find('.sb-anagram')).toHaveLength(1)
    expect(wrapper.find('.sb-anagram.pangram')).toHaveLength(1)
  })
})
