import { DateString } from '../store/game/game.state'

// copied off window.gameData on July 23, 2023
export const mockGameData = {
  today: {
    expiration: 1690182000,
    displayWeekday: 'Sunday',
    displayDate: 'July 23, 2023',
    printDate: '2023-07-23' as DateString,
    centerLetter: 'r',
    outerLetters: ['a', 'd', 'm', 'o', 'p', 'u'],
    validLetters: ['r', 'a', 'd', 'm', 'o', 'p', 'u'],
    pangrams: ['pompadour'],
    answers: [
      'pompadour',
      'amour',
      'ardor',
      'armada',
      'armor',
      'aroma',
      'arum',
      'aura',
      'aurora',
      'door',
      'dorado',
      'dorm',
      'dour',
      'dram',
      'drama',
      'droop',
      'drop',
      'drum',
      'durum',
      'maraud',
      'marm',
      'moor',
      'mudroom',
      'murmur',
      'odor',
      'parador',
      'paradrop',
      'paramour',
      'poor',
      'pour',
      'pram',
      'prod',
      'prom',
      'promo',
      'prop',
      'proud',
      'purr',
      'radar',
      'ramada',
      'ramp',
      'ramrod',
      'road',
      'roadmap',
      'roam',
      'roar',
      'romp',
      'rood',
      'room',
      'rumor',
      'rump',
      'uproar',
    ],
    id: 12568,
    freeExpiration: 0,
    editor: 'Sam Ezersky',
  },
  yesterday: {
    displayWeekday: 'Saturday',
    displayDate: 'July 22, 2023',
    printDate: '2023-07-22' as DateString,
    centerLetter: 'e',
    outerLetters: ['c', 'h', 'k', 'l', 'm', 'o'],
    validLetters: ['e', 'c', 'h', 'k', 'l', 'm', 'o'],
    pangrams: ['hemlock'],
    answers: [
      'hemlock',
      'cell',
      'cello',
      'check',
      'cheek',
      'chemo',
      'choke',
      'cloche',
      'cockle',
      'coke',
      'come',
      'echo',
      'emcee',
      'heck',
      'heckle',
      'heel',
      'hell',
      'hellhole',
      'hello',
      'helm',
      'heme',
      'hole',
      'home',
      'keel',
      'lech',
      'leech',
      'leek',
      'meek',
      'melee',
      'meme',
      'memo',
      'mohel',
      'mole',
      'oleo',
    ],
    id: 24387,
    freeExpiration: 0,
    editor: 'Sam Ezersky',
  },
  pastPuzzles: {
    today: {
      displayWeekday: 'Sunday',
      displayDate: 'July 23, 2023',
      printDate: '2023-07-23' as DateString,
      centerLetter: 'r',
      outerLetters: ['a', 'd', 'm', 'o', 'p', 'u'],
      validLetters: ['r', 'a', 'd', 'm', 'o', 'p', 'u'],
      pangrams: ['pompadour'],
      answers: [
        'pompadour',
        'amour',
        'ardor',
        'armada',
        'armor',
        'aroma',
        'arum',
        'aura',
        'aurora',
        'door',
        'dorado',
        'dorm',
        'dour',
        'dram',
        'drama',
        'droop',
        'drop',
        'drum',
        'durum',
        'maraud',
        'marm',
        'moor',
        'mudroom',
        'murmur',
        'odor',
        'parador',
        'paradrop',
        'paramour',
        'poor',
        'pour',
        'pram',
        'prod',
        'prom',
        'promo',
        'prop',
        'proud',
        'purr',
        'radar',
        'ramada',
        'ramp',
        'ramrod',
        'road',
        'roadmap',
        'roam',
        'roar',
        'romp',
        'rood',
        'room',
        'rumor',
        'rump',
        'uproar',
      ],
      id: 12568,
      freeExpiration: 0,
      editor: 'Sam Ezersky',
    },
    yesterday: {
      displayWeekday: 'Saturday',
      displayDate: 'July 22, 2023',
      printDate: '2023-07-22' as DateString,
      centerLetter: 'e',
      outerLetters: ['c', 'h', 'k', 'l', 'm', 'o'],
      validLetters: ['e', 'c', 'h', 'k', 'l', 'm', 'o'],
      pangrams: ['hemlock'],
      answers: [
        'hemlock',
        'cell',
        'cello',
        'check',
        'cheek',
        'chemo',
        'choke',
        'cloche',
        'cockle',
        'coke',
        'come',
        'echo',
        'emcee',
        'heck',
        'heckle',
        'heel',
        'hell',
        'hellhole',
        'hello',
        'helm',
        'heme',
        'hole',
        'home',
        'keel',
        'lech',
        'leech',
        'leek',
        'meek',
        'melee',
        'meme',
        'memo',
        'mohel',
        'mole',
        'oleo',
      ],
      id: 24387,
      freeExpiration: 0,
      editor: 'Sam Ezersky',
    },
    thisWeek: [
      {
        displayWeekday: 'Monday',
        displayDate: 'July 17, 2023',
        printDate: '2023-07-17' as DateString,
        centerLetter: 'c',
        outerLetters: ['a', 'd', 'i', 'r', 't', 'y'],
        validLetters: ['c', 'a', 'd', 'i', 'r', 't', 'y'],
        pangrams: ['acridity'],
        answers: [
          'acridity',
          'acacia',
          'acai',
          'acid',
          'acidic',
          'acidity',
          'acidy',
          'acrid',
          'addict',
          'arcadia',
          'arctic',
          'attic',
          'attract',
          'cacti',
          'caddy',
          'carat',
          'card',
          'cardiac',
          'carry',
          'cart',
          'cataract',
          'catty',
          'cicada',
          'circa',
          'cirri',
          'citric',
          'city',
          'critic',
          'diacritic',
          'dicta',
          'didact',
          'didactic',
          'racy',
          'tacit',
          'tact',
          'tactic',
          'tract',
        ],
        id: 19100,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
      {
        displayWeekday: 'Tuesday',
        displayDate: 'July 18, 2023',
        printDate: '2023-07-18' as DateString,
        centerLetter: 'i',
        outerLetters: ['c', 'e', 'n', 'o', 't', 'x'],
        validLetters: ['i', 'c', 'e', 'n', 'o', 't', 'x'],
        pangrams: ['extinction'],
        answers: [
          'extinction',
          'cite',
          'cocci',
          'coin',
          'conceit',
          'concoction',
          'conic',
          'connection',
          'contention',
          'continence',
          'continent',
          'cootie',
          'entice',
          'excite',
          'exit',
          'exotic',
          'extinct',
          'icon',
          'iconic',
          'incite',
          'incontinence',
          'incontinent',
          'innie',
          'innocence',
          'innocent',
          'intent',
          'intention',
          'into',
          'intone',
          'ionic',
          'nice',
          'nicotine',
          'niece',
          'nine',
          'nineteen',
          'nite',
          'nontoxic',
          'notice',
          'notion',
          'onion',
          'tectonic',
          'tinct',
          'tine',
          'tint',
          'tonic',
          'tontine',
          'toonie',
          'toxic',
          'toxin',
        ],
        id: 19293,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
      {
        displayWeekday: 'Wednesday',
        displayDate: 'July 19, 2023',
        printDate: '2023-07-19' as DateString,
        centerLetter: 'p',
        outerLetters: ['g', 'h', 'i', 'n', 'o', 'w'],
        validLetters: ['p', 'g', 'h', 'i', 'n', 'o', 'w'],
        pangrams: ['whooping', 'whopping'],
        answers: [
          'whooping',
          'whopping',
          'goop',
          'hippo',
          'hoop',
          'hooping',
          'hoping',
          'hopping',
          'nipping',
          'opining',
          'opinion',
          'phoning',
          'phono',
          'pigging',
          'ping',
          'pinging',
          'pining',
          'pinion',
          'pinioning',
          'pinning',
          'piping',
          'pippin',
          'pogo',
          'pogoing',
          'pong',
          'pooh',
          'poop',
          'pooping',
          'popping',
          'powwow',
          'whip',
          'whipping',
          'whoop',
          'whop',
          'wiping',
        ],
        id: 27090,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
      {
        displayWeekday: 'Thursday',
        displayDate: 'July 20, 2023',
        printDate: '2023-07-20' as DateString,
        centerLetter: 'l',
        outerLetters: ['a', 'e', 'h', 'i', 'v', 'y'],
        validLetters: ['l', 'a', 'e', 'h', 'i', 'v', 'y'],
        pangrams: ['heavily'],
        answers: [
          'heavily',
          'alive',
          'allay',
          'allele',
          'alley',
          'ally',
          'avail',
          'eely',
          'evil',
          'evilly',
          'hail',
          'halal',
          'hale',
          'hall',
          'halva',
          'halvah',
          'halve',
          'heal',
          'heel',
          'hell',
          'helve',
          'hill',
          'hilly',
          'illy',
          'lava',
          'lave',
          'leave',
          'levee',
          'level',
          'levelly',
          'levy',
          'lily',
          'live',
          'lively',
          'vale',
          'valley',
          'valve',
          'veal',
          'veil',
          'vial',
          'vile',
          'vilely',
          'villa',
          'yell',
        ],
        id: 22158,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
      {
        displayWeekday: 'Friday',
        displayDate: 'July 21, 2023',
        printDate: '2023-07-21' as DateString,
        centerLetter: 'a',
        outerLetters: ['c', 'm', 'n', 'o', 'r', 'y'],
        validLetters: ['a', 'c', 'm', 'n', 'o', 'r', 'y'],
        pangrams: ['acronym', 'monocracy'],
        answers: [
          'acronym',
          'monocracy',
          'acorn',
          'ammo',
          'annoy',
          'anon',
          'arcana',
          'arco',
          'armor',
          'armory',
          'army',
          'aroma',
          'array',
          'arroyo',
          'cacao',
          'camo',
          'canary',
          'cancan',
          'canna',
          'cannon',
          'canny',
          'canon',
          'canyon',
          'carny',
          'carom',
          'carry',
          'cayman',
          'coca',
          'cocoa',
          'coma',
          'comma',
          'corona',
          'coronary',
          'cram',
          'cranny',
          'crayon',
          'cyan',
          'macaron',
          'macaroon',
          'macro',
          'macron',
          'mama',
          'mamma',
          'mammary',
          'mammon',
          'manna',
          'manor',
          'many',
          'maraca',
          'marm',
          'maroon',
          'marry',
          'mayo',
          'mayor',
          'moan',
          'momma',
          'moray',
          'myna',
          'naan',
          'nana',
          'nanny',
          'narc',
          'narco',
          'nary',
          'orca',
          'raccoon',
          'racy',
          'rancor',
          'rayon',
          'roam',
          'roan',
          'roar',
          'yarn',
        ],
        id: 27467,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
      {
        displayWeekday: 'Saturday',
        displayDate: 'July 22, 2023',
        printDate: '2023-07-22' as DateString,
        centerLetter: 'e',
        outerLetters: ['c', 'h', 'k', 'l', 'm', 'o'],
        validLetters: ['e', 'c', 'h', 'k', 'l', 'm', 'o'],
        pangrams: ['hemlock'],
        answers: [
          'hemlock',
          'cell',
          'cello',
          'check',
          'cheek',
          'chemo',
          'choke',
          'cloche',
          'cockle',
          'coke',
          'come',
          'echo',
          'emcee',
          'heck',
          'heckle',
          'heel',
          'hell',
          'hellhole',
          'hello',
          'helm',
          'heme',
          'hole',
          'home',
          'keel',
          'lech',
          'leech',
          'leek',
          'meek',
          'melee',
          'meme',
          'memo',
          'mohel',
          'mole',
          'oleo',
        ],
        id: 24387,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
      {
        displayWeekday: 'Sunday',
        displayDate: 'July 23, 2023',
        printDate: '2023-07-23' as DateString,
        centerLetter: 'r',
        outerLetters: ['a', 'd', 'm', 'o', 'p', 'u'],
        validLetters: ['r', 'a', 'd', 'm', 'o', 'p', 'u'],
        pangrams: ['pompadour'],
        answers: [
          'pompadour',
          'amour',
          'ardor',
          'armada',
          'armor',
          'aroma',
          'arum',
          'aura',
          'aurora',
          'door',
          'dorado',
          'dorm',
          'dour',
          'dram',
          'drama',
          'droop',
          'drop',
          'drum',
          'durum',
          'maraud',
          'marm',
          'moor',
          'mudroom',
          'murmur',
          'odor',
          'parador',
          'paradrop',
          'paramour',
          'poor',
          'pour',
          'pram',
          'prod',
          'prom',
          'promo',
          'prop',
          'proud',
          'purr',
          'radar',
          'ramada',
          'ramp',
          'ramrod',
          'road',
          'roadmap',
          'roam',
          'roar',
          'romp',
          'rood',
          'room',
          'rumor',
          'rump',
          'uproar',
        ],
        id: 12568,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
    ],
    lastWeek: [
      {
        displayWeekday: 'Monday',
        displayDate: 'July 10, 2023',
        printDate: '2023-07-10' as DateString,
        centerLetter: 'y',
        outerLetters: ['a', 'h', 'o', 'p', 'r', 't'],
        validLetters: ['y', 'a', 'h', 'o', 'p', 'r', 't'],
        pangrams: ['atrophy'],
        answers: [
          'atrophy',
          'ahoy',
          'apathy',
          'array',
          'arroyo',
          'arty',
          'happy',
          'harpy',
          'harry',
          'hoary',
          'hooray',
          'hoppy',
          'hortatory',
          'hypo',
          'oaty',
          'oratory',
          'papaya',
          'pappy',
          'parry',
          'party',
          'patty',
          'poppy',
          'portray',
          'potty',
          'pray',
          'pyro',
          'ratty',
          'ropy',
          'rotary',
          'rotatory',
          'tarry',
          'tatty',
          'throaty',
          'toothy',
          'tray',
          'trophy',
          'troy',
          'typo',
          'tyro',
          'yahoo',
          'yappy',
          'yoohoo',
        ],
        id: 20239,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
      {
        displayWeekday: 'Tuesday',
        displayDate: 'July 11, 2023',
        printDate: '2023-07-11' as DateString,
        centerLetter: 'a',
        outerLetters: ['b', 'c', 'e', 'f', 'i', 't'],
        validLetters: ['a', 'b', 'c', 'e', 'f', 'i', 't'],
        pangrams: ['beatific'],
        answers: [
          'beatific',
          'abaci',
          'abate',
          'abet',
          'acacia',
          'acai',
          'acetate',
          'acetic',
          'affect',
          'attic',
          'baba',
          'babe',
          'bait',
          'bate',
          'beat',
          'beta',
          'cabbie',
          'cacti',
          'cafe',
          'ciabatta',
          'efface',
          'face',
          'facet',
          'fact',
          'fate',
          'feat',
          'feta',
          'fiat',
          'tacet',
          'tacit',
          'tact',
          'tactic',
          'taffeta',
          'teat',
          'tibia',
          'tibiae',
        ],
        id: 22303,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
      {
        displayWeekday: 'Wednesday',
        displayDate: 'July 12, 2023',
        printDate: '2023-07-12' as DateString,
        centerLetter: 'n',
        outerLetters: ['e', 'f', 'i', 'm', 't', 'y'],
        validLetters: ['n', 'e', 'f', 'i', 'm', 't', 'y'],
        pangrams: ['femininity'],
        answers: [
          'femininity',
          'eminent',
          'enemy',
          'enmity',
          'entente',
          'entity',
          'feint',
          'feminine',
          'fifteen',
          'fine',
          'finite',
          'imminent',
          'infinite',
          'infinity',
          'innie',
          'intent',
          'mentee',
          'mien',
          'mine',
          'mini',
          'minim',
          'mint',
          'minty',
          'mitten',
          'nene',
          'netty',
          'nifty',
          'nine',
          'nineteen',
          'ninety',
          'ninny',
          'nite',
          'teen',
          'teeny',
          'tenement',
          'tenet',
          'tent',
          'tine',
          'tinny',
          'tint',
          'tiny',
          'yente',
        ],
        id: 22135,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
      {
        displayWeekday: 'Thursday',
        displayDate: 'July 13, 2023',
        printDate: '2023-07-13' as DateString,
        centerLetter: 'l',
        outerLetters: ['c', 'd', 'g', 'h', 'i', 'o'],
        validLetters: ['l', 'c', 'd', 'g', 'h', 'i', 'o'],
        pangrams: ['godchild'],
        answers: [
          'godchild',
          'child',
          'childhood',
          'chili',
          'chill',
          'chocoholic',
          'cichlid',
          'clod',
          'clog',
          'codicil',
          'coil',
          'cold',
          'colic',
          'colloid',
          'cool',
          'dildo',
          'dill',
          'doll',
          'gigolo',
          'gild',
          'gill',
          'gold',
          'googol',
          'hill',
          'hold',
          'idol',
          'igloo',
          'illogic',
          'loch',
          'loci',
          'loco',
          'logic',
          'logo',
          'loll',
          'olio',
        ],
        id: 15843,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
      {
        displayWeekday: 'Friday',
        displayDate: 'July 14, 2023',
        printDate: '2023-07-14' as DateString,
        centerLetter: 'm',
        outerLetters: ['a', 'b', 'i', 'l', 'o', 'x'],
        validLetters: ['m', 'a', 'b', 'i', 'l', 'o', 'x'],
        pangrams: ['mailbox'],
        answers: [
          'mailbox',
          'abloom',
          'ammo',
          'axiom',
          'balm',
          'bamboo',
          'blam',
          'bloom',
          'bomb',
          'boom',
          'boombox',
          'iamb',
          'iambi',
          'imam',
          'lama',
          'lamb',
          'lima',
          'limb',
          'limbo',
          'limo',
          'llama',
          'loam',
          'loom',
          'mail',
          'maim',
          'mall',
          'mama',
          'mamba',
          'mambo',
          'mamma',
          'mammal',
          'maxi',
          'maxilla',
          'maxim',
          'maxima',
          'maximal',
          'mill',
          'moil',
          'moll',
          'momma',
          'moola',
        ],
        id: 19024,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
      {
        displayWeekday: 'Saturday',
        displayDate: 'July 15, 2023',
        printDate: '2023-07-15' as DateString,
        centerLetter: 'v',
        outerLetters: ['a', 'd', 'e', 'i', 'n', 't'],
        validLetters: ['v', 'a', 'd', 'e', 'i', 'n', 't'],
        pangrams: ['deviant'],
        answers: [
          'deviant',
          'additive',
          'advent',
          'attentive',
          'avian',
          'aviate',
          'aviated',
          'avid',
          'dative',
          'devein',
          'deveined',
          'deviate',
          'deviated',
          'diva',
          'divan',
          'dive',
          'dived',
          'divide',
          'divided',
          'dividend',
          'divine',
          'divined',
          'divvied',
          'eave',
          'endive',
          'envied',
          'evade',
          'evaded',
          'even',
          'evened',
          'event',
          'evident',
          'inattentive',
          'initiative',
          'invade',
          'invaded',
          'invent',
          'invented',
          'inventive',
          'invite',
          'invited',
          'invitee',
          'ivied',
          'naive',
          'naivete',
          'native',
          'nave',
          'tentative',
          'titivate',
          'titivated',
          'vain',
          'vane',
          'vein',
          'veined',
          'vend',
          'vended',
          'vendetta',
          'vent',
          'vented',
          'vetted',
          'viand',
          'vied',
          'vine',
          'vitiate',
          'vitiated',
          'vivid',
        ],
        id: 19558,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
      {
        displayWeekday: 'Sunday',
        displayDate: 'July 16, 2023',
        printDate: '2023-07-16' as DateString,
        centerLetter: 'n',
        outerLetters: ['a', 'd', 'o', 'r', 't', 'u'],
        validLetters: ['n', 'a', 'd', 'o', 'r', 't', 'u'],
        pangrams: ['rotunda', 'turnaround'],
        answers: [
          'rotunda',
          'turnaround',
          'adorn',
          'annotator',
          'anon',
          'around',
          'arrant',
          'aunt',
          'darn',
          'daunt',
          'donor',
          'donut',
          'dunno',
          'naan',
          'nada',
          'nana',
          'narrator',
          'natant',
          'nonart',
          'noon',
          'notator',
          'noun',
          'onto',
          'orotund',
          'outran',
          'outrun',
          'radon',
          'rand',
          'rando',
          'rant',
          'rattan',
          'roan',
          'rondo',
          'rotund',
          'round',
          'runaround',
          'runout',
          'runt',
          'tandoor',
          'tantara',
          'tantra',
          'tartan',
          'taunt',
          'toon',
          'torn',
          'tornado',
          'truant',
          'tuna',
          'tundra',
          'turn',
          'turnout',
          'udon',
          'undo',
          'unto',
        ],
        id: 15707,
        freeExpiration: 0,
        editor: 'Sam Ezersky',
      },
    ],
  },
}
