import React from 'react'
import { Provider } from 'react-redux'
import { render } from '@testing-library/react'

import { setUpStore } from '../store'
import { ACCEPT_WORD } from '../store/game/game.actions'
import { selectCurrentRankIdx } from '../store/game/game.selectors'

import { mockGameData } from './mockGameData'

const renderWithRankUp = (
  Component: React.ComponentType<any>,
  props: any = {},
) => {
  const store = setUpStore()

  const rankUp = (rankIdx: number) => {
    const { answers } = mockGameData.today
    let answerIdx = 0
    while (
      selectCurrentRankIdx(store.getState()) < rankIdx &&
      answerIdx < answers.length
    ) {
      store.dispatch({
        type: ACCEPT_WORD,
        payload: answers[answerIdx],
      })
      answerIdx += 1
    }
  }

  const component = render(
    <Provider store={store}>
      <Component {...props} />
    </Provider>,
  )

  return { component, store, rankUp }
}

export default renderWithRankUp
