import { trackInteraction } from 'foundation'

import { trackModals } from '../spellingBeeTracker'

jest.mock('responsive', () => ({
  isMobile: false,
}))

jest.mock('foundation', () => ({
  trackInteraction: jest.fn(),
  track: jest.fn(),

  userType: {
    hasXwd: true,
  },
  getGameData: () => ({
    today: { id: 1, printDate: '2023-04-01' },
  }),
}))

describe('GAME TRACKER: Returns accurate modal tracker', () => {
  it('should show mapped modal name', () => {
    const modal = 'ranks'

    const moduleInteraction = {
      element: {
        name: 'spelling-bee',
        label: 'rankings',
      },
      context: 'SB-1',
      name: {
        p: '2023-04-01',
        t: 'today',
      },
      label: 'toolbar',
    }

    trackModals(modal, 'toolbar')

    expect(trackInteraction).toHaveBeenCalledWith(moduleInteraction)
  })
})
