import type { DateString } from './store/game/game.state'

export const SB_FORUM =
  'https://www.nytimes.com/spotlight/spelling-bee-forum'

export const createForumLink = (date: DateString) => {
  const [year, month, day] = date.split('-')
  const isValid = (str: string) =>
    typeof str === 'string' && str !== ''

  if (isValid(year) && isValid(month) && isValid(day)) {
    return `https://www.nytimes.com/${year}/${month}/${day}/crosswords/spelling-bee-forum.html`
  }

  return SB_FORUM
}
