import { useEffect } from 'react'
import { useDispatch } from 'react-redux'

import { useUser } from 'user'

import { updateUser } from '../store/game/game.actions'
import { loadSpellingBeeProgress } from '../store/spellingBeeMoogleConfig'

import { useSBoSLogging } from './useSBoSLogging'

export const useProgress = () => {
  useSBoSLogging()
  const dispatch = useDispatch()
  const { userType, hasLoaded } = useUser()

  // keep the redux store's user in sync with UserProvider
  useEffect(() => {
    if (hasLoaded) {
      dispatch(updateUser(userType))
    }
  }, [userType, hasLoaded])

  // load from games-state
  useEffect(() => {
    const load = () => {
      dispatch(loadSpellingBeeProgress())
    }

    // load progress asap
    load()

    // handle hybrid logins
    window.addEventListener('gamesUserCredentialChanged', load)

    return () => {
      window.removeEventListener('gamesUserCredentialChanged', load)
    }
  }, [])
}
