import React from 'react'

export const useWordlistContracting = (isExpanded: boolean) => {
  const [isContracting, setContracting] = React.useState(false)
  const isExpandedRef = React.useRef(isExpanded)

  React.useEffect(() => {
    if (isExpandedRef.current && !isExpanded) {
      setContracting(true)
    }
    isExpandedRef.current = isExpanded
  }, [isExpanded])

  return {
    isWordlistContracting: isContracting,
    endWordlistContraction: () => setContracting(false),
  }
}
