import React from 'react'
import ReactDOM from 'react-dom'
import { Provider } from 'react-redux'

import { UserProvider } from 'user'

import AbraProviderWithUser from '../../../shared/abra/AbraProviderWithUser'
import { FeatureFlagProvider } from '../../../shared/abra/FeatureFlagProvider'
import ClientSideScripts from '../../../shared/components/ClientSideScripts'

import { setUpStore } from './store'
import Layout from './Layout'

const gameRoot = document.getElementById('pz-game-root')

ReactDOM.render(
  <>
    <ClientSideScripts />
    <Provider store={setUpStore()}>
      <UserProvider>
        <AbraProviderWithUser>
          <FeatureFlagProvider>
            <Layout />
          </FeatureFlagProvider>
        </AbraProviderWithUser>
      </UserProvider>
    </Provider>
  </>,
  gameRoot,
)
