import React from 'react'

import { useUser } from '../../../../shared/user'
import { useSbSelector } from '../store/game/hooks'
import PastPuzzlesSections from '../../../spelling-bee-hub/js/PastPuzzlesSections'
import { selectProgressMap } from '../store/api/api.selectors'

import { ModalBody } from './ModalComponents'

const ModalPastPuzzles = () => {
  const { userType, hasLoaded: hasUserLoaded } = useUser()
  const { hasXwd } = userType

  const pastPuzzlesData = useSbSelector(
    (state) => state.game.pastPuzzlesData,
  )

  const progressMap = useSbSelector(selectProgressMap)
  const isProgressLoading = useSbSelector(
    (state) => state.moogle.getRequest.isLoading,
  )

  return (
    <ModalBody>
      <PastPuzzlesSections
        isProgressLoading={isProgressLoading}
        progressMap={progressMap}
        pastPuzzles={pastPuzzlesData}
        hasXwd={hasXwd}
        hasUserLoaded={hasUserLoaded}
        isInModalBody
      />
    </ModalBody>
  )
}

export default ModalPastPuzzles
