import React from 'react'

import { useSbSelector, useTracking } from '../../store/game/hooks'
import { ModalHeader, ModalBody } from '../ModalComponents'
import { createForumLink } from '../../createForumLink'

import ModalRankTable from './ModalRankTable'

const ModalRanks = () => {
  const printDate = useSbSelector((state) => state.game.printDate)
  const forumLink = createForumLink(printDate)
  const trackSB = useTracking()

  return (
    <>
      <ModalHeader>
        <h3 className="sb-modal-title">Rankings</h3>
        <p className="sb-modal-message">
          Ranks are based on a percentage of possible points in a
          puzzle.
        </p>
      </ModalHeader>
      <ModalBody>
        <ModalRankTable />
        <p className="sb-modal-message sb-modal-ranks__forum-link">
          Check the{' '}
          <a
            href={forumLink}
            onClick={() => trackSB('todays-hints', 'rankings')}
            rel="noreferrer"
            target={window.isHybridWebView ? '_self' : '_blank'}
          >
            Spelling Bee Forum
          </a>{' '}
          for help from the #HiveMind on your beeline to Genius.
        </p>
      </ModalBody>
    </>
  )
}

export default ModalRanks
