export type MomentWelcomeProps = {
  icon: string
  date: string
  title: string
  editor: string
  bgColor: string
  wordCount: number
  isActive: boolean
  usingMeter?: boolean
  isSubscribed: boolean
  isInGamesApp: boolean
  shouldCutOff?: boolean
  transitionToGame: () => void
  openPastPuzzleHub: () => void
  handleSubscribe: (tag: string) => void
  trackInteraction: (
    elementLabel: string,
    elementName?: string,
    label?: string,
  ) => void
  isGamesSale: boolean
  gamesSaleText: string
}

export type MomentCongratsProps = {
  score?: number
  bgColor: string
  wordCount?: number
  isActive?: boolean
  beatriceHatIcon?: string
  screen?: 'welcome' | 'congrats'
  desktopButtonOrder?: 'default' | null
  close: {
    action: () => void
  }
  momentSystem: {
    transition: (from: string, to: string) => Promise<void>
  }
  trackImpression: (
    name: string,
    region?: string,
    label?: string,
    context?: string,
  ) => void
  openShare: () => void

  transitionToGame: () => void
  trackInteraction: (label: string) => void
  navigateBack: (variant?: string | null | undefined) => null
  showRevealedCongrats?: boolean
}

type MomentButtonGroup = {
  buttons: MomentButton[]
}

export type MomentButton = {
  text: string
  action: () => void
  variant?: string
  color?: string
  isEmphasizedNew?: boolean
}

export type WelcomeProps = {
  buttonGroups: MomentButtonGroup[]
  description: { text: string }
}
