import React, { ReactElement } from 'react'
import cn from 'classnames'

const RankMessage = ({
  track,
  message,
  icon = { class: '' },
  messageType = 'yesterday',
  isDisplayed,
}: {
  message: ReactElement
  messageType: 'yesterday' | 'today' | null
  isDisplayed: boolean
  icon: { class: string }
  track: () => void
}) => {
  React.useEffect(() => {
    if (isDisplayed) track()
  }, [isDisplayed])

  // message is chosen randomly from a list.
  // this component should not reroll that selection once mounted
  const displayedMessage = React.useMemo(() => message, [messageType])

  return (
    <div className={`sb-modal-${messageType}-rank`}>
      <div className={cn(`sb-modal-rank__icon`, icon.class)} />
      {displayedMessage}
    </div>
  )
}

export default RankMessage
