import { track, getGameData, trackInteraction } from 'foundation'

import { SpellingBeeModalName } from './modals/createModalSystem'

export const sbTrackingContext = `SB-${getGameData().today.id}`
const printDate = getGameData().today?.printDate
const isPastPuzzle = !!getGameData()?.isPastPuzzle

export const modalTrackingAliases: Record<
  SpellingBeeModalName,
  string
> = {
  help: 'help',
  ranks: 'rankings',
  yesterday: 'yesterdays-answers',
  stats: 'stats',
  share: 'share',
  answers: 'answers',
  pastPuzzles: 'spelling-bee-hub-modal',
  yesterdayNew: 'answers',
}

export const trackModals = (
  modalName: SpellingBeeModalName,
  label?: string,
) => {
  trackInteraction({
    element: {
      name: 'spelling-bee',
      label: modalTrackingAliases[modalName] || modalName,
    },
    context: sbTrackingContext,
    name: {
      p: printDate,
      t: isPastPuzzle ? 'archive' : 'today',
    },
    label,
  })
}
