import { computeRanks, getRankIdx, getRank } from '../utils'

describe('SPELLING BEE: UTILS', () => {
  it('should compute ranks correctly', () => {
    const rankScoreMap = computeRanks(100)
    const genius = { title: 'Queen Bee', minScore: 100 }
    const lastIdx = rankScoreMap.length - 1
    expect(rankScoreMap[lastIdx]).toEqual(genius)
  })

  it('should get correct rank index', () => {
    const rankScoreMap = computeRanks(100)
    const rankIdx = getRankIdx(100, rankScoreMap)
    expect(rankIdx).toBe(rankScoreMap.length - 1)
  })

  it('should get correct rank index', () => {
    const rank = getRank(0)
    expect(rank).toBe('Beginner')
  })
})
