import { env, xhr } from 'foundation'

import type { SpellingBeeMultiStateResponse } from './api.state'

// NOTE that this function can throw an error, and must be wrapped in
// try/catch or be called within a promise chain
export const fetchMultiStates = async (puzzleIds: string[]) => {
  const puzzleIdsQuery = puzzleIds.join(',')

  const response = await xhr.get<SpellingBeeMultiStateResponse>(
    `${env.moogle}/svc/games/state/spelling_bee/latests?puzzle_ids=${puzzleIdsQuery}`,
  )

  if (response.states) {
    return response.states
  }

  throw new Error(
    `fetchMultiStates: ${response.error || 'Invalid response'}`,
  )
}
