import { UserType } from 'foundation'

export type DateString = `${number}-${number}-${number}`

export type SpellingBeePuzzle = {
  id: number
  validLetters: string[]
  outerLetters: string[]
  centerLetter: string

  answers: string[]
  pangrams: string[]

  displayDate: string
  displayWeekday: string
  printDate: DateString
  expiration?: number
  freeExpiration: number
  editor: string
}

export type SpellingBeeGameData = {
  today: SpellingBeePuzzle
  yesterday: SpellingBeePuzzle | null
  pastPuzzles: {
    today: SpellingBeePuzzle
    yesterday: SpellingBeePuzzle
    thisWeek: SpellingBeePuzzle[]
    lastWeek: SpellingBeePuzzle[]
  } | null
  isPastPuzzle?: boolean
}

export type SpellingBeeMessage = {
  value: string
  isError?: boolean
  isPangram?: boolean
  points?: number
}

type YesterdayState = SpellingBeePuzzle & {
  foundWords: string[] | null
  isRevealed: boolean
  fetched?: boolean
}

export type SpellingBeeGameState = SpellingBeePuzzle & {
  yesterday: YesterdayState | null
  foundWords: string[]
  input: string[]
  isExpandedWordlist: boolean
  message: SpellingBeeMessage | null
  currentMoment: string
  isModalOpen: boolean
  userType: Partial<UserType>
  hasLoaded: boolean
  isRevealed: boolean
  isPastPuzzle: boolean
  pastPuzzlesData: SpellingBeeGameData['pastPuzzles'] | null
}
