import { TypedUseSelectorHook, useSelector } from 'react-redux'

import { trackInteraction } from 'foundation'

import type { SpellingBeeState } from '..'

// to avoid the verbosity of typing the state argument in every selector
export const useSbSelector: TypedUseSelectorHook<SpellingBeeState> =
  useSelector

export const useTracking = () => {
  const { id, printDate, isPastPuzzle } = useSbSelector(
    (state) => state.game,
  )

  const trackSB = (elementLabel: string, label?: string | null) => {
    trackInteraction({
      element: {
        name: 'spelling-bee',
        label: elementLabel,
      },
      context: `SB-${id}`,
      name: {
        p: printDate,
        t: isPastPuzzle ? 'archive' : 'today',
      },
      label,
    })
  }

  return trackSB
}
