import { Reducer } from 'redux'

import { grantReasons } from 'shared/meter/MeterTypes'

import { SET_METER, SpellingBeeMeterAction } from './meter.actions'
import { SpellingBeeMeterState } from './meter.state'

const initialState: SpellingBeeMeterState = {
  granted: true,
  grantReason: grantReasons.WHITELISTED,
  loggedIn: false,
  isOffline: true,
}

const reducer: Reducer<
  SpellingBeeMeterState,
  SpellingBeeMeterAction
> = (state = initialState, action) => {
  switch (action.type) {
    case SET_METER:
      return {
        ...state,
        ...action.payload,
      }
    default:
      return state
  }
}

export default reducer
