import React from 'react'

import useAnimation from '../../../shared/moments/components/stories/useAnimation'
import MomentWelcome from '../moments/MomentWelcome'

type MomentWelcomeProps = {
  transitionToGame: Function
  handleSubscribe: Function
  trackInteraction: Function
  isSubscribed: boolean
}

const staticArgs = {
  icon: 'spelling-bee',
  title: 'Spelling Bee',
  date: 'Thursday, February 25th',
  editor: 'Sam Ezersky',
  bgColor: '$spelling-bee-gold',
  wordCount: 1,
  isActive: true,
  isPastPuzzle: false,
  isInGamesApp: false,
  transitionToGame: () => {},
  handleSubscribe: () => {},
  trackInteraction: () => {},
  openPastPuzzleHub: () => {},
  isGamesSale: false,
  gamesSaleText: 'Subscribe for 50% off',
}

export const Welcome = ({ isSubscribed }: MomentWelcomeProps) => (
  <MomentWelcome isSubscribed={isSubscribed} {...staticArgs} />
)

export default {
  title: 'Spelling Bee/Moments/Welcome',
  decorators: [
    (Story: any) => {
      useAnimation('storybook-welcome')

      return (
        <div id="storybook-welcome">
          <Story />
        </div>
      )
    },
  ],
  args: {
    isSubscribed: false,
  },
}
