import React, { useState, useEffect } from 'react'

import Layout from './Layout'

const LayoutManager = (props) => {
  const initialShowWelcomeMomentState = undefined
  const [showWelcomeMoment, updateWelcomeMoment] = useState(
    initialShowWelcomeMomentState,
  )

  useEffect(() => {
    if (
      !document.location.pathname.match(/sudoku\/(easy|medium|hard)/i)
    ) {
      updateWelcomeMoment(true)
    } else {
      updateWelcomeMoment(false)
    }
  }, [])

  // Wait until we determine if we should show welcome moment or not before rendering the Layout
  return showWelcomeMoment !== initialShowWelcomeMomentState ? (
    <Layout {...props} showWelcomeMoment={showWelcomeMoment} />
  ) : null
}

export default LayoutManager
