export enum SudokuModal {
  Pause = 'Pause',
  Rules = 'Rules',
  Congrats = 'Congrats',
  Settings = 'Settings',
}

export type GameProp = {
  act: (actType: string, gameSection: string) => void
  timer: {
    resume: () => void
    toggle: () => void
  }
  view: {
    solved: boolean
    justSolved?: boolean
  }
}

export type Settings = {
  set: (settingsType: string, settingsValue: string) => void
  get: (settingsType: string) => boolean | string
  toggle: (settingsType: string) => void
}

// There are currently two places where the levels can change, the
// Toolbar and the Congrats Modal for completion on easy or medium.
export enum ORIGIN {
  LEVEL_SELECT = 'levelSelect',
  CONGRATS_MODAL = 'congratsModal',
}

export enum SudokuLevel {
  EASY = 'easy',
  MEDIUM = 'medium',
  HARD = 'hard',
}
