import React from 'react'
import { shallow } from 'enzyme'

import Number from './Number'

describe('SUDOKU: NUMBER', () => {
  test('renders number', () => {
    const n = shallow(<Number className="extra" number={2} />)
    expect(n.hasClass('extra')).toBe(true)
    expect(n.find('path').prop('d')).toBeTruthy()
  })

  test('passes extra props', () => {
    const n = shallow(<Number data-foo="bar" number={2} />)
    const svg = n.find('svg')
    expect(svg.prop('data-foo')).toBe('bar')
  })
})
