import React from 'react'
import { createStore } from 'redux'
import { Provider } from 'react-redux'

import CongratsComponent from '../Modals/ModalCongrats'

import defaultProps from './mocks/store'

const CongratsTemplate = ({ time, level: newLevel }) => {
  const { game, level } = defaultProps

  return (
    <Provider store={createStore(() => {})}>
      <CongratsComponent
        level={{ ...level, current: newLevel }}
        timer={{ ...game.timer, timeFormatted: time }}
      />
    </Provider>
  )
}

export const Congrats = CongratsTemplate.bind({})
Congrats.args = {
  time: '0:01',
  level: 'easy',
}

export default {
  component: CongratsTemplate,
  title: 'Sudoku/Modals/Congrats',
  argTypes: {
    level: {
      options: ['easy', 'medium', 'hard'],
      control: { type: 'select' },
    },
    time: {
      control: {
        type: 'text',
      },
    },
  },
  decorators: [
    (Story) => {
      document.body.classList.add('pz-desktop')
      document.body.classList.add('pz-page')
      return (
        <div
          id="modal-system-portal"
          className="modal-system-container"
          style={{ opacity: '100% !important' }}
        >
          <Story />
        </div>
      )
    },
  ],
}
