import React from 'react'
import { createStore } from 'redux'
import { Provider } from 'react-redux'

import RulesComponent from '../Modals/ModalRules'

import defaultProps from './mocks/store'

const RulesTemplate = () => (
  <Provider store={createStore(() => {})}>
    <RulesComponent game={defaultProps.game} close={() => {}} />
  </Provider>
)

export const Rules = RulesTemplate.bind({})

export default {
  component: RulesTemplate,
  title: 'Sudoku/Modals/Rules',
  decorators: [
    (Story) => {
      document.body.classList.add('pz-desktop')
      document.body.classList.add('pz-page')
      return (
        <div
          id="modal-system-portal"
          className="modal-system-container"
        >
          <Story />
        </div>
      )
    },
  ],
}
