import React from 'react'
import { createStore } from 'redux'
import { Provider } from 'react-redux'

import PauseComponent from '../Modals/ModalPause'

import defaultProps from './mocks/store'

const PauseTemplate = () => (
  <Provider store={createStore(() => {})}>
    <PauseComponent game={defaultProps.game} close={() => {}} />
  </Provider>
)

export const Pause = PauseTemplate.bind({})

export default {
  component: PauseTemplate,
  title: 'Sudoku/Modals/Pause',
  decorators: [
    (Story) => {
      document.body.classList.add('pz-desktop')
      document.body.classList.add('pz-page')
      return (
        <div
          id="modal-system-portal"
          className="modal-system-container"
        >
          <Story />
        </div>
      )
    },
  ],
}
