import React from 'react'
import { createStore } from 'redux'
import { Provider } from 'react-redux'

import SettingsComponent from '../Modals/ModalSettings'

import defaultProps from './mocks/store'

const { game, settings } = defaultProps

const SettingsTemplate = () => (
  <Provider store={createStore(() => {})}>
    <SettingsComponent game={game} settings={settings} />
  </Provider>
)

export const Settings = SettingsTemplate.bind({})

export default {
  component: SettingsTemplate,
  title: 'Sudoku/Modals/Settings',
  decorators: [
    (Story) => {
      document.body.classList.add('pz-desktop')
      document.body.classList.add('pz-page')
      return (
        <div
          id="modal-system-portal"
          className="modal-system-container"
        >
          <Story />
        </div>
      )
    },
  ],
}
