import React from 'react'
import { createStore } from 'redux'
import { Provider } from 'react-redux'

import ToolbarComponent from '../Toolbar/Toolbar'

import defaultProps from './mocks/store'

const ToolbarTemplate = ({ hybrid, isMobile }) => {
  window.isHybridWebView = hybrid
  return (
    <Provider store={createStore(() => {})}>
      <ToolbarComponent
        game={defaultProps.game}
        level={defaultProps.level}
        settings={defaultProps.settings}
        forceMobile={isMobile === true ? true : undefined}
      />
    </Provider>
  )
}

export const Toolbar = ToolbarTemplate.bind({})
Toolbar.args = {
  hybrid: false,
  isMobile: false,
}

export default {
  component: ToolbarTemplate,
  title: 'Sudoku/Components/Toolbar',
  argTypes: {
    hybrid: {
      control: {
        type: 'boolean',
      },
    },
    isMobile: {
      control: {
        type: 'boolean',
      },
    },
  },
  decorators: [
    (Story) => {
      return <Story />
    },
  ],
}
