const reduceCells = (cells, change) => {
  if (!change) return cells

  const patch = {}

  Object.keys(change).forEach((c) => {
    patch[c] = {
      ...cells[c],
      ...change[c],
    }
  })

  return {
    ...cells,
    ...patch,
  }
}

const reduceState = (state, change) => {
  if (!change) return state

  if (change.reset) return change.reset

  return {
    ...state,
    ...change,
    cells: reduceCells(state.cells, change.cells),
    autoCandidates: reduceCells(
      state.autoCandidates,
      change.autoCandidates,
    ),
    manualCandidates: reduceCells(
      state.manualCandidates,
      change.manualCandidates,
    ),
  }
}

export default reduceState
