import React from 'react'

const makeTick = (timer) => ({
  time: timer.time,
  timeFormatted: timer.timeFormatted,
  isPaused: timer.isPaused,
})

const useTick = (timer) => {
  const [tick, setTick] = React.useState(makeTick(timer))

  React.useEffect(() => {
    const unsubscribe = timer.subscribe(() => {
      setTick(makeTick(timer))
    })

    return unsubscribe
  }, [timer])

  return tick
}

export default useTick
