import React from 'react'

import { useAppDispatch } from '../../store'

import createTimer from './createTimer'

const useTimer = (initial, difficulty) => {
  const timer = React.useRef()
  const dispatch = useAppDispatch()

  // https://github.com/facebook/react/issues/14490
  if (!timer.current) {
    timer.current = createTimer(initial, difficulty, dispatch)
  }

  return timer.current
}

export default useTimer
