import React from 'react'
import ReactDOM from 'react-dom'
import { Simulate } from 'react-dom/test-utils'

import useTimer from './useTimer'
import createTimer from './createTimer'

jest.mock('./createTimer', () => jest.fn())

jest.mock('../../store/index', () => ({
  useAppDispatch: jest.fn(),
}))

describe('SUDOKU - USE TIMER', () => {
  let container
  let MyComponent
  let timer

  beforeEach(() => {
    createTimer.mockReset()
    container = document.createElement('div')
    createTimer.mockReturnValue({ timer: true })

    /* eslint-disable */
    MyComponent = () => {
      const [_, set] = React.useState()
      timer = useTimer()
      return <button onClick={() => set({ foo: true })} />
    }
    /* eslint-enable */

    document.body.appendChild(container)
  })

  afterEach(() => {
    ReactDOM.unmountComponentAtNode(container)
    document.body.removeChild(container)
    container = null
  })

  test('should create one timer', () => {
    ReactDOM.render(<MyComponent />, container)
    const trigger = container.querySelector('button')
    Simulate.click(trigger)

    expect(timer).toEqual({ timer: true })
    expect(createTimer).toHaveBeenCalledTimes(1)
  })
})
