import '../../shared/shared-styles'
import '../../shared/shared-scripts'

import React from 'react'
import ReactDOM from 'react-dom'
import { Provider } from 'react-redux'

import { getGameData } from 'foundation'
import { UserProvider } from 'user'

import AbraProviderWithUser from '../../shared/abra/AbraProviderWithUser'
import { FeatureFlagProvider } from '../../shared/abra/FeatureFlagProvider'
import ClientSideScripts from '../../shared/components/ClientSideScripts'

import { store } from './store'
import Layout from './components/Layout/Manager'

import './index.scss'

const gameRoot = document.getElementById('pz-game-root')

ReactDOM.render(
  <>
    <ClientSideScripts />
    <UserProvider>
      <AbraProviderWithUser>
        <FeatureFlagProvider>
          <Provider store={store}>
            <Layout data={getGameData()} />
          </Provider>
        </FeatureFlagProvider>
      </AbraProviderWithUser>
    </UserProvider>
  </>,
  gameRoot,
)
