import {
  TypedUseSelectorHook,
  useDispatch,
  useSelector,
} from 'react-redux'
import { configureStore } from '@reduxjs/toolkit'

import gameStatus from './slices/gameStatus'
import modalSystem from './slices/modalSystem'

export const store = configureStore({
  reducer: {
    gameStatus,
    modalSystem,
  },
})

type AppDispatch = typeof store.dispatch
export type RootState = ReturnType<typeof store.getState>

export const useAppDispatch: () => AppDispatch = useDispatch
export const useAppSelector: TypedUseSelectorHook<RootState> =
  useSelector
