import '../../shared/shared-styles'
import '../../shared/shared-scripts'

import React from 'react'
import ReactDOM from 'react-dom'

import { getGameData } from 'foundation'
import { UserProvider } from 'user'
import ClientSideScripts from 'shared/components/ClientSideScripts'

import ShortzMode from '../shared/ShortzMode'
import AbraProviderWithUser from '../../shared/abra/AbraProviderWithUser'
import { FeatureFlagProvider } from '../../shared/abra/FeatureFlagProvider'
import Layout from '../tiles/js/Layout/Layout'
import StoreProvider from '../tiles/js/store/StoreProvider'
import { MeterProvider } from '../tiles/js/meter/MeterProvider'
import ClientSideHeader from '../shared/ClientSideHeader'

import './index.scss'

const gameRoot = document.getElementById('pz-game-root')
const gameData = getGameData()

const gameBase = () => (
  <>
    <ClientSideHeader>
      <h2>
        <em className="pz-game-title">Tiles</em>
      </h2>
    </ClientSideHeader>
    <StoreProvider>
      <AbraProviderWithUser>
        <FeatureFlagProvider>
          <MeterProvider>
            <Layout links={{}} />
          </MeterProvider>
        </FeatureFlagProvider>
      </AbraProviderWithUser>
    </StoreProvider>
  </>
)

ReactDOM.render(
  <>
    <ClientSideScripts />
    <UserProvider>
      <ShortzMode>{gameBase()}</ShortzMode>
    </UserProvider>
  </>,
  gameRoot,
)
