import isWithinInterval from 'date-fns/isWithinInterval'

import { getDateFromInputString } from '../../../shared/utils'
import type { Palette } from '../shared'

export const isPaletteNew = (p: Palette, date: Date): boolean => {
  if (!p.highlightAsNew) {
    return false
  }

  return isWithinInterval(date, {
    start: getDateFromInputString(p.highlightAsNew.startDate),
    end: getDateFromInputString(p.highlightAsNew.endDate),
  })
}
