import '../../shared/shared-styles'
import '../../shared/shared-scripts'

import React from 'react'
import ReactDOM from 'react-dom'

import { getGameData } from 'foundation'
import { UserProvider } from 'user'
import ClientSideScripts from 'shared/components/ClientSideScripts'

import AbraProviderWithUser from '../../shared/abra/AbraProviderWithUser'
import { FeatureFlagProvider } from '../../shared/abra/FeatureFlagProvider'

import Layout from './js/Layout/Layout'
import StoreProvider from './js/store/StoreProvider'
import { MeterProvider } from './js/meter/MeterProvider'

import './index.scss'

const gameRoot = document.getElementById('pz-game-root')
const gameData = getGameData()

ReactDOM.render(
  <>
    <ClientSideScripts />
    <UserProvider>
      <StoreProvider>
        <AbraProviderWithUser>
          <FeatureFlagProvider>
            <MeterProvider>
              <Layout links={gameData.links} />
            </MeterProvider>
          </FeatureFlagProvider>
        </AbraProviderWithUser>
      </StoreProvider>
    </UserProvider>
  </>,
  gameRoot,
)
