import React from 'react'
import pt from 'prop-types'
import { connect } from 'react-redux'

const ComboCounter = ({ fontColor, currentCombo, longestCombo }) => (
  <div id="tls-combo" style={{ color: fontColor }}>
    <div className="tls-combo__col">
      <p className="tls-combo__title">Current Combo</p>
      <p className="tls-combo__number">{currentCombo}</p>
    </div>
    <div className="tls-combo__col">
      <p className="tls-combo__title">Longest Combo</p>
      <p className="tls-combo__number">{longestCombo}</p>
    </div>
  </div>
)

ComboCounter.propTypes = {
  fontColor: pt.string,
  currentCombo: pt.number.isRequired,
  longestCombo: pt.number.isRequired,
}

const mapStateToProps = ({ currentCombo, longestCombo }) => ({
  currentCombo,
  longestCombo,
})

export default connect(mapStateToProps)(ComboCounter)
