import React from 'react'
import { Provider } from 'react-redux'
import { mount } from 'enzyme'

import ComboCounter from './ComboCounter'

const connectedComboCounter = (props) => {
  const store = {
    getState: () => ({
      currentCombo: 3,
      longestCombo: 4,
    }),
    subscribe: jest.fn(),
    dispatch: jest.fn(),
  }

  return mount(
    <Provider store={store}>
      <ComboCounter {...props} />
    </Provider>,
  )
}

describe('TILES: COMBO COUNTER UNIT', () => {
  const comboCounter = connectedComboCounter({
    fontColor: '#FFF',
  })

  it('should apply font color', () => {
    expect(
      comboCounter.find('#tls-combo').props().style.color,
    ).toEqual('#FFF')
  })

  it('should apply currentCombo number', () => {
    expect.assertions(2)
    expect(
      comboCounter
        .find('.tls-combo__number')
        .at(0)
        .text(),
    ).toBe('3')
    expect(
      comboCounter
        .find('.tls-combo__number')
        .at(1)
        .text(),
    ).toBe('4')
  })
})
