import React from 'react'
import { shallow } from 'enzyme'

import MenuOptions from './MenuOptions'
import MenuOptionsEnabled from './MenuOptionsEnabled'
import MenuOptionsDisabled from './MenuOptionsDisabled'

const props = {
  palette: {
    displayName: 'Foo Bar',
    filename: 'fooBar',
  },
  allPalettes: [
    {
      displayName: 'Foo Bar',
      filename: 'fooBar',
    },
    {
      displayName: 'Lorem Ispum',
      filename: 'loremIspum',
    },
  ],
}

const changePaletteMock = jest.fn

describe('TILES: MENU OPTIONS DISABLED', () => {
  it('renders disabled menu options', () => {
    const disabledMenu = shallow(
      <MenuOptions
        {...props}
        creditsLeft={0}
        disabled
        isLoggedIn={false}
        narrowScreen={false}
      />,
    )
    expect(disabledMenu.find(MenuOptionsEnabled)).toHaveLength(0)
    expect(disabledMenu.find(MenuOptionsDisabled)).toHaveLength(1)
  })
})

describe('TILES: MENU OPTIONS ENABLED', () => {
  it('renders enabled menu options', () => {
    const enabledMenu = shallow(
      <MenuOptions
        {...props}
        creditsLeft={0}
        disabled={false}
        isLoggedIn
        changePalette={changePaletteMock}
        narrowScreen={false}
      />,
    )
    expect(enabledMenu.find(MenuOptionsDisabled)).toHaveLength(0)
    expect(enabledMenu.find(MenuOptionsEnabled)).toHaveLength(1)
  })
})
