import React from 'react'

import MenuOptionsDisabled, {
  DisabledProps,
} from './MenuOptionsDisabled'
import MenuOptionsEnabled, {
  EnabledProps,
} from './MenuOptionsEnabled'

type MenuOptionsNewProps = EnabledProps &
  DisabledProps & { disabled: boolean }

const MenuOptions = ({
  palette,
  allPalettes,
  changePalette,
  disabled,
  creditsLeft,
  isLoggedIn,
  narrowScreen,
}: MenuOptionsNewProps) => {
  return disabled ? (
    <MenuOptionsDisabled
      allPalettes={allPalettes}
      creditsLeft={creditsLeft}
      isLoggedIn={isLoggedIn}
    />
  ) : (
    <MenuOptionsEnabled
      allPalettes={allPalettes}
      changePalette={changePalette}
      palette={palette}
      narrowScreen={narrowScreen}
    />
  )
}

export default MenuOptions
