import React from 'react'

import { Palette } from '../../shared'

import PaginatedPaletteList from './PaginatedPaletteList'

export interface EnabledProps {
  palette: Palette
  allPalettes: Palette[]
  narrowScreen: boolean
  changePalette?: (palette: Palette) => void
}

const PALETTES_PER_COLUMN_MOBILE = 6
const COLUMNS_PER_PAGE_MOBILE = 1
const PALETTES_PER_COLUMN_DESKTOP = 4
const COLUMNS_PER_PAGE_DESKTOP = 3

const MenuOptionsEnabled = ({
  palette,
  allPalettes,
  changePalette,
  narrowScreen,
}: EnabledProps) => {
  const props = {
    palette,
    allPalettes,
    changePalette,
  }

  return narrowScreen ? (
    <PaginatedPaletteList
      {...props}
      showArrows={false}
      palettesPerColumn={PALETTES_PER_COLUMN_MOBILE}
      columnsPerPage={COLUMNS_PER_PAGE_MOBILE}
    />
  ) : (
    <PaginatedPaletteList
      {...props}
      showArrows
      palettesPerColumn={PALETTES_PER_COLUMN_DESKTOP}
      columnsPerPage={COLUMNS_PER_PAGE_DESKTOP}
    />
  )
}

export default MenuOptionsEnabled
