export function totalPageCount(
  itemCount: number,
  totalPerColumn: number,
) {
  return Math.ceil(itemCount / totalPerColumn)
}

export function getActivePage(
  pageWidth: number,
  numberOfPages: number,
  scroll: number,
) {
  const page = Math.floor(scroll / pageWidth)

  if (page < 0) return 0

  if (page > numberOfPages - 1) return numberOfPages - 1

  return page
}

export const pageWidthCalculator = (
  {
    scrollWidth,
    clientWidth,
  }: { scrollWidth: number; clientWidth: number },
  numberOfPages: number,
) => (scrollWidth - clientWidth) / numberOfPages
