import { DEFAULT_PALETTE, paletteDisplayText } from './shared'

describe('paletteDisplayText()', () => {
  const paletteDisplayNames = ['foo', DEFAULT_PALETTE, 'bar']
  it('does not add "palette" suffic to default when option is false', () => {
    const formattedNames = paletteDisplayNames.map((name) =>
      paletteDisplayText(name, { addTilesetSuffix: false }),
    )
    expect(formattedNames).toEqual([
      paletteDisplayNames[0],
      'Today’s',
      paletteDisplayNames[2],
    ])
  })

  it('adds "palette" suffix to default when option is true', () => {
    const formattedNames = paletteDisplayNames.map((name) =>
      paletteDisplayText(name, { addTilesetSuffix: true }),
    )
    expect(formattedNames).toEqual([
      paletteDisplayNames[0],
      'Today’s Tileset',
      paletteDisplayNames[2],
    ])
  })
})
