import React from 'react'
import { Story } from '@storybook/react'

import GridPaletteListComponent from '../GridPaletteList'
import {
  getPaletteNames,
  getSelectedPalette,
  storyState,
} from '../../modals/stories/helpers'

interface Props {
  disabled: boolean
  palette: string
}

const Template: Story<Props> = ({ disabled, palette }: Props) => {
  return (
    <GridPaletteListComponent
      allPalettes={storyState.allPalettes}
      disabled={disabled}
      palette={getSelectedPalette(palette)}
    />
  )
}

export const GridList = Template.bind({})
GridList.args = {
  disabled: false,
  palette: 'Lisbon',
}

export default {
  component: GridList,
  title: 'Tiles/Modals/Settings Menus/Grid List',
  argTypes: {
    disabled: {
      control: { type: 'boolean' },
    },
    palette: {
      control: { type: 'select', options: getPaletteNames() },
    },
  },
}
