import React from 'react'
import { Story } from '@storybook/react'

import MenuOptionsDisabledComponent from '../MenuOptionsDisabled'
import { storyState } from '../../modals/stories/helpers'

interface Props {
  isLoggedIn: boolean
  creditsLeft: number
}

const Template: Story<Props> = ({
  isLoggedIn,
  creditsLeft,
}: Props) => {
  return (
    <MenuOptionsDisabledComponent
      allPalettes={storyState.allPalettes}
      creditsLeft={creditsLeft}
      isLoggedIn={isLoggedIn}
    />
  )
}

export const Disabled = Template.bind({})
Disabled.args = {
  creditsLeft: 0,
  isLoggedIn: true,
}

export default {
  component: Disabled,
  title: 'Tiles/Modals/Settings Menus/Disabled',
  argTypes: {
    isMobile: { table: { disable: true } },
  },
}
