import React from 'react'
import { Story } from '@storybook/react'

import MenuOptionsEnabledComponent from '../MenuOptionsEnabled'
import {
  getPaletteNames,
  getSelectedPalette,
  storyState,
} from '../../modals/stories/helpers'

interface Props {
  palette: string
  isMobile: boolean
}

const Template: Story<Props> = ({ palette, isMobile }: Props) => {
  return (
    <MenuOptionsEnabledComponent
      allPalettes={storyState.allPalettes}
      palette={getSelectedPalette(palette)}
      narrowScreen={isMobile}
    />
  )
}

export const EnabledDesktop = Template.bind({})
EnabledDesktop.args = {
  palette: 'Lisbon',
  isMobile: false,
}

export default {
  component: EnabledDesktop,
  title: 'Tiles/Modals/Settings Menus/Enabled Desktop',
  argTypes: {
    palette: {
      control: { type: 'select', options: getPaletteNames() },
    },
    isMobile: {
      control: { type: 'boolean' },
    },
  },
}
