import React from 'react'
import { Story } from '@storybook/react'

import PaginatedPaletteListComponent from '../PaginatedPaletteList'
import {
  getPaletteNames,
  getSelectedPalette,
  storyState,
} from '../../modals/stories/helpers'

interface Props {
  palette: string
}

const Template: Story<Props> = ({ palette }: Props) => {
  return (
    <div style={{ maxWidth: '500px', backgroundColor: 'white' }}>
      <PaginatedPaletteListComponent
        allPalettes={storyState.allPalettes}
        palette={getSelectedPalette(palette)}
        palettesPerColumn={6}
        columnsPerPage={1}
      />
    </div>
  )
}

export const EnabledMobile = Template.bind({})
EnabledMobile.args = {
  palette: 'Lisbon',
}

export default {
  component: EnabledMobile,
  title: 'Tiles/Modals/Settings Menus/Enabled Mobile',
  argTypes: {
    palette: {
      control: { type: 'select', options: getPaletteNames() },
    },
  },
}
