import React from 'react'
import { Story } from '@storybook/react'

import PaletteButtonComponent from '../PaletteButton'

interface Props {
  title: string
  isSelected: boolean
  isNew: boolean
}

const Template: Story<Props> = ({ title, isSelected, isNew }: Props) => {
  return (
    <div
      style={{
        maxWidth: '250px',
        margin: '30px',
        maxHeight: '100px',
      }}
    >
      <PaletteButtonComponent
        isSelected={isSelected}
        palette={{
          displayName: title,
          filename: title.replace(/\s+/g, '-').toLowerCase(),
        }}
        isNew={isNew}
      />
    </div>
  )
}

export const PaletteButton = Template.bind({})
PaletteButton.args = {
  title: 'Lisbon',
  isSelected: false,
  isNew: false,
}

export default {
  component: PaletteButton,
  title: 'Tiles/Modals/Buttons/PaletteButton',
  argTypes: {
    isSelected: { table: { disable: true } },
  },
}
