import React from 'react'
import pt from 'prop-types'
import cn from 'classnames'
import { connect } from 'react-redux'

const MessageBubble = ({ id, message }) => (
  <div className="tls-message-container">
    <div
      className={cn('tls-message', {
        show: id === message.id && message.animate,
      })}
    >
      {message.text}
    </div>
  </div>
)

MessageBubble.propTypes = {
  id: pt.number.isRequired,
  message: pt.shape({
    id: pt.number,
    text: pt.string,
    animate: pt.bool,
  }),
}

const mapStateToProps = ({ message }) => ({ message })

export default connect(mapStateToProps)(MessageBubble)
