import React from 'react'
import { Provider } from 'react-redux'
import { mount } from 'enzyme'

import MessageBubble from './MessageBubble'

describe('TILES: MESSAGE BUBBLE', () => {
  const connectMessageBubble = (props) => {
    const store = {
      getState: () => ({
        message: {
          id: 1,
          text: 'nice one!',
          animate: true,
        },
      }),
      subscribe: jest.fn(),
      dispatch: jest.fn(),
    }

    return mount(
      <Provider store={store}>
        <MessageBubble {...props} />
      </Provider>,
    )
  }

  it('should display messaging', () => {
    const messageBubble = connectMessageBubble({ id: 1 })
    const message = messageBubble.find('.tls-message')
    expect(message.prop('className')).toContain('show')
    expect(message.html()).toContain('nice one!')
  })
})
