import React from 'react'
import pt from 'prop-types'
import cn from 'classnames'

const Selector = ({ id, selected, selectionColor, free }) => (
  <div
    className={cn(
      'tls-selector',
      { selected: selected === id },
      { 'free-move': free === id },
    )}
  >
    <svg
      width="100"
      height="100"
      viewBox="0 0 100 100"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <rect
        className="tls-selector__dashed"
        x="3"
        y="3"
        width="94"
        height="94"
        stroke={selectionColor}
        strokeWidth="6"
        strokeDasharray="5 3"
      />
      <rect
        className="tls-selector__solid"
        x="3"
        y="3"
        width="94"
        height="94"
        stroke={selectionColor}
        strokeWidth="6"
      />
    </svg>
  </div>
)

Selector.propTypes = {
  id: pt.number.isRequired,
  selected: pt.number,
  selectionColor: pt.string.isRequired,
  free: pt.number,
}

export default Selector
