import React from 'react'
import { shallow } from 'enzyme'

import Selector from './Selector'

describe('TILES: SELECTOR', () => {
  it('should have the selected class when selected', () => {
    const selector = shallow(
      <Selector
        id={7}
        selected={7}
        free={null}
        selectionColor="red"
      />,
    )
    expect(selector.prop('className')).toContain('selected')
    expect(selector.prop('className')).not.toContain('free-move')
  })

  it('should have the free move class when free', () => {
    const selector = shallow(
      <Selector
        id={7}
        selected={null}
        free={7}
        selectionColor="red"
      />,
    )
    expect(selector.prop('className')).toContain('free-move')
    expect(selector.prop('className')).not.toContain('selected')
  })

  it('should have the provided stroke color', () => {
    expect.assertions(2)

    const selector = shallow(
      <Selector
        id={7}
        selected={7}
        free={null}
        selectionColor="red"
      />,
    )
    const rects = selector.find('rect')
    rects.forEach((rect) => {
      expect(rect.prop('stroke')).toBe('red')
    })
  })
})
