import React from 'react'
import pt from 'prop-types'
import cn from 'classnames'
import { connect } from 'react-redux'

const TileLayer = ({
  id,
  layer,
  hidden,
  winState,
  animationDelay,
  transitionDelay,
}) => (
  <svg
    style={{ animationDelay, transitionDelay }}
    className={cn(
      'tls-tile__layer',
      layer,
      { matched: hidden },
      { flipped: layer === 'zLayer' && winState },
    )}
  >
    <use xlinkHref={`#${id}`} />
  </svg>
)

TileLayer.propTypes = {
  animationDelay: pt.string,
  transitionDelay: pt.string,
  id: pt.string.isRequired,
  layer: pt.string.isRequired,
  hidden: pt.bool.isRequired,
  winState: pt.bool.isRequired,
}

const mapStateToProps = ({ winState }) => ({ winState })

export default connect(mapStateToProps)(TileLayer)
