import React from 'react'
import pt from 'prop-types'
import { connect } from 'react-redux'

import Tile from '../Tile/Tile'

const Tileset = ({ board }) => {
  return (
    <div id="tls-tileset">
      {board.map((tile) => (
        <Tile key={tile.id} {...tile} />
      ))}
    </div>
  )
}

Tileset.propTypes = {
  board: pt.arrayOf(pt.shape({})),
}

const mapStateToProps = ({ board }) => ({ board })

export default connect(mapStateToProps)(Tileset)
