import React from 'react'
import { Provider } from 'react-redux'
import { configureStore } from '@reduxjs/toolkit'
import { Story } from '@storybook/react'

import HowToPlayComponent from '../HowToPlay'

const HowToPlayTemplate = () => (
  <Provider store={configureStore({ reducer: {} })}>
    <HowToPlayComponent
      close={() => {}}
      isClosing={false}
      onRemove={() => {}}
    />
  </Provider>
)

export const HowToPlay = HowToPlayTemplate.bind({})

export default {
  component: HowToPlay,
  title: 'Tiles/Modals/How To Play',
  decorators: [
    (Story: Story) => {
      document.body.classList.add('pz-desktop')
      document.body.classList.add('pz-page')
      return (
        <div
          id="modal-system-portal"
          className="modal-system-container modal-system-active"
        >
          <Story />
        </div>
      )
    },
  ],
}
