import { initialState } from '../../store/store'
import { DEFAULT_PALETTE } from '../../MenuOptions/shared'

export const storyState = {
  ...initialState,
  palette: {
    displayName: 'Lisbon',
    filename: 'lisbon',
  },
  longestCombo: 5,
  perfectSolve: false,
  winState: true,
  allPalettes: [
    {
      displayName: 'Lisbon',
      filename: 'lisbon',
    },
    {
      displayName: 'Kuala Lumpur',
      filename: 'kuala-lumpur',
    },
    {
      displayName: 'Hong Kong',
      filename: 'hong-kong',
    },
    {
      displayName: 'Austin',
      filename: 'austin',
    },
    {
      displayName: 'New Haven',
      filename: 'new-haven',
    },
    {
      displayName: 'Paris',
      filename: 'paris',
    },
    {
      displayName: 'Brighton',
      filename: 'brighton',
    },
    {
      displayName: 'Tangier',
      filename: 'tangier',
    },
    {
      displayName: 'Holland',
      filename: 'holland',
    },
    {
      displayName: 'Los Angeles',
      filename: 'los-angeles',
    },
    {
      displayName: 'Utrecht',
      filename: 'utrecht',
    },
    {
      displayName: 'Topeka',
      filename: 'topeka',
    },
    {
      displayName: DEFAULT_PALETTE,
      filename: 'lisbon',
    },
  ],
}

export const getPaletteNames = () =>
  storyState.allPalettes.map((palette) => palette.displayName)

export const getSelectedPalette = (name) => {
  const [palette] = storyState.allPalettes.filter(
    (palette) => palette.displayName === name,
  )

  return palette
}
