import React from 'react'
import { Provider } from 'react-redux'

import { useUser } from 'user'

import { loadInitialPalette, setUpStore } from './store'

const store = setUpStore()

const StoreProvider = ({
  children,
}: {
  children: React.ReactNode
}) => {
  const { userType, hasLoaded } = useUser()

  React.useEffect(() => {
    if (hasLoaded) {
      store.dispatch(loadInitialPalette(userType.hasXwd))
    }
  }, [hasLoaded])

  return <Provider store={store}>{children}</Provider>
}

export default StoreProvider
