import React from 'react'
import { Provider } from 'react-redux'
import { mount } from 'enzyme'

import Concierge from './Concierge'

jest.mock('./conciergeHelpers', () => ({
  load: () => Promise.resolve(),
  transition: () => Promise.resolve(),
}))

const mockStore = (state) => ({
  default: jest.fn(),
  subscribe: jest.fn(),
  dispatch: jest.fn(),
  getState: () => state,
})

jest.mock('foundation', () => ({}))

describe('VERTEX: WELCOME', () => {
  beforeEach(() => {
    jest.clearAllMocks()
  })

  const store = mockStore({
    shapes: { foo: 1 },
    drawnShapes: [1],
    drawnLines: [[3, 4]],
    startGame: jest.fn(),
    subscribe: jest.fn(),
    track: jest.fn(),
  })

  it('should render loading screen message', () => {
    const concierge = mount(
      <Provider store={store}>
        <Concierge track={jest.fn()} startGame={jest.fn()} />
      </Provider>,
    )
    const message = concierge.find('.pz-moment__description').at(0)
    expect(message.text()).toEqual('Start connecting the dots...')
  })
})
