import React from 'react'
import pt from 'prop-types'

import CongratsDaily from './CongratsDaily'
import CongratsTutorial from './CongratsTutorial'
import CongratsStarterPack from './CongratsStarterPack'
import CongratsMidwayStarter from './CongratsMidwayStarter'

const Congrats = (props) => {
  const { congrats } = props
  switch (congrats) {
    case 'tutorial':
      return <CongratsTutorial {...props} />
    case 'midway starter pack':
      return <CongratsMidwayStarter {...props} />
    case 'starter pack':
      return <CongratsStarterPack {...props} />
    case 'daily':
      return <CongratsDaily {...props} />
    default:
      return <CongratsDaily {...props} />
  }
}

Congrats.propTypes = {
  congrats: pt.string,
}

export default Congrats
