import React from 'react'
import pt from 'prop-types'

import { trackClick } from 'foundation'

import ModalCard, { sbProps } from '../../shared/modals/ModalCard'
import {
  Icon,
  Title,
  Description,
  Button,
} from '../../shared/moments/components/subcomponents'

const CongratsMidwayStarter = ({ track, backToGame }) => (
  <>
    <div
      className="geo-moment__container geo-moment__congrats"
      id="geo-congrats-midway-starter"
    >
      <div className="geo-moment__content">
        <Icon icon="vertex" />
        <Title text="You're becoming an artist." />
        <Description text="Keep up the good work." />
        <div className="geo-moment__actions">
          <Button
            text="Next Puzzle"
            action={() => {
              backToGame()
              track('START_GAME')
            }}
          />
        </div>
      </div>
      <ModalCard
        {...sbProps}
        clickHandler={() =>
          trackClick({
            name: 'vertex',
            context: 'spelling-bee',
            element: { name: 'vertex', label: 'next-game' },
          })
        }
      />
    </div>
  </>
)

CongratsMidwayStarter.propTypes = {
  track: pt.func.isRequired,
  backToGame: pt.func.isRequired,
  toSubLandingPage: pt.func.isRequired,
}

export default CongratsMidwayStarter
