import React from 'react'
import pt from 'prop-types'

import {
  Icon,
  Title,
  Description,
  Button,
} from '../../shared/moments/components/subcomponents'

const CongratsTutorial = ({ track, backToGame }) => (
  <>
    <div
      className="geo-moment__container geo-moment__congrats"
      id="geo-congrats-tutorial"
    >
      <div className="geo-moment__content">
        <Icon icon="vertex" />
        <Title text="Nice drawing!" />
        <Description text="You know how to play, so let's solve some puzzles." />
        <div className="geo-moment__actions">
          <Button
            text="Play"
            action={() => {
              backToGame()
              track('START_GAME')
            }}
          />
        </div>
      </div>
    </div>
  </>
)

CongratsTutorial.propTypes = {
  track: pt.func.isRequired,
  backToGame: pt.func.isRequired,
}

export default CongratsTutorial
