import React from 'react'
import pt from 'prop-types'

import WelcomeDaily from './WelcomeDaily'
import WelcomeFirstVisit from './WelcomeFirstVisit'
import WelcomeStarterPack from './WelcomeStarterPack'

const Welcome = (props) => {
  const {
    hasCompletedTutorial,
    hasCompletedStarterPack,
  } = props

  if (!hasCompletedTutorial) {
    return <WelcomeFirstVisit {...props} />
  }

  if (hasCompletedTutorial && !hasCompletedStarterPack) {
    return <WelcomeStarterPack {...props} />
  }

  return <WelcomeDaily {...props} />
}

Welcome.propTypes = {
  hasCompletedTutorial: pt.bool,
  hasCompletedStarterPack: pt.bool,
}

export default Welcome
