import React from 'react'
import pt from 'prop-types'

import {
  Title,
  Icon,
  Description,
  Button,
  BodyText,
} from '../../shared/moments/components/subcomponents'

const WelcomeFirstVisit = ({ track, playGame }) => (
  <>
    <div
      id="geo-welcome-first-visit"
      className="geo-moment__container geo-moment__welcome"
    >
      <div className="geo-moment__content">
        <Icon icon="vertex" />
        <Title text="Vertex" />
        <Description text="Connect the dots and <br /> reveal the hidden picture." />
        <div className="geo-moment__actions">
          <Button
            text="Play"
            action={() => {
              playGame()
              track('START_GAME')
            }}
          />
        </div>
        <BodyText>
          <span className="pz-moment__info-date">
            Tutorial Puzzle
          </span>
        </BodyText>
        <BodyText>By Noca Wu</BodyText>
      </div>
    </div>
  </>
)

WelcomeFirstVisit.propTypes = {
  track: pt.func.isRequired,
  playGame: pt.func.isRequired,
}

export default WelcomeFirstVisit
