import React from 'react'
import { mount } from 'enzyme'

import CongratsMidwayStarter from '../CongratsMidwayStarter'

const props = {
  track: jest.fn(),
  backToGame: jest.fn(),
  toSubLandingPage: jest.fn(),
}

jest.mock('foundation', () => ({}))

describe('VERTEX: MOMENT - CONGRATS MIDWAY STARTER PACK', () => {
  beforeEach(() => {
    jest.clearAllMocks()
  })

  it('should render text', () => {
    const congratsMidwayStarter = mount(
      <CongratsMidwayStarter {...props} />,
    )

    const title = congratsMidwayStarter.find('.pz-moment__title')

    const info = congratsMidwayStarter.find('.pz-moment__description')

    expect(title.text()).toEqual("You're becoming an artist.")
    expect(info.text()).toEqual('Keep up the good work.')
  })

  it('should render back next-puzzle button', () => {
    const congratsMidwayStarter = mount(
      <CongratsMidwayStarter {...props} />,
    )

    const primaryButton = congratsMidwayStarter
      .find('.pz-moment__button')
      .at(0)
    expect(primaryButton.text()).toEqual('Next Puzzle')
    primaryButton.simulate('click')
    expect(props.backToGame).toHaveBeenCalled()
    expect(props.track).toHaveBeenCalledWith('START_GAME')
  })
})
