import React from 'react'
import { mount } from 'enzyme'

import CongratsTutorial from '../CongratsTutorial'

const props = {
  track: jest.fn(),
  backToGame: jest.fn(),
}

describe('VERTEX: MOMENT - CONGRATS TUTORIAL', () => {
  const congratsTutorial = mount(<CongratsTutorial {...props} />)

  it('should render text', () => {
    const title = congratsTutorial.find('.pz-moment__title')
    const info = congratsTutorial.find('.pz-moment__description')

    expect(title.text()).toEqual('Nice drawing!')
    expect(info.text()).toEqual(
      `You know how to play, so let's solve some puzzles.`,
    )
  })

  it('should render button and button should start game', () => {
    const button = congratsTutorial.find('.pz-moment__button')
    expect(button.text()).toEqual('Play')
    button.simulate('click')
    expect(props.backToGame).toHaveBeenCalled()
    expect(props.track).toHaveBeenCalledWith('START_GAME')
  })
})
