import React from 'react'
import { mount } from 'enzyme'

import WelcomeFirstVisit from '../WelcomeFirstVisit'

const props = {
  track: jest.fn(),
  playGame: jest.fn(),
  openRulesModal: jest.fn(),
  puzzleConstructor: 'Noca Wu',
}

describe('VERTEX: MOMENT - WELCOME FIRST VISIT', () => {
  beforeEach(() => {
    jest.clearAllMocks()
  })

  it('should render text', () => {
    const welcomeFirstVisit = mount(<WelcomeFirstVisit {...props} />)

    const title = welcomeFirstVisit.find('.pz-moment__title')
    const info = welcomeFirstVisit.find('.pz-moment__body')

    expect(title.text()).toEqual('Vertex')
    expect(info.at(0).text()).toEqual('Tutorial Puzzle')
    expect(info.at(1).text()).toEqual(`By ${props.puzzleConstructor}`)
  })

  it('should render button and button should start game', () => {
    const welcomeFirstVisit = mount(<WelcomeFirstVisit {...props} />)

    const button = welcomeFirstVisit.find('.pz-moment__button')
    expect(button.text()).toEqual('Play')
    button.simulate('click')
    expect(props.playGame).toHaveBeenCalled()
    expect(props.track).toHaveBeenCalledWith('START_GAME')
  })
})
