import React from 'react'

import FeedbackLink from '../../helpers/FeedbackLink'

const ModalHelp = () => (
  <>
    <div className="geo-modal__intro">
      <div className="geo-modal__title">How to play</div>
      <div className="geo-modal__description">
        Draw lines between points to create triangles.
      </div>
      <ul className="geo-modal__list">
        <li>
          Connect vertices to create triangles and assemble an image.
        </li>
        <li>
          The number on a vertex shows its remaining connections.
        </li>
        <li>Triangles will fill in if they are correct.</li>
        <li>Double tap a vertex to clear its connections.</li>
      </ul>
      <p className="geo-modal__message">
        There are new puzzles every day.
      </p>
      <p className="geo-modal__message">
        Have feedback? Email us at&ensp;
        <FeedbackLink subject="Vertex Feedback">
          nytgames@nytimes.com
        </FeedbackLink>
        .
      </p>
    </div>
  </>
)

export default ModalHelp
