import React from 'react'
import ReactDOM from 'react-dom'

import createModalSystem from '../../helpers/createModalSystem'
import createSubmodalContent from '../../helpers/createSubmodalContent'

import ModalHelp from './ModalHelp'

const modals = [
  {
    name: 'help',
    Content: ModalHelp,
    closeByEx: true,
    closeByBgClick: true,
  },
]

export const modalSystem = createModalSystem({
  root: document.getElementById('portal-game-modals'),
  modals,
  onOpen() {},
  onClose() {},
})

export const Modals = (props) =>
  modals.map(({ name, Content }) =>
    ReactDOM.createPortal(
      <Content
        open={modalSystem.open}
        close={modalSystem.close}
        {...props}
      />,
      modalSystem.get(name).root,
    ),
  )

export const SubModalContents = (props) =>
  createSubmodalContent(props, modals, modalSystem)
