export const mockState = {
  id: 'some-id',
  theme: 'Test',
  puzzleType: 'daily',
  packId: 'daily',
  displayDate: 'Monday, March 9',
  puzzleConstructor: 'Dumbledore',
  isComplete: false,
  drawnLines: [],
  drawnShapes: [],
  pendingConnections: {
    0: 2,
    1: 2,
    2: 2,
    3: 0,
    4: 0,
    5: 0,
    6: 0,
  },
  vertices: {
    0: {
      id: 0,
      coords: [0, 0],
      shapes: [0],
      completedShapes: [],
      preDrawnShapes: [],
    },
    1: {
      id: 1,
      coords: [1, 1],
      shapes: [0],
      completedShapes: [],
      preDrawnShapes: [],
    },
    2: {
      id: 2,
      coords: [2, 2],
      shapes: [0],
      completedShapes: [],
      preDrawnShapes: [],
    },
    3: {
      id: 3,
      coords: [10, 10],
      shapes: [1],
      completedShapes: [],
      preDrawnShapes: [1],
    },
    4: {
      id: 4,
      coords: [11, 11],
      shapes: [1],
      completedShapes: [],
      preDrawnShapes: [1],
    },
    5: {
      id: 5,
      coords: [12, 12],
      shapes: [1],
      completedShapes: [],
      preDrawnShapes: [1],
    },
    6: {
      id: 6,
      coords: [13, 13],
      shapes: [2],
      completedShapes: [],
      preDrawnShapes: [],
    },
  },
  shapes: {
    0: {
      id: 0,
      color: '#000',
      lines: [
        [0, 1],
        [0, 2],
        [1, 2],
      ],
      vertices: [0, 1, 2],
    },
  },
  preDrawnLines: [
    [5, 6],
    [3, 4],
    [3, 5],
    [4, 5],
  ],
  preDrawnShapes: [
    {
      id: 1,
      color: '#000',
      vertices: [3, 4, 5],
    },
  ],
}

export default {
  isMobile: false,
  api: {
    id: 'some-id',
    theme: 'Test',
    displayDate: 'Monday, March 9',
    puzzleConstructor: 'Dumbledore',
    palette: ['#000'],
    vertices: {
      0: {
        coordinates: [0, 0],
        shapes: [0],
      },
      1: {
        coordinates: [1, 1],
        shapes: [0],
      },
      2: {
        coordinates: [2, 2],
        shapes: [0],
      },
      3: {
        coordinates: [10, 10],
        shapes: [1],
      },
      4: {
        coordinates: [11, 11],
        shapes: [1],
      },
      5: {
        coordinates: [12, 12],
        shapes: [1],
      },
      6: {
        coordinates: [13, 13],
        shapes: [2],
      },
    },
    shapes: {
      0: {
        color: 0,
        vertices: [0, 1, 2],
      },
      1: {
        color: 0,
        vertices: [3, 4, 5],
        isPreDrawn: true,
      },
    },
    preDrawnLines: [[5, 6]],
    tutorial: [
      {
        id: 'tutorial-1',
        theme: 'Step 1',
        puzzleType: 'tutorial',
        palette: ['#000'],
        vertices: {
          0: {
            coordinates: [0, 0],
            shapes: [0],
          },
          1: {
            coordinates: [1, 1],
            shapes: [0],
          },
          2: {
            coordinates: [2, 2],
            shapes: [0],
          },
        },
        shapes: {
          0: {
            color: 0,
            vertices: [0, 1, 2],
          },
        },
      },
      {
        id: 'tutorial-2',
        theme: 'Step 2',
        puzzleType: 'tutorial',
        palette: ['#000'],
        vertices: {
          0: {
            coordinates: [0, 0],
            shapes: [0],
          },
          1: {
            coordinates: [1, 1],
            shapes: [0],
          },
          2: {
            coordinates: [2, 2],
            shapes: [0],
          },
        },
        shapes: {
          0: {
            color: 0,
            vertices: [0, 1, 2],
          },
        },
      },
    ],
    starterPuzzles: [
      {
        id: 'starter-puzzles-1',
        theme: 'Starter Puzzle 1',
        puzzleType: 'starter-pack',
        palette: ['#000'],
        vertices: {
          0: {
            coordinates: [0, 0],
            shapes: [0],
          },
          1: {
            coordinates: [1, 1],
            shapes: [0],
          },
          2: {
            coordinates: [2, 2],
            shapes: [0],
          },
        },
        shapes: {
          0: {
            color: 0,
            vertices: [0, 1, 2],
          },
        },
      },
      {
        id: 'starter-puzzles-2',
        theme: 'Starter Puzzle 2',
        puzzleType: 'starter-pack',
        palette: ['#000'],
        vertices: {
          0: {
            coordinates: [0, 0],
            shapes: [0],
          },
          1: {
            coordinates: [1, 1],
            shapes: [0],
          },
          2: {
            coordinates: [2, 2],
            shapes: [0],
          },
        },
        shapes: {
          0: {
            color: 0,
            vertices: [0, 1, 2],
          },
        },
      },
    ],
  },
}
