import React from 'react'
import { mount } from 'enzyme'

import usePrevious from './usePrevious'

describe('VERTEX - USE PREVIOUS', () => {
  it('should store previous value', () => {
    const MyComponent = () => {
      const [count, setCount] = React.useState(0)
      const prevCount = usePrevious(count)

      return (
        <div>
          <span id="previous">{prevCount}</span>
          <span id="current">{count}</span>
          <button id="plus-2" onClick={() => setCount(count + 2)} />
          <button id="minus-3" onClick={() => setCount(count - 3)} />
        </div>
      )
    }

    const c = mount(React.createElement(MyComponent))

    expect(c.find('#previous').text()).toBe('')
    expect(c.find('#current').text()).toBe('0')
    c.find('#plus-2').simulate('click')
    expect(c.find('#previous').text()).toBe('0')
    expect(c.find('#current').text()).toBe('2')
    c.find('#minus-3').simulate('click')
    expect(c.find('#previous').text()).toBe('2')
    expect(c.find('#current').text()).toBe('-1')
  })
})
