import '../../shared/shared-scripts'
// notably, shared-styles are not included as they cause some unwanted changes

import React from 'react'
import ReactDOM from 'react-dom'
import { Provider } from 'react-redux'

import { UserProvider } from 'user'

import ShortzMode from '../shared/ShortzMode'
import ClientSideScripts from '../../shared/components/ClientSideScripts'
import AbraProviderWithUser from '../../shared/abra/AbraProviderWithUser'
import { FeatureFlagProvider } from '../../shared/abra/FeatureFlagProvider'
import App from '../wordle/js/components/App/App'
import createStore from '../wordle/js/store'

import './index.scss'

const gameRoot = document.body

const gameBase = () => (
  <>
    <Provider store={createStore()}>
      <AbraProviderWithUser>
        <FeatureFlagProvider>
          <App />
        </FeatureFlagProvider>
      </AbraProviderWithUser>
    </Provider>
  </>
)

ReactDOM.render(
  <>
    <ClientSideScripts />
    <UserProvider>
      <ShortzMode>{gameBase()}</ShortzMode>
    </UserProvider>
  </>,
  gameRoot,
)
