import '../../shared/shared-scripts'
// notably, shared-styles are not included as they cause some unwanted changes

import React from 'react'
import ReactDOM from 'react-dom'
import { Provider } from 'react-redux'

import { UserProvider } from 'user'

import ClientSideScripts from '../../shared/components/ClientSideScripts'
import AbraProviderWithUser from '../../shared/abra/AbraProviderWithUser'
import { FeatureFlagProvider } from '../../shared/abra/FeatureFlagProvider'

import App from './js/components/App/App'
import createStore from './js/store'

import './index.scss'

const gameRoot = document.body

ReactDOM.render(
  <>
    <ClientSideScripts />
    <Provider store={createStore()}>
      <UserProvider disableShortz>
        {/* hasXWD will not be accurate for anon subs in Newsreader */}
        <AbraProviderWithUser>
          <FeatureFlagProvider>
            <App />
          </FeatureFlagProvider>
        </AbraProviderWithUser>
      </UserProvider>
    </Provider>
  </>,
  gameRoot,
)
