import React from 'react'
import classNames from 'classnames'

import styles from './Ad.module.scss'

const Ad = ({
  id,
  position,
  className,
}: {
  id: string
  position: string
  className?: string
}) => {
  const handleAd = (ref: HTMLDivElement) => {
    window?.AdSlot4?.initializeAd?.(ref, { id, position })
  }
  /*
    adding in ad label for usage later on
   */

  const containerClassName = classNames(
    'ad',
    'place-ad',
    styles.adContainer,
    styles.hasAdLabel,
    className,
  )

  return (
    <div
      ref={handleAd}
      className={containerClassName}
      id={id}
      data-position={position}
    />
  )
}

export default Ad
