import {
  isHybridWebView,
  isInNewsreader,
} from 'shared/utils/deviceIdentifiers'

import isGameInProgress from './isGameInProgress'
import isPhone from './isPhone'
import isInInterstitialVariant, {
  isInMockTest,
} from './isInInterstitialVariant'

/**
 * Should only return true if in mobile browser and the game is in progress.
 * Does not include apps, tablet or desktop.
 */
export default (
  gameStatus: 'IN_PROGRESS' | 'WIN' | 'FAIL',
): boolean =>
  isGameInProgress(gameStatus) &&
  !isHybridWebView() &&
  !isInNewsreader() &&
  isPhone() &&
  isInMockTest() && // running mock test, always returns true
  isInInterstitialVariant()
