import React from 'react'
import { Provider } from 'react-redux'
import { render, screen } from '@testing-library/react'

import createStore from '../../store'

import Board from './Board'

jest.mock('foundation', () => ({
  env: { version: 'test' },
}))

describe('<Board />', () => {
  const renderBoard = () => {
    const store = createStore()

    const board = render(
      <Provider store={store}>
        <Board />
      </Provider>,
    )

    return { store, board }
  }

  it('should render 6 rows with 5 tiles each', () => {
    renderBoard()
    const tiles = screen.getAllByTestId('tile')
    expect(tiles.length).toEqual(6 * 5)
  })
})
