import React, { useState } from 'react'
import cn from 'classnames'

import Icon from '../Icon/Icon'

import styles from './Error.module.scss'

export default function ErrorBanner() {
  const [isHidden, setHidden] = useState(false)
  return (
    <div
      aria-hidden={isHidden}
      className={cn(styles.errorBannerContainer, {
        [styles.hideBanner]: isHidden,
      })}
    >
      <div className={styles.errorRow} aria-hidden={isHidden}>
        <p className={styles.errorTitle}>Error</p>
        <span
          role="button"
          className={styles.close}
          onClick={() => setHidden(true)}
        >
          <Icon icon="close" fillColor="var(--white)" />
        </span>
      </div>
      <p>Oops, something went wrong. Please try again later.</p>
    </div>
  )
}
