import React from 'react'

import styles from './Spinner.module.scss'

export default function Spinner({
  circleColor = '#DFDFDF',
  barColor = '#959595',
}: {
  circleColor?: string
  barColor?: string
}) {
  return (
    <svg
      className={styles.spinner}
      data-testid="spinner"
      width="82"
      height="82"
      viewBox="0 0 82 82"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <circle
        cx="41"
        cy="41"
        r="40.0391"
        stroke={circleColor}
        strokeWidth="1.92188"
      />
      <path
        fillRule="evenodd"
        clipRule="evenodd"
        d="M19.4763 73.6983L18.4497 75.3237C24.8956 79.5452 32.6028 82 40.8834 82C62.8396 82 80.7649 64.7413 81.833 43.05H79.9087C78.8425 63.6793 61.778 80.0781 40.8834 80.0781C32.9802 80.0781 25.6251 77.732 19.4763 73.6983Z"
        fill={barColor}
      />
    </svg>
  )
}
