import { restartLoad } from '../../store/api/api.actions'
import type { WordleDispatch } from '../../store/types'

export const hybridLogin = (dispatch: WordleDispatch) => {
  window.NativeBridge?.gamesAuthenticateUser('login').then((data) => {
    const aborted = data.values?.aborted
    // TODO: see if iOS is still sending a string, they should be
    // sending a boolean
    const isCancelled = aborted === true || aborted === 'true'
    if (!data.success || isCancelled) {
      // if the user cancelled the flow, do nothing
      return
    }

    // so the effect in App.tsx will kick off the page loading flow again:
    dispatch(restartLoad())
  })
}
