import React from 'react'
import { Provider } from 'react-redux'
import { render } from '@testing-library/react'

import createStore from '../../store'

import GuessDistribution from './GuessDistribution'

jest.mock('foundation', () => ({
  env: { version: 'test' },
}))

describe('<GuessDistribution />', () => {
  it('should display a correct aria-label', () => {
    const props = {
      guesses: {
        1: 0,
        2: 0,
        3: 0,
        4: 1,
        5: 0,
        6: 0,
        fail: 1,
      },
      rowIndex: 6,
      gameStatus: 'FAIL',
      loggedIn: true,
      showRegiwall: false,
    } as const

    const store = createStore()
    const { getAllByRole } = render(
      <Provider store={store}>
        <GuessDistribution {...props} />
      </Provider>,
    )
    const graph = getAllByRole('img')

    expect(graph[0]?.getAttribute('aria-label')).toBe(
      '0 solved in 1st attempt',
    )
  })
})
