import React from 'react'

import createHybridNewsLink from '../../../../shared/utils/createHybridNewsLink'

import styles from './SpellingBeeCTA.module.scss'
import Card from './Card'

type SpellingBeeCTAProps = {
  handleTrack: () => void
  promoParam?: string
}

export default function SpellingBeeCTA({
  handleTrack,
  promoParam,
}: SpellingBeeCTAProps) {
  return (
    <div className={styles.container} data-testid="spellingBeeCTA">
      <div className={styles.cardContainer}>
        <a
          href={createHybridNewsLink(
            `/puzzles/spelling-bee${promoParam}`,
          )}
          className={styles.spellingBeeCardEmphasis}
          onClick={() => {
            handleTrack()
          }}
        >
          <span className={styles.promoIcon} />
          <Card />
          <span className={styles.arrow} />
        </a>
      </div>
    </div>
  )
}
