import React from 'react'

import { trackClick } from 'foundation'

import { useWordleSelector } from '../../../store/types'
import { selectGameDayOffset } from '../../../store/game/game.selectors'

import styles from './BotLink.module.scss'

export default function BotLink() {
  const gameId = `${useWordleSelector(selectGameDayOffset)}`

  return (
    <a
      href="https://www.nytimes.com/interactive/2022/upshot/wordle-bot.html"
      className={styles.botLink}
      onClick={() => {
        trackClick({
          name: 'wordle',
          label: 'wordlebot',
          context: gameId,
        })
      }}
    >
      <div className={styles.botIcon} />
      <div className={styles.botLinkContent}>
        <p>
          Wordlebot gives an analysis of your guesses.
          <br /> <span>Did you beat the bot? ›</span>
        </p>
      </div>
    </a>
  )
}
