import { useWordleSelector } from '../../store/types'
import { selectMoogleGameData } from '../../store/api/api.selectors'
import { getLocalInitialState } from '../../store/moogle/moogle.helpers'

export const useStatsSelectionTool = (hasLoaded: boolean) => {
  const accountState = useWordleSelector(selectMoogleGameData)
  const localAnonState = getLocalInitialState()

  const accountStats = accountState?.stats
  const localStats = localAnonState?.stats

  return (
    hasLoaded &&
    !!accountStats && // has Wordle state associated with account
    !!localStats && // has anonymous local storage
    !!accountStats.autoOptInTimestamp && // was automatically opted in
    !accountStats.hasMadeStatsChoice && // has not previously made selection with this account
    localStats.gamesPlayed > 0 && // has non-blank anon stats
    localStats.autoOptInTimestamp !== accountStats.autoOptInTimestamp // was auto opted in elsewhere
  )
}
