import type { CoreState } from '@nyt/games-schema'

import type { WordleMoogleState } from '../moogle/moogle.helpers'

export type WordleApiState = {
  moogleGet: {
    error: boolean
    errorMessage: string | null
    isLoading: boolean
    data: CoreState | null
  }
  mooglePost: {
    isLoading: boolean
    error: boolean
    lastFailedSaveData: WordleMoogleState | null
  }
  solution: {
    error: boolean
    isLoading: boolean
    data: {
      solution: string
      id: number
      dayOffset: number
      editor?: string
    } | null
  }
  // whether or not the API calls needed to power the page (moogleGet and solution) have resolved
  dataFetched: boolean
  // whether or not the whole loading flow of the page has completed, including local storage reconciliation
  appLoaded: boolean
}
