import { compose, applyMiddleware, createStore } from 'redux'
import thunk from 'redux-thunk'

import { rootReducer } from './wordleReducer'
import { save } from './moogle/moogle.middleware'
import analyticsTracking from './middleware/analyticsTracking'

export default () => {
  // TODO: disable dev tools in prod, probably
  const useDevTools =
    typeof window.__REDUX_DEVTOOLS_EXTENSION__ !== 'undefined'

  const middleware = [applyMiddleware(thunk, save, analyticsTracking)]

  if (useDevTools) {
    middleware.push(window.__REDUX_DEVTOOLS_EXTENSION__())
  }

  return createStore(rootReducer, compose(...middleware))
}
