import { createSelector } from 'reselect'

import type { WordleStoreState } from '../types'

const selectOverlaysState = (state: WordleStoreState) =>
  state.overlays

export const selectModal = createSelector(
  selectOverlaysState,
  (state) => state.modal,
)

export const selectError = createSelector(
  selectOverlaysState,
  (state) => state.error,
)

export const selectPage = createSelector(
  selectOverlaysState,
  (state) => state.page,
)

export const selectNavModalOpen = createSelector(
  selectOverlaysState,
  (state) => state.isNavModalOpen,
)

export const selectToasts = createSelector(
  selectOverlaysState,
  (state) => state.toasts,
)

export const selectWillClosePage = createSelector(
  selectOverlaysState,
  (state) => state.isPageClosing,
)

export const selectWasModalOpenedByClick = createSelector(
  selectOverlaysState,
  (state) => state.wasModalOpenedByClick,
)
