export type ToastState = {
  text: string
  duration: number
  isSystem?: boolean
  // along with text, used to uniquely identify a toast.
  // assumes 2 identical toasts don't appear in the same millisecond
  timestamp: number
}

// NSO-2385 - added 'activationRegiModal' - to be removed once test concludes
export type ModalName =
  | 'help'
  | 'stats'
  | 'regiwallModal'
  | 'loginPrompt'
  | 'settings'
  | 'activationRegiModal'
  | 'hardModeAwareness'
  | null

export type PageName = 'linkInfo' | 'statsProblem' | null
export type ErrorName = 'offline' | 'default' | 'profile' | null

export type WordleOverlaysState = {
  modal: ModalName
  page: PageName
  error: ErrorName
  isNavModalOpen: boolean
  toasts: ToastState[]
  isPageClosing: boolean
  wasModalOpenedByClick: boolean
}
