import { WordleSettingsState } from './settings.state'

export const CHANGE_SETTING = 'wordle/settings/CHANGE_SETTING'

type ChangeSettingAction = {
  type: typeof CHANGE_SETTING
  payload: {
    name: keyof WordleSettingsState
    value: boolean
  }
}

export type WordleSettingsAction = ChangeSettingAction

export const changeSetting = (
  name: keyof WordleSettingsState,
  value: boolean,
): ChangeSettingAction => ({
  type: CHANGE_SETTING,
  payload: { name, value },
})
