import { createSelector } from 'reselect'

import type { WordleStoreState } from '../types'

const selectSettings = (state: WordleStoreState) =>
  state.persist.settings

export const selectHardMode = createSelector(
  selectSettings,
  (settings) => settings.hardMode,
)

export const selectDarkMode = createSelector(
  selectSettings,
  (settings) => settings.darkMode,
)
export const selectVirtualKeyboardOnlyMode = createSelector(
  selectSettings,
  (settings) => settings.virtualKeyboardOnlyMode,
)

export const selectColorblindMode = createSelector(
  selectSettings,
  (settings) => settings.colorblindMode,
)
