import { validWords } from '../words/validWords'

import { validateWord } from './gamelogic'

describe('validateWord', () => {
  const solution = 'xxxxx'

  it('returns false when guess is not valid words and is not solution word', () => {
    const guess = 'aaaaa'
    expect(validWords.includes(guess)).toEqual(false)

    expect(validateWord(guess, solution)).toEqual(false)
  })

  it('returns true when guess is solution word that is not in valid list', () => {
    expect(validWords.includes(solution)).toEqual(false)

    expect(validateWord('xxxxx', solution)).toEqual(true)
  })

  it('returns true when guess is in valid words list', () => {
    const guess = validWords[validWords.length - 1]
    expect(validateWord(guess, solution)).toEqual(true)
  })
})
