// the Cloud Trace agent should be required before any network operations occur
// the agent is conditionally enabled via the CLOUD_TRACE_ENABLED environment variable
// the agent is disabled by default
require('./cloudTrace')

// The Node.js tracing library needs to be imported and initialized before importing any instrumented module.
// this tracer is conditionally enabled via the DD_TRACE_ENABLED environment variable
require('./datadog')

const app = require('./server')
const logger = require('./serverLogger')
const { PORT, RUNTIME_ENV, PACKAGE_VERSION } = require('./constants')

app.listen(PORT, () => {
  logger.info(
    `App [${RUNTIME_ENV}:${PACKAGE_VERSION}] listening on port ${PORT}`,
  )
})
