const axios = require('axios')

const { IS_PROD } = require('../../constants')
const logger = require('../../serverLogger')

// Add new test variable, and add variable to activeTests array
const SHARED_COMPONENT_TEST = 'TEST_sharedPhoenix_0930'
const activeTests = [SHARED_COMPONENT_TEST]

module.exports = async function getAbra(req, res, next) {
  const integration = !IS_PROD ? 'games-stg' : 'games-prd'
  const agentId = req.cookies['nyt-a']
  const tests = activeTests.join(',')
  const abraEndpoint = `https://abra.api.nytimes.com/v12/allocations?integration=${integration}&tests=${tests}&agent_id=${agentId}`

  // TODO: enable in prod when ready
  if (!IS_PROD && agentId) {
    // NOTE: if we want our abra_overrides and query param overrides to work
    // as normal, we'll need to add that info to this request.
    const request = axios({
      url: abraEndpoint,
      method: 'GET',
    })

    try {
      const resp = await request
      res.locals.abraServer = resp.data
    } catch (err) {
      res.locals.abraServer = {}
      logger.error(err)
    }
  }

  next()
}
