const {
  GLOBAL_REDIRECTS,
  ACROSTIC_AND_VARIETY_REDIRECT_URL,
} = require('../../constants')

module.exports = function handleRedirects(req, res, next) {
  if (GLOBAL_REDIRECTS[req.path]) {
    res.redirect(301, GLOBAL_REDIRECTS[req.path])
  } else if (
    req.path.match(/\/crosswords\/game\/(acrostic|variety)\/*/) ||
    req.path.match(/\/puzzles\/acrostic\/*/)
  ) {
    res.redirect(301, ACROSTIC_AND_VARIETY_REDIRECT_URL)
  } else if (req.path.match(/\/crosswords\/game\/sudoku\/*/)) {
    res.redirect(
      301,
      req.path.replace('/crosswords/game', '/puzzles'),
    )
  } else {
    next()
  }
}
