const staticErrorHandler = require('./staticErrorHandler')
const handleRedirects = require('./handleRedirects')
const serveStaticAssets = require('./serveStaticAssets')
const injectDeviceType = require('./injectDeviceType')
const injectUserType = require('./injectUserType')
const injectFeatureFlags = require('./injectFeatureFlags')
const injectApi = require('./injectApi')
const injectMetadata = require('./injectMetadata')
const injectCompliance = require('./injectCompliance')
const restrictAccess = require('./restrictAccess')
const logErrors = require('./logErrors')
const getSubInfo = require('./getSubInfo')
const { renderView, renderError } = require('./renderView')
const standardizeAuthCookie = require('./standardizeAuthCookie')
const verifyAnonSubs = require('./verifyAnonSubs')
const cacheInFastly = require('./cacheInFastly')
const disableKeepAlive = require('./disableKeepAlive')
const httpLogger = require('./httpLogger')
const getAbra = require('./getAbra')
const sentryMetaData = require('./sentryMetaData')

module.exports = {
  staticErrorHandler,
  handleRedirects,
  serveStaticAssets,
  injectDeviceType,
  injectUserType,
  injectFeatureFlags,
  injectApi,
  injectMetadata,
  injectCompliance,
  restrictAccess,
  logErrors,
  getSubInfo,
  renderView,
  renderError,
  standardizeAuthCookie,
  verifyAnonSubs,
  cacheInFastly,
  disableKeepAlive,
  httpLogger,
  getAbra,
  sentryMetaData,
}
