const { FEATURE_FLAGS } = require('../../constants')

/**
 * Add the configured environment's feature flags to Express's local response object.
 * Feature flags are now available to any subsequent middleware and will ultimately be
 * added to a rendered page's props and the client JavaScript.
 *
 * @param {Object} req
 * @param {Object} res
 * @param {Function} next
 */
function injectFeatureFlags(req, res, next) {
  if (typeof FEATURE_FLAGS === 'object' && FEATURE_FLAGS !== null) {
    res.locals.featureFlags = {
      ...FEATURE_FLAGS,
    }
  }

  next()
}

module.exports = injectFeatureFlags
