const StatusError = require('../util/StatusError')

const restrictAccess = (gate, redirectUrl) => (req, res, next) => {
  Promise.resolve(gate(req, res))
    .then((status) => {
      // 300 statuses (301, 302, etc...) signal a redirect
      if (status && status >= 300 && status < 400 && redirectUrl) {
        res.redirect(status, redirectUrl)
        // 400 and 500 statuses (401, 500, etc...) signal client and server errors
      } else if (status && status >= 400) {
        throw new StatusError(`restricted ${req.originalUrl}`, status)
      } else {
        next()
      }
    })
    .catch(next)
}

module.exports = restrictAccess
