/* eslint-disable-next-line no-unused-vars */
const staticErrorHandler = (err, req, res, next) => {
  if (!res.headersSent) res.status(500)

  if (res.locals.userType && res.locals.userType.isErsatzShortz) {
    res.end(`
      <html>
        <body>
          <h1>${err.name}</h1>
          <pre>${err.stack}</pre>
        </body>
      </html>
    `)
  } else {
    /** 5 second cache in fastly */
    if (!res.headersSent) {
      res.set('Cache-Control', 's-maxage=5')
    }
    res.end(`
      <html>
        <head>
          <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
          <meta httpEquiv="Content-Type" content="text/html" charSet="utf-8" />
          <style>
            .message {
              font-family:helvetica;
              max-width: 600px;
              margin: 100px auto;
              text-align: center;
              font-size: 16px;
              line-height: 24px;
              color: #333;
            }

            a {
              color: #2860d8;
            }
          </style>
        </head>
        <body>
          <div class="message">
            We’re sorry, we seem to be having some technical difficulties, but we don’t want to lose you. Please refresh the page, check back later, or you’re bound to find something of interest <a href="/">here</a>.
          </div>
        </body>
      </html>
    `)
  }
}

module.exports = staticErrorHandler
