const axios = require('axios')

const { IS_PROD, ABRA_CONFIG_ORIGIN } = require('../../constants')
const logger = require('../../serverLogger')

const env = IS_PROD ? 'prd' : 'stg'
const url = `${ABRA_CONFIG_ORIGIN}/abra-config/current/games-${env}.json`
let abraConfig = null

function clearAbraConfig() {
  abraConfig = null
}

// reset cached abraConfig every 60s
setInterval(clearAbraConfig, 60 * 1000).unref()

module.exports = async function getAbraConfig(req, res) {
  // re-use previously fetched config, if available
  if (abraConfig) return Promise.resolve(abraConfig)

  try {
    const { data } = await axios.get(url)
    // cache response
    abraConfig = data
    return abraConfig
  } catch (error) {
    logger.error(error)
  }
}
