const connectionsApi = `svc/crosswords/v6/leaderboard/connections.json`

module.exports = async function getLeaderboard(req, res) {
  const connections = await res.locals.api.get(connectionsApi)
  const { data } = connections

  const pending = data.pending || []
  const awaiting = (data.awaiting || [])
    .filter((u) => pending.every((p) => u.userID !== p.userID))
    .map((user) => {
      user.pendingState = 'awaiting'
      return user
    })

  return {
    connections: {
      self: [{ name: data.name }],
      friends: data.list || [],
      pending: [...pending, ...awaiting],
      blocked: data.blocked || [],
    },
  }
}
