const moment = require('moment')

const formatTime = require('../util/formatTime')

const leaderboardApi = `svc/crosswords/v6/leaderboard/mini.json`

module.exports = async function getLeaderboard(req, res) {
  const leaderboard = await res.locals.api.get(leaderboardApi)

  const { data } = leaderboard

  return {
    printDate: data.printDate,
    puzzleLink: `/crosswords/game/mini/${data.printDate.replace(
      /-/g,
      '/',
    )}`,
    displayDate: moment(data.printDate, 'YYYY-MM-DD').format(
      'dddd, MMMM D, YYYY',
    ),
    pendingRequests: data.pendingConnectionsCount || 0,
    scoreList: (data.data || []).map((s) => {
      const isFinished = !!(s.score && s.score.secondsSpentSolving)

      return {
        isMe: !!s.me,
        name: s.name,
        rank: s.rank || null,
        finished: isFinished,
        solveTime: isFinished
          ? `${formatTime(s.score.secondsSpentSolving)}`
          : null,
      }
    }),
  }
}
