const fs = require('fs')
const path = require('path')

const logger = require('../../serverLogger')
const { DIST_ROOT } = require('../../constants')

let cached = { shortz: [] }
try {
  cached = JSON.parse(
    fs.readFileSync(path.resolve(DIST_ROOT, 'shortz.json')),
  )
} catch (e) {
  // Use empty list
  logger.warn('failed to read shortz.json file')
  logger.error(e)
}

module.exports = function getShortz(regi) {
  return cached.shortz.includes(regi)
}
