const {
  getPuzzleByDate,
  getActivePuzzles,
  getShortzPuzzle,
} = require('../util/spellingBeePuzzle')

const getSpellingBee = async (req, res) => {
  const { originalUrl } = req
  const isShortzRequest = /shortz/.test(originalUrl)

  if (req.params.date && !isShortzRequest) {
    return getPuzzleByDate(res.locals.api, req.params.date)
  }

  if (isShortzRequest && req.params.date) {
    return getShortzPuzzle(res.locals.api, req.params.date)
  }

  const activePuzzles = await getActivePuzzles(res.locals.api)

  return {
    today: activePuzzles.today,
    yesterday: activePuzzles.yesterday,
    pastPuzzles: activePuzzles,
  }
}

module.exports = getSpellingBee
