const moment = require('moment')

const { API_HOST_SERVER } = require('../../constants')

module.exports = async function getSudoku(req, res) {
  try {
    // TODO: is there a staging version of this data?
    const r = await res.locals.api.get(
      `${API_HOST_SERVER}/svc/games/sudoku/v1/puzzles.json`,
    )
    const { results } = r.data
    const rawDate = req.query['fake-date'] || results.easy.print_date
    const date = moment(rawDate, 'YYYY-M-D')

    Object.keys(results).forEach((level) => {
      results[level].print_date = rawDate
    })

    return {
      displayDate: date.format('MMMM D, YYYY'),
      ...results,
    }
  } catch (err) {
    err.message = `SUDOKU FAILED: ${err.message}`
    throw err
  }
}
