const getCrosswordWebView = require('../getCrosswordWebView')

describe('APP/UTIL: GET CROSSWORD WEBVIEW', () => {
  it('returns empty string if provided no arguments', () => {
    expect(getCrosswordWebView()).toBe('')
  })

  it('returns "ios" if UA is from iOS Crossword', () => {
    expect(getCrosswordWebView('nyt_xwords_ios/4.10.0')).toBe('ios')
  })

  it('returns "android" if UA is from Android Crossword', () => {
    expect(getCrosswordWebView('Crosswords/4.10.0')).toBe('android')
  })

  it('returns empty string if UA is not from the Crossword app', () => {
    expect(
      getCrosswordWebView(
        'Mozilla/5.0 (Linux; Android 4.0.4; Galaxy Nexus Build/IMM76B) AppleWebKit/535.19 (KHTML, like Gecko) Chrome/18.0.1025.133 Mobile Safari/535.19',
      ),
    ).toBe('')
  })

  it('returns "ios" if forcing hybrid Crossword via query param', () => {
    expect(
      getCrosswordWebView('real browser', { hybrid: 'games' }),
    ).toBe('ios')
  })
})
