import getIOSCrosswordVersion from '../getIOSCrosswordVersion'

describe('getIOSCrosswordVersion()', () => {
  test('with no arg, returns empty string', () => {
    expect(getIOSCrosswordVersion()).toEqual('')
  })

  test('with empty string, returns empty string', () => {
    expect(getIOSCrosswordVersion('')).toEqual('')
  })

  test('matches deprecated string "nyt_xwords_ios/AppVersion(string: "4.37")"', () => {
    expect(
      getIOSCrosswordVersion(
        'nyt_xwords_ios/AppVersion(string: "4.37")',
      ),
    ).toEqual('4.37')
  })

  test('matches deprecated string "nyt_xwords_ios/AppVersion(string: "4.37.1")"', () => {
    expect(
      getIOSCrosswordVersion(
        'nyt_xwords_ios/AppVersion(string: "4.37.1")',
      ),
    ).toEqual('4.37.1')
  })

  test('matches corrected string "nyt_xwords_ios/4.37"', () => {
    expect(getIOSCrosswordVersion('nyt_xwords_ios/4.37')).toEqual(
      '4.37',
    )
  })

  test('matches corrected string "nyt_xwords_ios/4.37.1"', () => {
    expect(getIOSCrosswordVersion('nyt_xwords_ios/4.37.1')).toEqual(
      '4.37.1',
    )
  })
})
