const isSubInfoBypassed = require('../isSubInfoBypassed')

describe('isSubInfoBypassed', () => {
  it('returns true when a path matches a list of literals', () => {
    expect(isSubInfoBypassed('/puzzles/user')).toBe(true)
    expect(isSubInfoBypassed('/puzzles/device')).toBe(true)
    expect(isSubInfoBypassed('/games/connections')).toBe(true)
    expect(isSubInfoBypassed('/puzzles/sudoku')).toBe(true)
    expect(isSubInfoBypassed('/puzzles/sudoku/easy')).toBe(true)
    expect(isSubInfoBypassed('/puzzles/sudoku/medium')).toBe(true)
    expect(isSubInfoBypassed('/puzzles/sudoku/hard')).toBe(true)
    expect(isSubInfoBypassed('/puzzles/tiles')).toBe(true)
    expect(isSubInfoBypassed('/puzzles/letter-boxed')).toBe(true)
  })

  it('returns true when a path matches a list of patterns', () => {
    expect(isSubInfoBypassed('/puzzles/tiles/palette/lisbon')).toBe(
      true,
    )
    expect(isSubInfoBypassed('/puzzles/tiles/palette/austin')).toBe(
      true,
    )
    expect(isSubInfoBypassed('/puzzles/shortz/tiles/holland')).toBe(
      true,
    )
  })

  it('returns false when a path does not match either list', () => {
    expect(isSubInfoBypassed('/puzzles/spelling-bee')).toBe(false)
  })
})
