const {
  APPLICATION_HOST_CLIENT,
  ROUTE_DIST,
  MANIFEST_PATH,
} = require('../../constants')

const createAssets = (entry) => {
  const manifest = require(MANIFEST_PATH)
  const { scripts = [], styles = [] } = manifest[entry] || {}

  const getFilePath = (fileName) =>
    `${APPLICATION_HOST_CLIENT}${ROUTE_DIST}/${fileName}`

  return {
    scripts: scripts.map((name) => ({ src: getFilePath(name) })),
    styles: styles.map((name) => ({ src: getFilePath(name) })),
  }
}

module.exports = createAssets
