const isSubInfoBypassed = (path) => {
  // bypass this middleware if the current request does NOT
  // depend on the response from SARTRE_SUBINFO_HOST

  // these paths do not have route params (or in the case of sudoku,
  // all the params are in this list), so we can match on them exactly
  const skipLiterals = [
    '/puzzles/device',
    '/puzzles/user',

    // Skip making requests to subinfo for games that dont need this data
    '/games/wordle',
    '/games/wordle/index.html',
    '/games/connections',
    '/puzzles/sudoku',
    '/puzzles/sudoku/easy',
    '/puzzles/sudoku/medium',
    '/puzzles/sudoku/hard',
    '/puzzles/tiles',
    '/puzzles/letter-boxed',
  ]

  // these paths take route params, so we match on them as a pattern
  const skipPatterns = [
    '/puzzles/tiles/palette',
    '/puzzles/shortz/tiles',
  ]

  return (
    skipLiterals.includes(path) ||
    skipPatterns.some((pattern) => path.match(pattern))
  )
}

module.exports = isSubInfoBypassed
