import { appendSupportedParams } from '../util'

describe('appendSupportedParams function', () => {
  it('adds passed in params for supported web links', () => {
    const link = appendSupportedParams(
      'https://nytimes.com',
      '?test=true',
    )
    expect(link).toBe('https://nytimes.com?test=true')
  })

  it('leaves out passed in params for unsupported deep links', () => {
    const link = appendSupportedParams(
      'nytimes://login',
      '?test=true',
    )
    expect(link).toBe('nytimes://login')
  })

  it('adds passed in params for supported deep links', () => {
    const link = appendSupportedParams(
      'nytimes://supported',
      '?test=true',
    )
    expect(link).toBe('nytimes://supported?test=true')
  })
})
