import React from 'react'
import pt from 'prop-types'

export const AdMobile = (props) => {
  const { id, position, deviceType = {}, compliance } = props

  const { isMobile } = deviceType

  if (!isMobile || !compliance.ads) {
    return null
  }

  return (
    <div className="ad-container pz-section pz-section-filled">
      <div
        className="inner-ad-container place-ad"
        id={id}
        data-position={position}
      />
    </div>
  )
}
AdMobile.propTypes = {
  id: pt.string,
  position: pt.string,
  deviceType: pt.shape({
    isMobile: pt.bool,
  }),
  compliance: pt.shape({
    ads: pt.bool,
  }),
}
export default AdMobile
