import React from 'react'
import pt from 'prop-types'
import serialize from 'serialize-javascript'
import safeJsonStringify from 'safe-json-stringify'

export const InlineVar = ({ name, value }) => {
  let serializedValue
  try {
    serializedValue = serialize(value, {
      isJSON: true,
    })
  } catch (e) {
    serializedValue = safeJsonStringify(value)
  }

  return (
    <script
      type="text/javascript"
      dangerouslySetInnerHTML={{
        __html: `window.${name} = ${serializedValue}`,
      }}
    />
  )
}

InlineVar.propTypes = {
  name: pt.string,
  value: pt.oneOfType([pt.shape({}), pt.string, pt.number, pt.bool]),
}

export default InlineVar
