import React from 'react'
import { shallow } from 'enzyme'

import TopSaleBanner from './TopSaleBanner'

describe('SERVER COMPONENTS: TOP SALE BANNER', () => {
  window.navigationLinks = window.navigationLinks || {}
  window.navigationLinks.login = ''

  it('should render the all-access sales banner with the correct messaging', () => {
    const saleBanner = shallow(<TopSaleBanner />)

    expect(
      saleBanner
        .find('.top-sale-banner__text')
        .text()
        .includes('Save on all of The Times, including Games.'),
    ).toBe(true)
  })

  it('should render the delta access banner with the correct messaging', () => {
    const saleBanner = shallow(<TopSaleBanner isDelta />)

    expect(
      saleBanner
        .find('.top-sale-banner__text')
        .text()
        .includes('Track your stats and streaks.'),
    ).toBe(true)
  })
})
