import React from 'react'

import { withServerData } from '../../withServerData'

export const SponsoredBy = withServerData(({ sponsorship }) => {
  return (
    sponsorship && (
      <div className="pz-sponsored">
        Supported by
        <a
          className="pz-sponsored__link"
          href={sponsorship.link}
          target="_blank"
          rel="noopener noreferrer"
        >
          <div
            className="pz-sponsored__image"
            style={{
              backgroundImage: `url(${sponsorship.image})`,
            }}
          />
        </a>
      </div>
    )
  )
})

export default SponsoredBy
