import React from 'react'
import pt from 'prop-types'

let Widgets
export const setWidgets = (w) => {
  Widgets = w
}

export const Widget = ({ type, data }) => {
  if (!Widgets[type]) {
    throw new Error(`missing widget '${type}'`)
  }

  const Widget = Widgets[type]

  return (
    <div className="pz-pre" data-type={type}>
      <Widget {...data} />
      <script
        type="text/template"
        dangerouslySetInnerHTML={{
          __html: JSON.stringify(data),
        }}
      />
    </div>
  )
}

Widget.propTypes = {
  type: pt.string,
  data: pt.shape({}),
}
