import React from 'react'
import pt from 'prop-types'

import Footer from '../Footer'

const createNavLinks = require('../../../util/createNavigationLinks')

const navigationLinks = createNavLinks(
  {},
  {
    locals: {
      userType: { hasDigi: true },
      deviceType: {
        newsreaderAppPlatform: '',
        newsreaderAppVersion: '',
      },
    },
  },
)

const props = {
  compliance: { optOut: false },
  navigationLinks,
  deviceType: { newsreaderAppPlatform: '' },
}

const Template = (args) => {
  const mergedProps = { ...props, ...args }
  return <Footer {...mergedProps} />
}

export const DefaultFooter = Template.bind({})

export default {
  component: Footer,
  title: 'Footer',
  args: props,
}
