import React from 'react'

import NavComponent from '../Nav'

const dailyLink = '/crosswords/game/daily'
const miniLink = '/crosswords/game/mini'
const sbLink = '/puzzles/spelling-bee'
const hubLink = '/crosswords'
const archiveLink = '/crosswords/archive'
const accountLink = '/account'
const loginLink = '/login'
const logoutLink = '/logout'
const subscribeLink = '/subscribe/games'
const wordleLink = '/games/wordle/index.html'

const props = {
  compliance: {},
  userType: {
    isLoggedIn: true,
    hasXwd: false,
  },
  deviceType: {
    isMobile: false,
    gamesAppPlatform: true,
  },
  env: {
    name: 'stg',
  },
  isGamePage: false,
  navigationLinks: {
    login: loginLink,
    logout: logoutLink,
    register: 'register',
    account: accountLink,
    daily: dailyLink,
    mini: miniLink,
    spellingBee: sbLink,
    hub: hubLink,
    archive: archiveLink,
    wordle: wordleLink,
    subscribe: {
      default: subscribeLink,
    },
  },
  url: '/foobar',
}

const Template = (args) => {
  React.useEffect(() => {
    const drawer = document.getElementById('js-nav-drawer')
    const burger = document.getElementById('js-nav-burger')
    if (drawer) drawer.classList.add('open')

    if (burger) burger.classList.add('active')
  }, [])

  const mergedProps = { ...props, ...args }
  return <NavComponent {...mergedProps} />
}

export const Nav = Template.bind({})

export default {
  component: Nav,
  title: 'Navigation/Nav',
  args: props,
}
