import React from 'react'

import {
  CacheSafeAdsFrame,
  CacheSafePage,
  GameContainer,
  withServerData,
} from '../components/index'

export const Connections = withServerData(() => {
  return (
    <CacheSafePage
      navProps={{ isGamePage: true }}
      suppressFooterOnMobile
    >
      <CacheSafeAdsFrame>
        <GameContainer
          id="connections-container"
          renderHeader={() => (
            <>
              <h2>
                <em className="pz-game-title">Connections</em>
                <span
                  id="portal-game-date"
                  className="pz-game-date"
                />
              </h2>
            </>
          )}
        />
      </CacheSafeAdsFrame>
    </CacheSafePage>
  )
})

export default Connections
