import React from 'react'

import {
  CacheSafePage,
  GameContainer,
  InlineVar,
  withServerData,
} from '../components/index'

export const ConnectionsShortz = withServerData(({ data }) => {
  return (
    <CacheSafePage
      navProps={{ isGamePage: true }}
      suppressFooterOnMobile
    >
      <GameContainer
        id="connections-container"
        renderHeader={() => (
          <>
            <h2>
              <em className="pz-game-title">Connections</em>
              <span id="portal-game-date" className="pz-game-date" />
            </h2>
          </>
        )}
      />
      <InlineVar
        name="gameData"
        value={{ connectionsShortzDate: data }}
      />
    </CacheSafePage>
  )
})

export default ConnectionsShortz
