import React from 'react'

import {
  Page,
  AdsFrame,
  GameContainer,
  withServerData,
  CacheSafeAdsFrame,
  CacheSafePage,
} from '../components/index'

export const Crossword = withServerData(({ gameData }) => (
  <CacheSafePage
    navProps={{ isGamePage: true }}
    suppressFooterOnMobile
  >
    <CacheSafeAdsFrame>
      <GameContainer
        id="crossword-container"
        gameData={gameData}
        renderHeader={() => <div className="xwd__header--spacer" />}
      />
      {/* eslint-disable-next-line jsx-a11y/media-has-caption */}
      <audio id="strut">
        <source
          src="https://static01.nyt.com/packages/other/crossword/puzzle-media/shared/San_Jose_Strut.mp3"
          type="audio/mpeg"
        />
      </audio>
    </CacheSafeAdsFrame>
  </CacheSafePage>
))
