import React from 'react'
import pt from 'prop-types'
import { Provider } from 'react-redux'

import { getHubVariant } from '../../../shared/hub/Layout/Layout'
import {
  CacheSafeAd,
  CacheSafePage,
  InlineVar,
  withServerData,
} from '../components/index'

export const Hub = ({
  userType,
  hubPuzzles,
  deviceType,
  compliance,
  sponsorship,
  navigationLinks,
}) => {
  const hubVariant = getHubVariant(deviceType)

  const hubProps = {
    userType,
    hubPuzzles,
    deviceType,
    compliance,
    sponsorship,
    navigationLinks,
    hubVariant,
  }

  return (
    <CacheSafePage>
      <div id="hub-root" />
      <div id="hub-modal" />
      <InlineVar name="__HUB_PROPS__" value={hubProps} />
      <CacheSafeAd id="ad-bottom" position="bottom" />
    </CacheSafePage>
  )
}

Hub.propTypes = {
  userType: pt.shape({ hasXwd: pt.bool }),
  hubPuzzles: pt.shape({}),
  deviceType: pt.shape({}),
  compliance: pt.shape({}),
  sponsorship: pt.shape({}),
  navigationLinks: pt.shape({
    letterBoxed: pt.string,
    subscribe: pt.string,
  }),
}

export default withServerData(Hub)
