import React from 'react'

import {
  withServerData,
  CacheSafePage,
  CacheSafeAdsFrame,
  GameContainer,
} from '../components/index'

export const LetterBoxed = withServerData(({ gameData }) => (
  <CacheSafePage
    navProps={{ isGamePage: true }}
    suppressFooterOnMobile
  >
    <CacheSafeAdsFrame>
      <GameContainer
        id="letter-boxed-container"
        gameData={gameData}
        renderHeader={() => (
          <>
            <h2>
              <em className="pz-game-title">Letter Boxed</em>
              <span className="pz-game-date">{gameData.date}</span>
            </h2>
            <div className="pz-byline">
              <img
                alt="Letter Boxed"
                className="pz-byline__image"
                src={gameData.editorImage}
              />
              <span className="pz-byline__text">
                By {gameData.editor}
              </span>
            </div>
          </>
        )}
      />
    </CacheSafeAdsFrame>
  </CacheSafePage>
))

export default LetterBoxed
