import React from 'react'

import {
  CacheSafeAdsFrame,
  CacheSafePage,
  GameContainer,
  withServerData,
} from '../components/index'

export const SpellingBee = withServerData(({ gameData }) => (
  <CacheSafePage
    navProps={{ isGamePage: true }}
    suppressFooterOnMobile
  >
    <CacheSafeAdsFrame>
      <GameContainer
        id="spelling-bee-container"
        gameData={gameData}
        renderHeader={() => (
          <>
            <h2>
              <em className="pz-game-title">Spelling Bee</em>
              <span className="pz-game-date">
                {gameData.today.displayDate}
              </span>
            </h2>
            <div className="pz-byline">
              <span className="pz-byline__text">
                Edited by
                {` `}
                {gameData.today.editor}
              </span>
            </div>
          </>
        )}
      />
    </CacheSafeAdsFrame>
  </CacheSafePage>
))
