import React from 'react'

import {
  withServerData,
  CacheSafePage,
  CacheSafeAdsFrame,
  GameContainer,
} from '../components/index'

export const Sudoku = withServerData(({ gameData }) => {
  return (
    <CacheSafePage
      navProps={{ isGamePage: true }}
      suppressFooterOnMobile
    >
      <CacheSafeAdsFrame>
        <GameContainer
          id="sudoku-container"
          gameData={gameData}
          renderHeader={() => (
            <h2>
              <em className="pz-game-title">Sudoku</em>
              <span className="pz-game-date">
                {gameData.displayDate}
              </span>
            </h2>
          )}
        />
        <audio id="strut">
          <source
            src="https://static01.nyt.com/packages/other/crossword/puzzle-media/shared/San_Jose_Strut.mp3"
            type="audio/mpeg"
          />
        </audio>
      </CacheSafeAdsFrame>
    </CacheSafePage>
  )
})

export default Sudoku
