import React from 'react'
import PT from 'prop-types'

import { appendSupportedParams } from 'views/util'

import {
  withServerData,
  GameContainer,
  CacheSafePage,
} from '../components/index'

export const TilesShortzBase = ({ gameData }) => {
  return (
    <CacheSafePage
      navProps={{ isGamePage: true }}
      suppressFooterOnMobile
    >
      <div dangerouslySetInnerHTML={{ __html: gameData.iconsSVG }} />
      <GameContainer
        id="tiles-container"
        gameData={{ ...gameData }}
      />
    </CacheSafePage>
  )
}

TilesShortzBase.propTypes = {
  gameData: PT.object,
}

export const TilesShortz = withServerData(TilesShortzBase)
