import React from 'react'

import {
  withServerData,
  Page,
  InlineVar,
  AdsFrame,
  GameContainer,
  CacheSafePage,
  CacheSafeAdsFrame,
} from '../components/index'

export const Vertex = withServerData(({ gameData, deviceType }) => {
  return (
    <CacheSafePage
      navProps={{ isGamePage: true }}
      suppressFooterOnMobile
    >
      <CacheSafeAdsFrame>
        <GameContainer
          id="vertex-container"
          gameData={{
            api: gameData,
            isMobile: deviceType.isMobile,
          }}
          renderHeader={() => (
            <h2>
              <em className="pz-game-title">Vertex</em>
              <span className="pz-game-date">
                {gameData.displayDate}
              </span>
            </h2>
          )}
        />
      </CacheSafeAdsFrame>
    </CacheSafePage>
  )
})

export default Vertex
