import React from 'react'

import {
  withServerData,
  CacheSafePage,
  GameContainer,
} from '../components/index'

export const VertexShortz = withServerData(({ gameData, deviceType }) => {
  return (
    <CacheSafePage navProps={{ isGamePage: true }} suppressFooterOnMobile>
        <GameContainer
            id="vertex-container"
            gameData={{
            api: gameData,
            isMobile: false,
            }}
            renderHeader={() => (
            <h2>
                <em className="pz-game-title">Vertex</em>
                <span className="pz-game-date">
                {gameData.displayDate}
                </span>
            </h2>
            )}
        />
    </CacheSafePage>
  )
})

export default VertexShortz
