import React from 'react'

import { wordleInitialDarkMode } from '../../util/wordleInitialDarkMode'
import {
  withServerData,
  InlineVar,
  CacheSafePage,
} from '../components/index'

export const WordleShortz = withServerData(({ data }) => {
  return (
    <CacheSafePage
      navProps={{ isGamePage: true }}
      suppressFooterOnMobile
    >
      <script
        type="text/javascript"
        // eslint-disable-next-line react/no-danger
        dangerouslySetInnerHTML={{
          __html: `(${wordleInitialDarkMode.toString()})();`,
        }}
      />
      <InlineVar name="gameData" value={{ wordleShortzDate: data }} />
    </CacheSafePage>
  )
})

export default WordleShortz
