import React from 'react'
import { screen, render } from '@testing-library/react'

import { hubPuzzles } from 'shared/hub/Progress/Progress.stories'

import { CacheSafePage } from '../../components/index'
import { Hub } from '../Hub'

jest.mock('../../components/index', () => ({
  CacheSafePage: () => <div data-testid="cache-safe-page" />,
  CacheSafeAd: jest.fn(),
  InlineVar: jest.fn(),
  withServerData: jest.fn(),
}))

describe('SERVER PAGES: HUB', () => {
  const defaultProps = {
    userType: { hasXwd: false },
    hubPuzzles,
    deviceType: {},
    compliance: {},
    sponsorship: {},
    navigationLinks: {
      letterBoxed: '',
      subscribe: '',
    },
  }

  it('Renders a page that contains CacheSafePage', () => {
    render(<Hub {...defaultProps} />)
    expect(screen.getByTestId('cache-safe-page')).toBeTruthy()
  })
})
