import React from 'react'
import { shallow } from 'enzyme'

import {
  GameContainer,
  CacheSafeAdsFrame,
} from '../../components/index'
import { TilesBase } from '../Tiles'

describe('SERVER PAGES: TILES', () => {
  const defaultProps = {
    gameData: {},
    navigationLinks: {
      login: '',
      register: '',
      subscribe: {
        tilesDefaultMobile: '',
        tilesDefaultDesktop: '',
      },
    },
    userType: { hasXwd: false, isLoggedIn: false },
    deviceType: { isMobile: false },
  }

  it('Renders a page that contains an CacheSafeAdsFrame and GameContainer', () => {
    const wrapper = shallow(<TilesBase {...defaultProps} />)

    expect(wrapper.find(GameContainer)).toHaveLength(1)
    expect(wrapper.find(CacheSafeAdsFrame)).toHaveLength(1)
  })
})
