import { createContext } from 'react'

import { AbraTests, AbraGetVariantFn, AbraExposeFn } from 'foundation'

type AbraContextProps = {
  getVariant: AbraGetVariantFn
  reportExposure: AbraExposeFn
  tests: AbraTests
  hasAbraLoaded: boolean
}

const AbraContext = createContext<AbraContextProps>({
  getVariant: () => null,
  reportExposure: (test: string) => null,
  tests: {},
  hasAbraLoaded: false,
})

export default AbraContext
