import React from 'react'

import { useUser } from 'user'

import AbraProvider from './AbraProvider'

// a version of AbraProvider that assumes it is inside of a UserProvider
const AbraProviderWithUser = ({
  children,
}: {
  children: React.ReactElement
}) => {
  const { userType } = useUser()

  return <AbraProvider userType={userType}>{children}</AbraProvider>
}

export default AbraProviderWithUser
