import { checkVersion } from './usePastPuzzles'

describe('usePastPuzzles - checkVersion', () => {
  it('should be false for empty string', () => {
    expect(checkVersion('', 1, 1)).toEqual(false)
  })

  it('should be false if major version is old', () => {
    expect(checkVersion('3.17', 4, 14)).toEqual(false)
  })

  it('should be true if major version is new', () => {
    expect(checkVersion('5.10', 4, 14)).toEqual(true)
  })

  it('should be false if major versions match and minor is old', () => {
    expect(checkVersion('4.9', 4, 14)).toEqual(false)
  })

  it('should be true if versions match', () => {
    expect(checkVersion('4.14', 4, 14)).toEqual(true)
  })

  it('should be true if major versions match and minor is new', () => {
    expect(checkVersion('4.14', 4, 9)).toEqual(true)
  })

  it('should handle patch versions', () => {
    expect(checkVersion('4.14.1', 4, 14)).toEqual(true)
    expect(checkVersion('4.14.1', 4, 15)).toEqual(false)
  })
})
