import React from 'react'

import useAbra from './useAbra'

const withAbra = <P extends object>(
  Component: React.ComponentType<P>,
) => {
  const WithAbra = (props: P) => {
    const abra = useAbra()

    return <Component abra={abra} {...props} />
  }

  return WithAbra
}

export default withAbra
