import React from 'react'
import cn from 'classnames'

const iTunesAppLink =
  'https://apps.apple.com/us/app/new-york-times-crossword/id307569751'

const playStoreAppLink =
  'https://play.google.com/store/apps/details?id=com.nytimes.crossword'

export default function Download() {
  return (
    <main className="page-wrapper">
      <div className="row">
        <div className="column">
          <div className="column-left">
            <div className="app-logo" />
            <h1>
              New puzzles daily. <br />
              Download the app.
            </h1>
            <p className="p-desktop">
              Play Wordle, Spelling Bee, Sudoku,{' '}
              <br className="show" />
              The Crossword and more. <br className="hide" />
              Scan the code <br className="show" />
              for the New York Times Games app.
            </p>
            <p className="p-mobile">
              Play Wordle, Spelling Bee, Sudoku, <br />
              The Crossword and more in the <br />
              New York Times Games app.
            </p>

            <div className="app-qr" />
            <div className="content__menu-wrapper">
              <ul className="download-menu">
                <li
                  className={cn(
                    'download-menu__item',
                    'download-menu__item--apple',
                  )}
                >
                  <a
                    href={iTunesAppLink}
                    className="download-menu__link"
                  >
                    <button type="button" className="menu__apple">
                      &nbsp;
                    </button>
                  </a>
                </li>
                <li
                  className={cn(
                    'download-menu__item',
                    'download-menu__item--google',
                  )}
                >
                  <a
                    href={playStoreAppLink}
                    className="download-menu__link"
                  >
                    <button type="button" className="menu__android">
                      &nbsp;
                    </button>
                  </a>
                </li>
              </ul>
            </div>
          </div>
        </div>
        <div className="column column-right">
          <div className="column-right" />
        </div>
      </div>
      {/* <div className="page-wrapper__inner">
        <div className="hero">
          <img
            alt=""
            className="hero__img"
            src="https://www.nytimes.com/games-assets/marketing/app-dl-sq-animated.gif"
          />
        </div>
        <div className="content">
          <div className="content__text">
            <h1 className="content__title">
              Games you can take&nbsp;anywhere.
            </h1>
            <div className="content__description-wrapper">
              <p className={cn('content__description', 'paragraph')}>
                Play The Crossword, The Mini and Spelling Bee in the
                Crossword app. Download it today,
                and&nbsp;pick&nbsp;up where you left off on
                any&nbsp;device.
              </p>
            </div>
          </div>
          <div className="content__menu-wrapper">
            <ul className="download-menu">
              <li
                className={cn(
                  'download-menu__item',
                  'download-menu__item--apple',
                )}
              >
                <a
                  href={iTunesAppLink}
                  className="download-menu__link"
                >
                  <button type="button" className="menu__apple">
                    &nbsp;
                  </button>
                </a>
              </li>
              <li
                className={cn(
                  'download-menu__item',
                  'download-menu__item--google',
                )}
              >
                <a
                  href={playStoreAppLink}
                  className="download-menu__link"
                >
                  <button type="button" className="menu__android">
                    &nbsp;
                  </button>
                </a>
              </li>
            </ul>
          </div>
        </div>
      </div> */}
    </main>
  )
}
