import checkAdSlotKVP from '../checkAdSlotKVP'

describe('checkAdSlotKVP', () => {
  it('should call updateAdReq if the page_view_id is different with new value', () => {
    const oldValue = 'oldValue'
    const newValue = 'newValue'
    const testKey = 'testKey'
    const updateAdReqSpy = jest.fn()
    jest.spyOn(global, 'window', 'get').mockReturnValue({
      // @ts-ignore
      AdSlot4: {
        getAdReq: () => ({ [testKey]: oldValue }),
        updateAdReq: updateAdReqSpy,
      },
    })
    checkAdSlotKVP(testKey, newValue)

    expect(updateAdReqSpy).toHaveBeenCalledWith({
      [testKey]: newValue,
    })
  })

  it('should not call updateAdReq if the page_view_id is the same', () => {
    const oldValue = 'updated-page-view-id'
    const newValue = oldValue
    const testKey = 'testKey'
    const updateAdReqSpy = jest.fn()
    jest.spyOn(global, 'window', 'get').mockReturnValue({
      // @ts-ignore
      AdSlot4: {
        getAdReq: () => ({ [testKey]: oldValue }),
        updateAdReq: updateAdReqSpy,
      },
    })
    checkAdSlotKVP(testKey, newValue)

    expect(updateAdReqSpy).not.toHaveBeenCalled()
  })
})
