import { MutableRefObject } from 'react'

export const handleNavigation = (
  containerRef: MutableRefObject<HTMLDivElement | null>,
  dir?: 'prev' | 'next',
) => {
  if (!containerRef.current) {
    return
  }
  const containerScroll = containerRef.current.scrollLeft
  const pageWidth = containerRef.current.offsetWidth
  const sign = dir === 'prev' ? -1 : 1
  containerRef.current.scrollTo(containerScroll + sign * pageWidth, 0)
}
