import '../shared-scripts'
import '../shared-styles'

import React from 'react'
import ReactDOM from 'react-dom'

import { UserProvider } from 'user'

import ClientSideScripts from '../components/ClientSideScripts'
import ShortzMode from '../../games/shared/ShortzMode'

import EditorialLinksTool from './EditorialLinksTool'

import './index.scss'

const root = document.getElementById('root')

ReactDOM.render(
  <>
    <ClientSideScripts />
    <UserProvider>
      <ShortzMode>
        <EditorialLinksTool />
      </ShortzMode>
    </UserProvider>
  </>,
  root,
)
