import '../shared-styles'
import '../shared-scripts'
import './index.scss'

import React from 'react'
import ReactDOM from 'react-dom'

import { UserProvider, useUser } from 'user'

import { trackImpression } from '../../games/helpers/tracking'
import ClientSideScripts from '../components/ClientSideScripts'
import Error from '../components/Error/Error'

const errorMsg = document.querySelector('div.pz-error__message > p')

if (errorMsg && errorMsg.innerText.includes('Letter Boxed')) {
  trackImpression('hardpaywall', 'letter-boxed-subscribe')
}

if (window.errorStackTrace) {
  console.log(window.errorStackTrace)
}

const root = document.getElementById('error-page-root')

const Layout = () => {
  const user = useUser()

  if (!user.hasLoaded) {
    return null
  }

  return (
    <Error
      error={{ status: window.errorStatus }}
      navigationLinks={window.navigationLinks}
      subscriptionCampaign={window.subscriptionCampaign}
      liraAsset={window.liraAsset}
      userType={user.userType}
    />
  )
}

ReactDOM.render(
  <>
    <ClientSideScripts />
    <UserProvider>
      <Layout />
    </UserProvider>
  </>,
  root,
)
