import { initializeGdpr } from '../gdpr'
import { abra } from '../abra'
import { parsePurrCookieValue } from '../parsePurrCookieValue'

jest.mock('../abra', () => ({
  abra: {
    getVariant: jest.fn(),
  },
}))

jest.mock('../parsePurrCookieValue', () => ({
  parsePurrCookieValue: jest.fn(),
}))

describe('gdpr function', () => {
  it('adds the fides script appropriately', () => {
    // @ts-ignore
    abra.getVariant.mockReturnValue('1_Enabled')
    // @ts-ignore
    parsePurrCookieValue.mockReturnValue({
      PURR_FidesTCF: 'show',
    })

    initializeGdpr()

    const script = document.querySelector('script')
    expect(script?.innerHTML.includes('fides')).toBeTruthy
  })

  it('adds the legacy gdpr script appropriately', () => {
    document.body.innerHTML = ''

    // @ts-ignore
    abra.getVariant.mockReturnValue('0_Control')
    // @ts-ignore
    parsePurrCookieValue.mockReturnValue({
      PURR_FidesTCF: 'hide',
    })

    initializeGdpr()

    const script = document.querySelector('script')
    expect(script?.src).toEqual(
      'https://www.nytimes.com/games-assets/gdpr/cookie-notice-v2.1.4.min.js',
    )
  })
})
