import getViewport from '../getViewport'

describe('getViewport', () => {
  afterEach(() => {
    jest.resetAllMocks()
  })

  test('should return large for viewports >= 970 wide', () => {
    jest.spyOn(window, 'matchMedia').mockImplementation((query) => ({
      matches: query === '(min-width: 970px)',
    }))
    expect(getViewport()).toEqual('large')
  })

  test('should return medium for viewports >= 700 wide', () => {
    jest.spyOn(window, 'matchMedia').mockImplementation((query) => ({
      matches: query === '(min-width: 700px)',
    }))
    expect(getViewport()).toEqual('medium')
  })

  test('should return small for all other viewports', () => {
    jest
      .spyOn(window, 'matchMedia')
      .mockImplementation((query) => ({ matches: false }))
    expect(getViewport()).toEqual('small')
  })
})
