import getCreativeId from '../getCreativeId'

describe('getCreativeId', () => {
  it('should return creativeId first', () => {
    const creativeId = 'return first'
    const sourceAgnosticCreativeId = 'return second'
    expect(
      getCreativeId({ creativeId, sourceAgnosticCreativeId }),
    ).toBe('return first')
  })
  it('should return the agnostic ID if creativeId is undefined', () => {
    const creativeId = undefined
    const sourceAgnosticCreativeId = 'agnostic ID'
    expect(
      getCreativeId({ creativeId, sourceAgnosticCreativeId }),
    ).toBe('agnostic ID')
  })
  it('should return undefined if both IDs are undefined', () => {
    expect(
      getCreativeId({
        creativeId: undefined,
        sourceAgnosticCreativeId: undefined,
      }),
    ).toBe(undefined)
  })
})
