import getIsAliceFromLocalStorage from '../getIsAliceFromLocalStorage'

import { mockPubAdsService } from './utils-test-mocks'

describe('getIsAliceFromLocalStorage', () => {
  afterEach(() => {
    jest.restoreAllMocks()
  })
  it('should return true if alice clientside key starts with "ls-"', () => {
    jest
      .spyOn(mockPubAdsService, 'getTargeting')
      .mockReturnValue(['ls-alice-key'])
    expect(getIsAliceFromLocalStorage(mockPubAdsService)).toBe(true)
  })
  it('should return false if alice clientside key does not start with "ls-"', () => {
    jest
      .spyOn(mockPubAdsService, 'getTargeting')
      .mockReturnValue(['alice-key'])
    expect(getIsAliceFromLocalStorage(mockPubAdsService)).toBe(false)
  })
})
