import getLineItemId from '../getLineItemId'

describe('getLineItemId', () => {
  it('should return lineItemId first', () => {
    const lineItemId = 'return first'
    const sourceAgnosticLineItemId = 'return second'
    expect(
      getLineItemId({ lineItemId, sourceAgnosticLineItemId }),
    ).toBe('return first')
  })
  it('should return the agnostic ID if creativeId is undefined', () => {
    const lineItemId = undefined
    const sourceAgnosticLineItemId = 'agnostic ID'
    expect(
      getLineItemId({ lineItemId, sourceAgnosticLineItemId }),
    ).toBe('agnostic ID')
  })
  it('should return undefined if both IDs are undefined', () => {
    expect(
      getLineItemId({
        lineItemId: undefined,
        sourceAgnosticLineItemId: undefined,
      }),
    ).toBe(undefined)
  })
})
