import {
  ALICE_CLIENTSIDE_KEY,
  AdSlotInstanceType,
  BT_KEY,
  CRITICAL_KEYS,
  ETEventData,
} from '../constants'

export default function hasImportantTargetingKeys(
  slot?: AdSlotInstanceType,
  service?: googletag.PubAdsService,
): Partial<ETEventData> {
  if (!slot?.getTargetingKeys || service === undefined) return {}

  const serviceLevelKvps = service.getTargetingKeys()
  const slotLevelKvps = slot.getTargetingKeys()
  const allKvps = [...serviceLevelKvps, ...slotLevelKvps]
  const hasCriticalKeys = CRITICAL_KEYS.every((key) =>
    allKvps.includes(key),
  )

  return {
    has_bt: allKvps.includes(BT_KEY),
    has_als_test_clientside: allKvps.includes(ALICE_CLIENTSIDE_KEY),
    has_critical_kvps: hasCriticalKeys,
  }
}
