import { PUB_EVENTS } from '@nyt/ad-slot'

import { AdSlotInstanceType, ETEventData } from '../constants'

import getIsAliceFromLocalStorage from './getIsAliceFromLocalStorage'
import hasImportantTargetingKeys from './hasImportantTargetingKeys'
import getGptService from './getGptService'
import getIsBtEmpty from './getIsBtEmpty'

export default function hasImportantTargetingKeysEtSchema(
  adSlotEventName: string,
  slot?: AdSlotInstanceType,
): Partial<ETEventData> {
  if (
    ![
      PUB_EVENTS.AD_DEFINED,
      PUB_EVENTS.AD_CALLED,
      PUB_EVENTS.AD_REQUEST_SENT,
    ].includes(adSlotEventName)
  ) {
    return {}
  }

  const service = getGptService()

  const hasKeysObject = hasImportantTargetingKeys(slot, service)

  const keys: Partial<ETEventData> = {
    ...hasKeysObject,
    is_alice_cache: getIsAliceFromLocalStorage(service),
    is_bt_empty: getIsBtEmpty(service),
  }

  return keys
}
