import getServiceUrl, { getParams } from './als/getServiceUrl'
import setAdSlotKVPsFromLocalStorage from './als/setAdSlotKVPsFromLocalStorage'
import setAdSlotKVPsFromApi from './als/setAdSlotKVPsFromApi'

const als = ({
  prop,
  plat,
  typ,
}: {
  prop: string
  plat: string
  typ?: string
}) => {
  // set our initial kvps in the chance that als doesn't report back fast enough
  setAdSlotKVPsFromLocalStorage().catch(console.warn)

  const { origin, pathname, host, search } = window?.location || {}

  const params = getParams({
    origin,
    pathname,
    search,
    prop,
    plat,
    typ,
  })

  const alsUrl = getServiceUrl(host, params)

  setAdSlotKVPsFromApi(alsUrl, params.uri).catch(console.warn)
}
export default als
