import serviceDataToKVPs from '../serviceDataToKVPs'

describe('serviceDataToKVPs', () => {
  beforeEach(() => {
    jest.restoreAllMocks()
  })
  it('should return empty object if no value passed in', () => {
    return expect(serviceDataToKVPs()).resolves.toEqual({})
  })
  it('should not include values that are not bt, mktg or sub from User object', () => {
    const data = {
      User: {
        bt: 'BT_TEST',
        mktg: 'MKTG_TEST',
        sub: 'SUB_TEST',
        extra: 'NOT THIS',
        extra_also: 'AND NOT THIS',
      },
    }

    return expect(serviceDataToKVPs(data)).resolves.toEqual({
      bt: 'BT_TEST',
      mktg: 'MKTG_TEST',
      sub: 'SUB_TEST',
    })
  })
})
