import setAdSlotKVPsFromLocalStorage from '../setAdSlotKVPsFromLocalStorage'

describe('setAdSlotKVPsFromLocalStorage', () => {
  afterEach(() => {
    jest.restoreAllMocks()
  })
  it('should catch as expected if getLocalStorageValues rejects', async () => {
    const expectedError = new Error('FOO_TEST_BAR_ERROR')

    jest
      .spyOn(jest.requireActual('../awaitAdSlot'), 'default')
      .mockResolvedValue({})

    jest
      .spyOn(
        jest.requireActual('../getLocalStorageValues'),
        'default',
      )
      .mockRejectedValue(expectedError)

    const warnSpy = jest
      .spyOn(console, 'warn')
      .mockImplementation(jest.fn())
    await setAdSlotKVPsFromLocalStorage()

    expect(warnSpy).toHaveBeenCalledWith(expectedError)
  })
  it('should catch as expected if awaitAdSlot rejects', async () => {
    const expectedError = new Error('FOO_TEST_BAR_ERROR')

    jest
      .spyOn(
        jest.requireActual('../getLocalStorageValues'),
        'default',
      )
      .mockResolvedValue({})
    jest
      .spyOn(jest.requireActual('../awaitAdSlot'), 'default')
      .mockRejectedValue(expectedError)

    const warnSpy = jest
      .spyOn(console, 'warn')
      .mockImplementation(jest.fn())
    await setAdSlotKVPsFromLocalStorage()

    expect(warnSpy).toHaveBeenCalledWith(expectedError)
  })
})
