import { DEV_HOST, PRD_HOST } from './constants'

export interface ServiceUrlParams {
  alice_rules_test: string | null
  uri: string
  prop: string
  plat: string
  typ?: string
}
export interface ParamBuilderType {
  origin?: string
  pathname?: string
  search?: string
  prop?: string
  plat?: string
  typ?: string
}
export const getParams = ({
  origin = '',
  pathname = '',
  search,
  prop = '',
  plat = '',
  typ = '',
}: ParamBuilderType): ServiceUrlParams => {
  const alice_rules_test = new URLSearchParams(search).get(
    'alice_rules_test',
  )

  return {
    alice_rules_test,
    uri: origin + pathname,
    prop,
    plat,
    typ,
  }
}

export default (host?: string, params?: ServiceUrlParams) => {
  const baseUrl = host === 'www.nytimes.com' ? PRD_HOST : DEV_HOST
  const url = new URL(baseUrl)
  const filteredParams = Object.entries(
    (params as object) || {},
  ).filter(([key, value]) => value !== null && value !== undefined)
  url.search = new URLSearchParams(filteredParams).toString()
  return url.href
}
