import { BT_KEY, MKTG_KEY, SUB_KEY, ALSData } from './constants'

export default (
  data: ALSData = { User: {}, Asset: {} },
): Promise<ALSData> =>
  new Promise((resolve) => {
    const userFilterKeys = [BT_KEY, MKTG_KEY, SUB_KEY]
    const { User = {}, Asset = {}, als_test_clientside } = data
    const filterUserKeys = ([key]: Array<string>) =>
      userFilterKeys.includes(key)

    const validUserEntries =
      Object.entries(User).filter(filterUserKeys)

    const filteredUserData = Object.fromEntries(
      validUserEntries,
    ) as unknown as { User: object }

    return resolve({
      ...Asset,
      ...filteredUserData,
      ...(als_test_clientside ? { als_test_clientside } : {}),
    })
  })
