import trackImpression, { getRequestFailure } from './trackImpression'
import getService from './getService'
import serviceDataToKVPs from './serviceDataToKVPs'
import awaitAdSlot from './awaitAdSlot'
import setKVPvalues from './setKVPvalues'
import setLocalStorageValues from './setLocalStorageValues'
import trackResponse from './trackResponse'

export default (alsUrl: string, url: string) => {
  return getService(alsUrl) // call ALS
    .then(trackResponse) // send any empty/missing data to ET
    .then(serviceDataToKVPs) // map data as needed
    .then(awaitAdSlot) // wait for adslot to trigger functions within cmd, i.e. adslot has initialized
    .then(setKVPvalues) // set kvps in adslot
    .then(setLocalStorageValues(window.localStorage)) // store relevant user info for later
    .catch(() => {
      trackImpression(getRequestFailure(url))
    })
}
