/**
 *
 * @param {object} [tests]
 * @param {string} [existingList] - example: dfp_hybrid_toggle_0_control,app_dfp_eclipse_1_preroll
 * @returns {string}
 */
const getAbraDFPTests = (tests = {}, existingList = '') => {
  // split by comma and filter out empty strings
  const existingArr =
    existingList.split(',').filter((value) => !!value) || []

  return Object.entries(tests)
    .filter(([key]) => /dfp/.test(key.toLowerCase()))
    .reduce((prev, [key, value]) => {
      const str = `${key}_${value}`.toLowerCase()
      return existingArr.includes(str) ? prev : prev.concat(str)
    }, [])
    .concat(existingArr)
    .join('&')
}
export default getAbraDFPTests
