/**
 * Define the viewport as small, medium, or large.
 *
 * These breakpoints are defined by the Ad Platforms team.
 * Best to check with them before making changes!
 */
export default function getViewport() {
  if (window.matchMedia('(min-width: 970px)').matches) {
    return 'large'
  }

  if (window.matchMedia('(min-width: 700px)').matches) {
    return 'medium'
  }

  return 'small'
}
