describe('prop', () => {
  afterEach(() => {
    jest.restoreAllMocks()
  })
  it('should return default platform when no viewport is set', () => {
    jest
      .spyOn(require('../../getViewport'), 'default')
      .mockReturnValue(undefined)
    expect(require('../prop').default()).toBe('nyt')
  })
  it('should return correct platform for a small viewport', () => {
    jest
      .spyOn(require('../../getViewport'), 'default')
      .mockReturnValue('small')
    expect(require('../prop').default()).toBe('mnyt')
  })
  it('should return correct platform for a medium viewport', () => {
    jest
      .spyOn(require('../../getViewport'), 'default')
      .mockReturnValue('medium')
    expect(require('../prop').default()).toBe('nyt')
  })
  it('should return correct platform for a large viewport', () => {
    jest
      .spyOn(require('../../getViewport'), 'default')
      .mockReturnValue('large')
    expect(require('../prop').default()).toBe('nyt')
  })
})
