import { PAGE_TYPE, SECTION } from './constants'
import { Prebidder } from './getActiveBidders'
import shouldLoadPrebid from './shouldLoadPrebid'

const loadBiddingScripts = (
  {
    loadScripts,
  }: {
    loadScripts?: (opts: {
      loadPrebid?: boolean
      pageType: string
      section: string
      setFastFetch?: boolean
      prebidOverrides: {
        activeBidders: Prebidder[]
      }
    }) => void
  } = {},
  pageName: string = '',
  activeBidders: Prebidder[],
) => {
  if (loadScripts) {
    loadScripts({
      pageType: PAGE_TYPE,
      section: SECTION,
      setFastFetch: true,
      loadPrebid: shouldLoadPrebid(pageName),
      prebidOverrides: { activeBidders },
    })
  }
}

export default loadBiddingScripts
