import {
  defineContract,
  bridgeCommands,
  COMMAND_BACK_TO_HUB,
} from '../commands'

describe('NATIVE BRIDGE: Contract', () => {
  const callNativeBridgeCommand = jest.fn()

  it('there should be ten bridge commands defined', () => {
    expect(bridgeCommands.length).toBe(11)
  })

  it('the contract should contain the same ten commands when compiled', () => {
    const bridge = defineContract(callNativeBridgeCommand)
    expect(Object.keys(bridge).sort()).toEqual(bridgeCommands.sort())
  })

  it('calling a native bridge method should call the underlying function provided by @nyt/native-bridge', () => {
    const bridge = defineContract(callNativeBridgeCommand)

    bridge.gamesBackToHub()
    expect(callNativeBridgeCommand).toBeCalledWith(
      COMMAND_BACK_TO_HUB,
    )
  })
})
