import initBridge, { shouldInitNativeBridge } from './initBridge'
import initMock, { shouldMockNativeBridge } from './initMock'
import hybridDebugger from './hybridDebugger'

/**
 * Initializes the Games native bridge or a mock of it
 */
export default (w = window) => {
  // Initialize either the mock or the bridge
  if (shouldMockNativeBridge()) {
    initMock(w)
  } else if (shouldInitNativeBridge()) {
    hybridDebugger('Initializing native bridge')

    try {
      initBridge(w)
    } catch (e) {
      hybridDebugger('Failed to initialize native bridge', [e])
    }
  } else {
    hybridDebugger('Neither mock nor native bridge initialized')
  }
}
export { SEND_EMAIL_TYPE } from './commands'
