import { GamesNativeBridge } from './commands'
import { isiOSNewsreader } from './detection'

/**
 * Execute any code that needs to happen only in iOS Hybrid
 */
export default (NativeBridge: GamesNativeBridge) => {
  /**
   * Disable pull-to-refresh functionality within the Newsreader app.
   *
   * Note: we do this within non-hybrid webviews as well as hybrid webviews in
   * Newsreader as the native bridge is available within both types of webviews
   *
   * Update 7/7/2022
   * I don't know why we need to do this, but this existed before and it fails in Android
   * so keep it iOS only
   *
   * Update 7/08/2022
   * This command is not implemented in the games app, so restrict it to newsreader only
   */
  if (isiOSNewsreader()) {
    NativeBridge.setPullToRefreshEnabled(false)
  }
}
