/**
 * NOTE:
 *   This is a temporary solution for adding a little dot
 *   to notify users that leaderboards is new.
 *   If we intend to do this more, we should consider a better idea
 */
import { localStore } from './aliases'
import { addClass, removeClass, addEventListener } from './dom'

const STORAGE_KEY = 'pz-seen-nav-promo'
const DISPLAY_CLASS = 'show-new'

const leaderboardNavPromo = (hamburger: HTMLElement) => {
  if (hamburger.classList.contains('during-promo')) {
    const hasSeen = localStore.getItem(STORAGE_KEY)

    if (!hasSeen) {
      addClass(hamburger, DISPLAY_CLASS)
      addEventListener(hamburger, 'click', () => {
        removeClass(hamburger, DISPLAY_CLASS)
        localStore.setItem(STORAGE_KEY, 'true')
      })
    }
  } else {
    localStore.removeItem(STORAGE_KEY)
  }
}

export default leaderboardNavPromo
