import * as Sentry from '@sentry/react'

import { makeAsyncValue, now } from './util'
import { win, sessionStore } from './aliases'
import { xhr } from './xhr'

export const user = makeAsyncValue<{ id: number }>(
  () => xhr.get(`/puzzles/user?bust=${now()}`), // the bust query prevents Windows 10 IE11 from caching
  sessionStore, // store this in the session
  'pz-user', // use this key
)

// window.userType is exposed by the backend
export const { userType } = win
