import React from 'react'
import { useSelector } from 'react-redux'

import type { UserType } from 'foundation'

import { HubState, HubUser } from '../store/state'
import AbraProvider from '../../abra/AbraProvider'

const AbraWrapper = ({
  children,
}: {
  children: React.ReactElement
}) => {
  const user = useSelector<HubState, HubUser>((state) => state.user)
  const regiId = user.id ? user.id.toString() : null

  // The hub uses server-side entitlements which doesn't match the client-side UserType
  const userType: UserType = {
    ...user,
    regiId,
  }

  return <AbraProvider userType={userType}>{children}</AbraProvider>
}

export default AbraWrapper
