import React from 'react'
import pt from 'prop-types'
import { connect } from 'react-redux'

import SponsoredCard from 'hub/SponsoredCard/SponsoredCard'
import StatsCard from 'hub/StatsCard/StatsCard'
import PromoCard from 'hub/PromoCard/PromoCard'

const AlternateCard = ({ sponsorship, user }) => {
  if (sponsorship) {
    return (
      <SponsoredCard
        puzzleCollection="promoPuzzle"
        sponsorship={sponsorship}
      />
    )
  }

  if (user.hasXwd) return <StatsCard />

  return <PromoCard />
}

AlternateCard.propTypes = {
  user: pt.shape({
    hasXwd: pt.bool,
  }),
  sponsorship: pt.shape({}),
}

const mapStateToProps = (state) => ({
  user: state.user,
  sponsorship: state.sponsorship,
})

export default connect(mapStateToProps)(AlternateCard)
