import React from 'react'
import cn from 'classnames'
import pt from 'prop-types'

import TrackInView from 'hub/TrackInView/TrackInView'
import { DOWNLOAD_APP } from 'hub/track/constants'

const DownloadApp = ({ os }) => {
  let url = ''

  switch (os) {
    case 'iOS': {
      url =
        'https://itunes.apple.com/us/app/nytimes-crossword-daily-word/id307569751?mt=8'
      break
    }

    case 'Android': {
      url =
        'https://play.google.com/store/apps/details?id=com.nytimes.crossword&referrer=utm_source%3DAndroidReaderMini%26utm_medium%3DCongratsModule%26utm_term%3DgetTheApp%26utm_campaign%3DMiniUpsell&pcampaignid=MKT-Other-global-all-co-prtnr-py-PartBadge-Mar2515-1' // eslint-disable-line max-len
      break
    }

    default: {
      url = ''
      break
    }
  }

  return (
    <TrackInView
      event="hub-download-app"
      tagName="a"
      href={url}
      target="_blank"
      rel="noopener noreferrer"
      className="hub-link"
    >
      <div
        className={cn(os.toLowerCase(), 'js-hub-tracker')}
        data-track-hub={DOWNLOAD_APP}
        role="button"
        aria-label={`Download ${os} app`}
        tabIndex={0}
      />
    </TrackInView>
  )
}

DownloadApp.propTypes = {
  os: pt.string,
}

export default DownloadApp
