import React from 'react'
import pt from 'prop-types'

import DownloadAppComponent from './DownloadApp'

const Template = ({ operatingSystem }) => (
  <DownloadAppComponent os={operatingSystem} />
)

const validOperatingSystems = ['iOS', 'Android', 'neither']
Template.propTypes = {
  operatingSystem: pt.oneOf(validOperatingSystems),
}

export const DownloadApp = Template.bind({})
DownloadApp.args = {
  operatingSystem: validOperatingSystems[0],
}

export default {
  component: DownloadApp,
  title: 'Hub/Top/Download App',
  argTypes: {
    operatingSystem: {
      control: {
        type: 'select',
        options: validOperatingSystems,
      },
    },
  },
  parameters: {
    layout: 'centered',
    backgrounds: {
      default: 'welcomeBlue',
      values: [
        {
          name: 'welcomeBlue',
          value: '#4d88f9',
        },
      ],
    },
  },
}
