import React from 'react'
import pt from 'prop-types'

import ourGames from '../../constants/ourGames'
import GameCardComponent from '../GameCard'

const Template = ({ game = 'Spelling Bee', subscriber }) => {
  const gameProps = {
    ...ourGames.find((g) => g.name === game),
    subscribe: subscriber ? null : 'foo',
    url: '',
  }

  return <GameCardComponent {...gameProps} />
}

const games = ourGames.map((g) => g.name)

export const GameCard = Template.bind({})
GameCard.args = {
  game: games[games.length - 1],
  subscriber: true,
}

export default {
  component: GameCard,
  title: 'Hub/Middle/Game Card',
  argTypes: {
    game: {
      control: {
        type: 'select',
        options: games,
      },
    },
  },
}

Template.propTypes = {
  game: pt.oneOf(games),
  subscriber: pt.bool,
}
