import React from 'react'
import pt from 'prop-types'

import ourGames from '../../constants/ourGames'

export const GameCardBackground = ({
  id = 'letter-boxed',
  color,
}) => (
  <div className={`hub-game-card ${id}`} style={{ width: '238px' }}>
    <div
      className="hub-game-card__cover"
      style={{
        height: '150px',
        backgroundColor: id === 'none' ? color : '',
      }}
    />
    <div className="hub-game-card__content">
      <p className="hub-game-card__description" />
    </div>
  </div>
)

GameCardBackground.args = {
  id: 'letter-boxed',
  color: '#000000',
}

const games = ourGames.map((g) => g.id)
games.push('none')

export default {
  title: 'Hub/Middle/Game Card Components/Game Card Background',
  component: GameCardBackground,
  parameters: {
    layout: 'centered',
  },
  argTypes: {
    id: {
      type: 'select',
      options: games,
    },
    color: {
      type: 'string',
      control: { type: 'color' },
    },
  },
}

GameCardBackground.propTypes = {
  id: pt.oneOf(games),
  color: pt.string,
}
