import React from 'react'
import pt from 'prop-types'

export const GameCardButton = ({ needsSubscription = false }) => (
  <div className="hub-game-card__button">
    {needsSubscription ? 'Subscribe' : 'Play'}
  </div>
)
GameCardButton.decorators = [
  (Story) => (
    <div style={{ width: '200px' }}>
      <Story />
    </div>
  ),
]

export default {
  title: 'Hub/Middle/Game Card Components/Game Card Button',
  component: GameCardButton,
  parameters: {
    layout: 'centered',
  },
}

GameCardButton.propTypes = {
  needsSubscription: pt.bool,
}
