import React from 'react'
import pt from 'prop-types'

import ourGames from '../../constants/ourGames'

export const GameCardDescription = ({
  id = 'letter-boxed',
  needsSubscription = false,
  text,
}) => {
  let description
  if (needsSubscription) {
    description = 'Challenge yourself with a new puzzle every day.'
  } else {
    description =
      id === 'none'
        ? text
        : ourGames.find((g) => g.id === id).description
  }

  return (
    <div className="hub-game-card__description">{description}</div>
  )
}

const games = ourGames.map((g) => g.id)
games.push('none')

export default {
  title: 'Hub/Middle/Game Card Components/Game Card Description',
  component: GameCardDescription,
  parameters: {
    layout: 'centered',
  },
  args: {
    text: 'To customize the text, set "id" to none and enter your text here.',
  },
  argTypes: {
    id: {
      type: 'select',
      options: games,
    },
  },
}

GameCardDescription.propTypes = {
  id: pt.oneOf(games),
  needsSubscription: pt.bool,
  text: pt.string,
}
