import React from 'react'
import pt from 'prop-types'

import ourGames from '../../constants/ourGames'

export const GameCardIcon = ({ id = 'letter-boxed' }) => (
  <div
    className={`hub-game-card ${id}`}
    style={{ border: '0px', pointerEvents: 'none', width: '240px' }}
  >
    <div className="hub-game-card__illustration" />
  </div>
)
GameCardIcon.args = {
  id: 'letter-boxed',
}

const games = ourGames.map((g) => g.id)

export default {
  title: 'Hub/Middle/Game Card Components/Game Card Icon',
  component: GameCardIcon,
  parameters: {
    layout: 'centered',
  },
  argTypes: {
    id: {
      type: 'select',
      options: games,
    },
  },
}

GameCardIcon.propTypes = {
  id: pt.oneOf(games),
}
