import React from 'react'
import pt from 'prop-types'

import ourGames from '../../constants/ourGames'

export const GameCardName = ({ id = 'letter-boxed', text }) => {
  return (
    <h4 className="hub-game-card__name">
      {id === 'none' ? text : ourGames.find((g) => g.id === id).name}
    </h4>
  )
}

const games = ourGames.map((g) => g.id)
games.push('none')

export default {
  title: 'Hub/Middle/Game Card Components/Game Card Name',
  component: GameCardName,
  parameters: {
    layout: 'centered',
  },
  args: {
    text: 'To customize the text, set "id" to none and enter your text here.',
  },
  argTypes: {
    id: {
      type: 'select',
      options: games,
    },
  },
}

GameCardName.propTypes = {
  id: pt.string,
  text: pt.string,
}
