import React from 'react'
import pt from 'prop-types'

import ourGames from '../../constants/ourGames'
import Section from '../../shared/Section/Section'

import { GameCard } from './GameCard.stories'

const Template = ({ subscriber, ourGames }) => (
  <Section className="hub-our-games">
    <div className="hub-our-games__container">
      <h3 className="section__header">More Games</h3>
      <div className="hub-our-games__content">
        {ourGames.map((game) => (
          <GameCard
            key={game.id}
            game={game.name}
            subscriber={subscriber}
          />
        ))}
      </div>
    </div>
  </Section>
)

export const GamesSectionPhone = Template.bind({})
GamesSectionPhone.parameters = {
  viewport: {
    defaultViewport: 'iphone12promax',
  },
}

export const GamesSectionNewsreader = Template.bind({})
GamesSectionNewsreader.decorators = [
  (Story) => <div className="pz-newsreader">{Story()}</div>,
]

GamesSectionNewsreader.parameters = {
  viewport: {
    defaultViewport: 'iphone12promax',
  },
}

export const GamesSectionTablet = Template.bind({})
GamesSectionTablet.parameters = {
  viewport: {
    defaultViewport: 'ipad',
  },
}

export const GamesSectionDesktop = Template.bind({})

export default {
  component: GamesSectionPhone,
  title: 'Hub/Middle/Games Section',
  decorators: [
    (Story) => (
      <div style={{ height: '100vh', 'overflow-y': 'scroll' }}>
        {Story()}
      </div>
    ),
  ],
  subcomponents: { GameCard },
  args: { subscriber: true, ourGames },
}
