import React from 'react'
import pt from 'prop-types'

import ModalSystemProvider from '../Modal/ModalSystemProvider'
import Layout from '../Layout/Layout'

const HubContainer = ({ api }) => {
  return (
    <ModalSystemProvider id="hub-modal">
      <Layout api={api} />
    </ModalSystemProvider>
  )
}

HubContainer.propTypes = {
  api: pt.shape({
    fetchAllStats: pt.func,
    fetchRecentPuzzles: pt.func,
    fetchPuzzleProgress: pt.func,
  }),
}

export default HubContainer
