import { HUB_VARIANT_MOAR_GAMES } from 'hub/store/constants'

import { getHubVariant } from './Layout'

describe('Layout', () => {
  const { location } = window

  describe('getHubVariant client side', () => {
    afterEach(() => {
      window.location = location
    })

    it('returns the more games variant when the moarGames query param is used and viewportcheck is < 768', () => {
      delete window.location

      window.location = {
        ...location,
        search: 'moarGames=1',
      }

      Object.defineProperty(document.body, 'clientWidth', {
        value: 300,
      })

      expect(getHubVariant()).toBe(HUB_VARIANT_MOAR_GAMES)
    })

    it('returns the more games variant when clientWidth is < 768', () => {
      Object.defineProperty(document.body, 'clientWidth', {
        value: 300,
      })

      expect(getHubVariant()).toBe(HUB_VARIANT_MOAR_GAMES)
    })
  })
})
