import {
  HUB_VARIANT_MOAR_GAMES,
  HUB_VARIANT_DEFAULT,
} from 'hub/store/constants'

import { getHubVariant } from './Layout'

describe('Layout', () => {
  describe('getHubVariant - server side', () => {
    it('renders the default hub on tablet devices', () => {
      const deviceType = {
        isTablet: true,
      }

      Object.defineProperty(document.body, 'clientWidth', {
        value: 768,
      })

      expect(getHubVariant(deviceType)).toBe(HUB_VARIANT_DEFAULT)
    })

    it('renders the more games hub on mobile, non newsreader devices', () => {
      const deviceType = {
        isMobile: true,
        newsreaderAppPlatform: '',
      }

      expect(getHubVariant(deviceType)).toBe(HUB_VARIANT_MOAR_GAMES)
    })

    it('renders the default hub when no device type is passed', () => {
      const deviceType = {}

      Object.defineProperty(document.body, 'clientWidth', {
        value: 768,
      })

      expect(getHubVariant(deviceType)).toBe(HUB_VARIANT_DEFAULT)
    })
  })
})
