import React from 'react'

import LoadingCard from './LoadingCard'
import type { LoadingCardProps } from './LoadingCard'

const Template = (args: LoadingCardProps) => <LoadingCard {...args} />

export const Default = Template.bind({})

export default {
  component: LoadingCard,
  title: 'Hub/Top/Loading Card',
  args: {
    cardType: 'primary',
  },
  argTypes: {
    cardType: {
      control: {
        type: 'select',
        options: ['primary', 'secondary', 'tertiary', 'bonus', 'day'],
      },
    },
  },
  parameters: {
    layout: 'centered',
    backgrounds: {
      default: 'welcomeBlue',
      values: [
        {
          name: 'welcomeBlue',
          value: '#4d88f9',
        },
      ],
    },
  },
}
