import React from 'react'
import ReactDOM from 'react-dom'

import { useModalSystem } from './ModalContext'
import { modals } from './ModalSystemProvider'

const Modals = (props) => {
  const modalSystem = useModalSystem()

  if (!modalSystem) {
    return null
  }

  return modals.map(({ name, Content }) => {
    return ReactDOM.createPortal(
      <Content
        open={modalSystem.open}
        close={modalSystem.close}
        {...props}
      />,
      modalSystem.get(name).root,
    )
  })
}

export default Modals
