import React from 'react'
import pt from 'prop-types'
import { connect } from 'react-redux'
import { compose } from 'redux'

import TrackInView from 'hub/TrackInView/TrackInView'
import PuzzleCard from 'hub/PuzzleCard/PuzzleCard'
import withPuzzleCollection from 'hub/withPuzzleCollection'

const PrimaryCard = ({
  puzzles: [puzzle],
  user,
  subscribeLinks,
  section,
}) => {
  const cardProps = { user, subscribeLinks, section }

  return puzzle ? (
    <TrackInView event="hub-daily">
      <PuzzleCard
        type="Featured"
        subType="Primary"
        puzzle={puzzle}
        title="The Crossword"
        {...cardProps}
      />
    </TrackInView>
  ) : null
}

const mapStateToProps = (state) => ({
  user: state.user,
  subscribeLinks: state.subscribeLinks,
})

PrimaryCard.propTypes = {
  user: pt.shape({}),
  subscribeLinks: pt.shape({}),
  puzzles: pt.arrayOf(pt.shape({})),
  section: pt.string,
}

export default compose(
  withPuzzleCollection,
  connect(mapStateToProps),
)(PrimaryCard)
