import React from 'react'

import { MONTHLY_BONUS } from 'hub/track/constants'

import {
  ISLAND,
  THUMBNAIL,
  FEATURED,
  CALENDAR,
  ICON,
} from './cardConstants'
import { cardPropTypes } from './adaptCardProps'

const CardContent = ({
  type,
  date,
  title,
  author,
  editor,
  progressIcon,
}) => {
  switch (type) {
    case FEATURED:
      return (
        <div className="puzzleInfoContent">
          {progressIcon}
          <h3 className="title">{title}</h3>
          <div className="date">
            <div className="date">{date}</div>
          </div>
          <hr />
          <div className="byline">
            {author}
            <br />
            {editor}
          </div>
        </div>
      )
    case ISLAND:
      return (
        <div
          className="puzzleInfoContent js-hub-tracker"
          data-track-hub={MONTHLY_BONUS}
        >
          <h3 className="title">{title}</h3>
          <div className="date">{date}</div>
          {progressIcon}
          <div className="byline">
            {author}
            <br />
            <span className="editor">{editor}</span>
          </div>
        </div>
      )
    case THUMBNAIL:
      return (
        <div className="puzzleInfoContent">
          <h3 className="oneLiner">{title}</h3>
          {progressIcon}
          <div className="date">{date}</div>
        </div>
      )
    case CALENDAR:
      return (
        <div className="puzzleInfoContent">
          {progressIcon}
          <div className="date">{date}</div>
        </div>
      )
    case ICON:
      return <div className="puzzleInfoContent">{progressIcon}</div>
    default:
      return null
  }
}

CardContent.propTypes = cardPropTypes

export default CardContent
