/**
 * CARD ACTIONS
 *
 * The card reacts to the user and puzzle
 * and depending on the combination,
 * it functions in one of four ways
 *
 * 1) PLAY: the puzzle is playable and user is xword subscriber
 * 2) PRINT: the puzzle is print only and the user is xword subscriber
 * 3) VIEW NEWSPAPER: the puzzle is printable but the user only has home delivery
 * 4) SUBSCRIBE: the user cannot do any other action, so card becomes an upsell
 */
export const PLAY = 'PLAY'
export const PRINT = 'PRINT'
export const SUBSCRIBE = 'SUBSCRIBE'
export const VIEW_NEWSPAPER = 'VIEW_NEWSPAPER'

/** for prop validation */
export const cardActions = [PLAY, PRINT, SUBSCRIBE, VIEW_NEWSPAPER]

/**
 * Card Types
 */
export const ISLAND = 'Island'
export const THUMBNAIL = 'Thumbnail'
export const FEATURED = 'Featured'
export const CALENDAR = 'Calendar'
export const ICON = 'Icon'

/** for prop validation */
export const cardTypes = [ISLAND, THUMBNAIL, FEATURED, CALENDAR, ICON]

/** for rendering wrapper */
export const cardTypeClassNames = {
  [THUMBNAIL]: 'thumb',
  [ISLAND]: 'island',
  [FEATURED]: 'featured button',
  [CALENDAR]: 'calendar',
  [ICON]: 'icon',
}

export const actionTypeClassNames = {
  [PLAY]: 'action-play',
  [PRINT]: 'action-print',
  [SUBSCRIBE]: 'action-subscribe',
  [VIEW_NEWSPAPER]: 'action-view-newspaper',
}
