import React from 'react'

import Print from '../Print'

import { PuzzleCardTitle } from './PuzzleCardTitle.stories'
import { PuzzleCardDate } from './PuzzleCardDate.stories'
import { PuzzleCardIcon } from './PuzzleCardIcon.stories'
import { PuzzleCardByline } from './PuzzleCardByline.stories'
import { PuzzleCardEditor } from './PuzzleCardEditor.stories'
import { PuzzleCardBackground } from './PuzzleCardBackground.stories'

const puzzleData = {
  puzzleId: 19180,
  title: 'Cryptic Crossword',
  formatType: 'Normal',
  publishType: 'Daily',
  printDate: '2021-04-18',
  author: 'John Halpern and Friends',
  editor: 'Will Shortz',
}

const Template = (args) => <PuzzleCardBackground {...args} />

export const PuzzleCard = Template.bind({})
PuzzleCard.args = {
  children: [
    <PuzzleCardTitle {...PuzzleCardTitle.args} key="0" />,
    <PuzzleCardDate {...PuzzleCardDate.args} key="1" />,
    <PuzzleCardIcon {...PuzzleCardIcon.args} key="2" />,
    <PuzzleCardByline {...PuzzleCardByline.args} key="3" />,
    <PuzzleCardEditor {...PuzzleCardEditor.args} key="4" />,
    <Print puzzle={puzzleData} key="5" />,
  ],
}

export default {
  component: PuzzleCard,
  title: 'Hub/Bottom/Puzzle Card',
  subcomponents: {
    PuzzleCardTitle,
    PuzzleCardDate,
    PuzzleCardIcon,
    PuzzleCardByline,
    PuzzleCardEditor,
    Print,
  },
  parameters: { layout: 'centered' },
  argTypes: {
    // controls for child components are currently not possible in Storybook. see
    // https://storybook.js.org/docs/react/workflows/stories-for-multiple-components#using-children-as-an-arg
    children: {
      table: { disable: true },
    },
  },
}
