import React from 'react'
import pt from 'prop-types'

import Section from '../shared/Section/Section'
import { PuzzleCard } from '../PuzzleCard/stories/PuzzleCard.stories'

const Template = ({ title, children }) => (
  <Section backgroundColor="white">
    <div className="hub-puzzle-group">
      <h2 className="hub-section-header">{title}</h2>
      <div className="hub-expand-to-row">{children}</div>
    </div>
  </Section>
)

export const PuzzleGroup = Template.bind({})
PuzzleGroup.args = {
  children: [
    <PuzzleCard {...PuzzleCard.args} key="puzzle-0" />,
    <PuzzleCard {...PuzzleCard.args} key="puzzle-1" />,
    <PuzzleCard {...PuzzleCard.args} key="puzzle-2" />,
    <PuzzleCard {...PuzzleCard.args} key="puzzle-3" />,
  ],
  title: 'Variety Puzzles',
}

export default {
  component: PuzzleGroup,
  title: 'Hub/Bottom/Puzzle Group',
  subcomponents: { PuzzleCard },
  args: {
    title: 'Variety Puzzles',
  },
  argTypes: {
    // controls for child components are currently not possible in Storybook. see
    // https://storybook.js.org/docs/react/workflows/stories-for-multiple-components#using-children-as-an-arg
    children: {
      table: { disable: true },
    },
  },
}

Template.propTypes = {
  title: pt.string,
  children: pt.arrayOf(pt.shape({})),
}
