import React from 'react'
import pt from 'prop-types'
import { connect } from 'react-redux'
import { compose } from 'redux'

import TrackInView from 'hub/TrackInView/TrackInView'
import PuzzleCard from 'hub/PuzzleCard/PuzzleCard'
import withPuzzleCollection from 'hub/withPuzzleCollection'

const SecondaryCard = ({
  user,
  subscribeLinks,
  puzzles: [puzzle],
  link,
}) => {
  const cardProps = { user, subscribeLinks }
  return puzzle ? (
    <TrackInView event="hub-mini">
      <PuzzleCard
        type="Featured"
        puzzle={puzzle}
        title={puzzle.title || 'The Mini'}
        link={link}
        {...cardProps}
      />
    </TrackInView>
  ) : null
}

const mapStateToProps = (state) => ({
  user: state.user,
  subscribeLinks: state.subscribeLinks,
})

SecondaryCard.propTypes = {
  user: pt.shape({}),
  subscribeLinks: pt.shape({}),
  link: pt.string,
  puzzles: pt.arrayOf(pt.shape({})),
}

export default compose(
  withPuzzleCollection,
  connect(mapStateToProps),
)(SecondaryCard)
