import React from 'react'
import { Provider } from 'react-redux'
import pt from 'prop-types'

import setUpStore from '../store/store'

import SponsoredCardComponent from './SponsoredCard'

const store = setUpStore({
  userType: {
    isLoggedIn: false,
    hasXwd: false,
  },
  deviceType: {},
  subscribeLinks: { default: '/' },
  hubPuzzles: {
    mini_puzzle: [
      {
        puzzle_id: 19169,
        format_type: 'Normal',
        publish_type: 'Mini',
        print_date: '2021-04-19',
        author: 'Jane Doe',
        editor: '',
        title: 'Puzzle Title',
      },
    ],
  },
})

const Template = ({ cardImage }) => (
  <Provider store={store}>
    <SponsoredCardComponent
      puzzleCollection="miniPuzzle"
      sponsorship={{ link: '/', cardImage }}
    />
  </Provider>
)

Template.propTypes = {
  cardImage: pt.string,
}

export const SponsoredCard = Template.bind({})
SponsoredCard.args = {
  cardImage:
    'https://www.nytimes.com/games-assets/sponsorship/Tenet_Card_Logo@2x.png',
}

export default {
  component: SponsoredCard,
  title: 'Hub/Top/Sponsored Card',
  parameters: {
    layout: 'centered',
    backgrounds: {
      default: 'welcomeBlue',
      values: [
        {
          name: 'welcomeBlue',
          value: '#4d88f9',
        },
      ],
    },
  },
}
