import React from 'react'
import moment from 'moment'

import withPuzzleCollection from '../withPuzzleCollection'
import { formatDate } from '../utils/time'

const buildWordplayHref = (date) => {
  const today = moment(date)
  const yesterday = today.clone().subtract(1, 'day')
  return `/${formatDate(
    yesterday,
    'YYYY/MM/DD',
  )}/crosswords/daily-puzzle-${formatDate(today, 'YYYY-MM-DD')}.html`
}

const WordplayLink = withPuzzleCollection(
  ({ puzzles: [puzzle], isMoarGamesVariant }) =>
    puzzle ? (
      <a
        href={buildWordplayHref(puzzle.print_date)}
        className="hub-wordplay-link"
      >
        Read about today&rsquo;s{' '}
        {isMoarGamesVariant ? 'Crossword' : 'puzzle'}
      </a>
    ) : null,
)

export default WordplayLink
