import React from 'react'
import { Provider } from 'react-redux'
import pt from 'prop-types'

import setUpStore from '../store/store'

import WordplayLinkComponent from './WordplayLink'

const storeArgs = {
  userType: {
    isLoggedIn: false,
    hasXwd: false,
  },
  subscribeLinks: { default: '/' },
  hubPuzzles: {
    mini_puzzle: [{}],
  },
}

const store = setUpStore(storeArgs)
const Template = ({ isMoarGamesVariant }) => (
  <Provider store={store}>
    <WordplayLinkComponent
      puzzleCollection="miniPuzzle"
      isMoarGamesVariant={isMoarGamesVariant}
    />
  </Provider>
)

Template.propTypes = {
  isMoarGamesVariant: pt.bool,
}

export const WordplayLink = Template.bind()
WordplayLink.args = {
  isMoarGamesVariant: false,
}

export default {
  component: WordplayLink,
  title: 'Hub/Top/Wordplay Link',
  parameters: {
    layout: 'centered',
    backgrounds: {
      default: 'welcomeBlue',
      values: [
        {
          name: 'welcomeBlue',
          value: '#4d88f9',
        },
      ],
    },
  },
}
