import React from 'react'
import PT from 'prop-types'

const Tab = ({ isCurrentTab, title, ...props }) => {
  return (
    <button type="button" {...props}>
      <span>{title}</span>
      {/*
       * The duplication in the dom is a trick to minimize the shift from
       * the font changing weight
       */}
      {isCurrentTab ? (
        <div className="active">
          <span>{title}</span>
        </div>
      ) : null}
    </button>
  )
}

Tab.propTypes = {
  isCurrentTab: PT.bool,
  title: PT.string.isRequired,
}

export default Tab
