import React from 'react'
import propTypes from 'prop-types'

import { tabPropTypes } from '../../../sharedPropTypes'

const TabContents = ({ children, title, tab }) => {
  const dataTitle = tab ? tab.key : title

  return (
    <div data-tab-title={dataTitle} className="tab_tabBody">
      {tab && tab.content}
      {children}
    </div>
  )
}

TabContents.propTypes = {
  children: propTypes.node,
  title: propTypes.string,
  tab: tabPropTypes,
}

export default TabContents
