import React from 'react'
import { shallow } from 'enzyme'

import TabContents from './TabContents'

describe('COMPONENT: TabContent', () => {
  const defaultProps = {
    children: undefined,
    title: 'a tab',
    tab: {
      key: 'test-tab',
      content: <div id="tab-props">Woah a tab!</div>,
      Tab: <div />,
    },
  }

  const childProps = {
    children: <div id="tab-children">Another tab!</div>,
    title: 'another tab',
    Tab: <div />,
  }

  it("displays the tab's content as a prop on the tab object", () => {
    const wrapper = shallow(<TabContents {...defaultProps} />)

    expect(wrapper.find('#tab-props')).toHaveLength(1)
  })

  it("displays the tab's content as children", () => {
    const wrapper = shallow(<TabContents {...childProps} />)

    expect(wrapper.find('#tab-children')).toHaveLength(1)
  })
})
