import localforage from 'localforage'

import {
  ANONYMOUS_ID,
  CHANGE_BLOCK_OPACITY,
  CHANGE_PRINT_LAYOUT,
} from './constants'

const storeUserPrefs = ({
  user = { id: ANONYMOUS_ID },
  printPrefs,
}) => {
  const { id } = user

  return localforage
    .setItem(`${id}#preferences`, { printPrefs })
    .catch(() => {
      // noop
    })
}

const POTENTIAL_SYNC_ACTIONS = [
  CHANGE_BLOCK_OPACITY,
  CHANGE_PRINT_LAYOUT,
]

export const persistPreferences = (store) => (next) => (action) => {
  const { type } = action
  const result = next(action)

  if (POTENTIAL_SYNC_ACTIONS.includes(type)) {
    storeUserPrefs(store.getState())
  }

  return result
}
