import { trackClick } from 'foundation'

import {
  THE_CROSSWORD,
  THE_MINI,
  WORDPLAY,
  SPELLING_BEE,
  WORDLE,
  CONNECTIONS,
  LETTER_BOXED,
  TILES,
  SUDOKU,
  VERTEX,
  ALL_GAMES,
  STATS,
  CROSSWORD_ARCHIVES,
  HOW_TO_SOLVE,
  FEATURED_ARTICLE,
  THE_DAILY,
  DOWNLOAD_APP,
  MONTHLY_BONUS,
} from './constants'

/**
 *
 * https://docs.google.com/spreadsheets/d/1ia9nBlnUrVi_jkE-CYsCoKElSweGi8MWlcRJWSNFG0E/edit#gid=420489817
 * lines 187 - 211
 */
export const determineTracking =
  (name) =>
  (title, context = null) => {
    if (THE_DAILY.includes(title)) {
      return trackClick({ name, label: 'daily-archive', context })
    }

    switch (title) {
      case THE_CROSSWORD:
        return trackClick({ name, label: 'daily-page', context })
      case THE_MINI:
        return trackClick({ name, label: 'mini-page', context })
      case WORDPLAY:
        return trackClick({ name, label: 'wordplay', context })
      case SPELLING_BEE:
        return trackClick({ name, label: 'spelling-bee', context })
      case WORDLE:
        return trackClick({ name, label: 'wordle', context })
      case LETTER_BOXED:
        return trackClick({ name, label: 'letter-boxed', context })
      case CONNECTIONS:
        return trackClick({ name, label: 'connections', context })
      case TILES:
        return trackClick({ name, label: 'tiles', context })
      case SUDOKU:
        return trackClick({ name, label: 'sudoku', context })
      case VERTEX:
        return trackClick({ name, label: 'vertex', context })
      case ALL_GAMES:
        return trackClick({ name, label: 'nav-all-games', context })
      case STATS:
        return trackClick({ name, label: 'stats', context })
      case CROSSWORD_ARCHIVES:
        return trackClick({ name, label: 'daily-archive', context })
      case DOWNLOAD_APP:
        return trackClick({ name, label: 'download-app', context })
      case MONTHLY_BONUS:
        return trackClick({ name, label: 'monthly-bonus', context })
      case HOW_TO_SOLVE:
      case FEATURED_ARTICLE:
        return trackClick({
          name,
          label: 'featured-article',
          context,
        })
      default:
        return null
    }
  }

export const trackHubItem = determineTracking('hub')
