import { camelizeKeysDeep } from '../miscellany'

describe('util: object helpers', () => {
  test('camelize keys deep', () => {
    expect(
      camelizeKeysDeep({
        a_a: 'string',
        a_b: {
          b_a: 'string',
          b_b: true,
          b_c: [1, 'array', { c_a: {} }],
        },
        a_c: null,
        a_d: undefined,
        a_e: NaN,
      }),
    ).toMatchObject({
      aA: 'string',
      aB: {
        bA: 'string',
        bB: true,
        bC: [1, 'array', { cA: {} }],
      },
      aC: null,
      aD: undefined,
      aE: NaN,
    })
  })
})
