import normalizeCollections from '../normalizeCollections'

describe('UTILS: NORMALIZE COLLECTIONS', () => {
  it('should normalize puzzle data correctly', () => {
    const collections = {
      daily_puzzle: [
        {
          puzzle_id: 18454,
          title: '',
        },
      ],
      bonus_puzzle: [],
      entitlement: 'basic',
    }

    const expected = {
      puzzles: {
        18454: {
          puzzle_id: 18454,
          title: '',
        },
      },
      collections: {
        dailyPuzzle: [18454],
        bonusPuzzle: [],
      },
    }

    expect(normalizeCollections(collections)).toEqual(expected)
  })

  it('should handle an empty object', () => {
    const collections = {}
    const expected = { collections: {}, puzzles: {} }

    expect(normalizeCollections(collections)).toEqual(expected)
  })
})
