const convertToV6 = (state, payload) => {
  let puzzleData = payload
  if (!payload.publicationDate) {
    // if puzzle is in v2 format
    const format = payload.format_type || payload.formatType
    const publishType = payload.publish_type || payload.publishType

    let category
    let subcategory
    let publishStream = publishType.toLowerCase() // override proper case

    switch (publishType) {
      case 'Daily':
        publishStream = 'daily'
        break
      case 'Mini':
        subcategory = 2
        break
      default:
        subcategory = 0 // Standard
    }

    switch (format) {
      case 'Normal':
        category = 0
        break
      default:
        category = 8 // Other
    }

    puzzleData = {
      ...puzzleData,
      id: puzzleData.puzzle_id || puzzleData.puzzleId,
      publicationDate: puzzleData.print_date || puzzleData.printDate,
      category,
      subcategory,
      stream: publishStream,
    }
  }

  return {
    ...state,
    selectedPuzzle: puzzleData,
    isGeneratable: !puzzleData.category, // category is CROSSWORD
  }
}

export default convertToV6
