import moment from 'moment'

import OUR_GAMES from '../constants/ourGames'

import { convertSnakeToCamel } from './miscellany'

const createGamesSectionData = (data, userType, subscribeLinks) => {
  const freeProducts = data.free_products || []

  return OUR_GAMES.map((game) => {
    const finalGame = {
      freeUntil: null,
      ...game,
    }

    if (userType.hasXwd) {
      delete finalGame.subscriptionCampaign
      return finalGame
    }

    const freePromo = freeProducts.find((p) => p.name === game.id)

    if (freePromo && moment().unix() < freePromo.expiration) {
      finalGame.freeUntil = moment
        .unix(freePromo.expiration)
        .format('MMMM Do')
    } else {
      const gameName = `${convertSnakeToCamel(finalGame.id, '-')}Card`
      finalGame.subscribe =
        subscribeLinks[gameName] || subscribeLinks.default
    }

    delete finalGame.subscriptionCampaign
    return finalGame
  })
}

export default createGamesSectionData
