export const convertSnakeToCamel = (snake, char = '_') => {
  let camel = ''
  for (let i = 0; i < snake.length; i += 1) {
    camel +=
      snake[i] === char ? snake[(i += 1)].toUpperCase() : snake[i]
  }

  return camel
}

export const camelizeKeys = (obj) =>
  Object.entries(obj).reduce(
    (final, [key, val]) =>
      Object.assign(final, { [convertSnakeToCamel(key)]: val }),
    {},
  )

export const camelizeKeysDeep = (o) => {
  switch (true) {
    case !o:
      return o
    case Array.isArray(o):
      return o.map(camelizeKeysDeep)
    case typeof o === 'object':
      return Object.entries(o).reduce(
        (final, [key, val]) =>
          Object.assign(final, {
            [convertSnakeToCamel(key)]: camelizeKeysDeep(val),
          }),
        {},
      )
    default:
      return o
  }
}
