import React from 'react'
import pt from 'prop-types'
import cn from 'classnames'

import Button from '../Button/Button'

const InviteError = () => (
  <>
    <div className="lbd-invite__links">
      <a href="/puzzles/leaderboards" className="lbd-type__text-link">
        ‹ Leaderboards
      </a>
    </div>
    <div
      className={cn(
        'lbd-invite',
        'lbd-invite__error',
        'lbd-container-cols',
      )}
    >
      <div className="lbd-invite__col">
        <div className="lbd-invite__friends" />
      </div>
      <div className="lbd-col">
        <h1 className="lbd-type__heading-md">
          Oops, something went wrong.
        </h1>
        <p className="lbd-type__text">Please try again later.</p>
        <div className={cn('lbd-actions__block', 'single')}>
          <Button type="black" href="/puzzles/leaderboards">
            OK
          </Button>
        </div>
      </div>
    </div>
  </>
)

InviteError.propTypes = {
  error: pt.shape({}),
}

InviteError.defaultProps = {
  error: {},
}

export default InviteError
