import React from 'react'
import { shallow } from 'enzyme'

import ConfirmFriends from './ConfirmFriends'
import FriendsList from './FriendsList'

jest.mock('./FriendsList', () => () => '')
jest.mock('../Store/constants', () => ({
  CONNECTION_TYPES: {
    SELF: 'SELF',
    FRIEND: 'FRIEND',
    PENDING: 'PENDING',
    BLOCKED: 'BLOCKED',
  },
}))

describe('LEADERBOARD: CONFIRM FRIENDS', () => {
  it('renders title', () => {
    const confirmFriends = shallow(<ConfirmFriends />)
    const title = confirmFriends.find('.lbd-type__heading')

    expect(title.text()).toBe('Confirm your request(s):')
  })

  it('renders the friends list', () => {
    const confirmFriends = shallow(<ConfirmFriends />)
    const list = confirmFriends.find(FriendsList)

    expect(list.prop('type')).toBe('PENDING')
    expect(list.prop('title')).toBe('')
    expect(list.prop('empty')).toBe('No pending requests.')
    expect(list.prop('filter')({ id: 1 })).toBe(true)
    expect(
      list.prop('filter')({
        id: 1,
        pendingState: 'awaiting',
      }),
    ).toBe(false)
  })
})
