import React from 'react'
import pt from 'prop-types'

import { CONNECTION_TYPES } from '../../Store/constants'

import Self from './Self'
import Friend from './Friend'
import Pending from './Pending'
import Blocked from './Blocked'

const renderers = {
  [CONNECTION_TYPES.FRIEND]: Friend,
  [CONNECTION_TYPES.PENDING]: Pending,
  [CONNECTION_TYPES.BLOCKED]: Blocked,
  [CONNECTION_TYPES.SELF]: Self,
}

const Connection = (props) => {
  const { type } = props
  return React.createElement(renderers[type], props)
}

Connection.propTypes = {
  type: pt.oneOf(Object.keys(renderers)),
}

export default Connection
