import React from 'react'
import { shallow } from 'enzyme'

import Connection from './index'

import Self from './Self'
import Friend from './Friend'
import Pending from './Pending'
import Blocked from './Blocked'

jest.mock('../../Store/constants', () => ({
  CONNECTION_TYPES: {
    FRIEND: 'FRIEND',
    PENDING: 'PENDING',
    BLOCKED: 'BLOCKED',
    SELF: 'SELF',
  },
}))

jest.mock('./Self', () => () => '')
jest.mock('./Friend', () => () => '')
jest.mock('./Pending', () => () => '')
jest.mock('./Blocked', () => () => '')

describe('LEADERBOARDS: MANAGE FRIENDS / CONNECTION', () => {
  const connectionTypes = {
    SELF: Self,
    FRIEND: Friend,
    PENDING: Pending,
    BLOCKED: Blocked,
  }

  Object.entries(connectionTypes).forEach(([type, Friend]) => {
    it(`should wrap ${type}`, () => {
      expect(Friend).toBeDefined()

      const connection = shallow(
        <Connection type={type} foo bar={false} />,
      )
      const wrapped = connection.find(Friend)

      expect(wrapped.prop('foo')).toBe(true)
      expect(wrapped.prop('bar')).toBe(false)
    })
  })
})
