import React from 'react'

import { CONNECTION_TYPES, PENDING_STATES } from '../Store/constants'

import FriendsList from './FriendsList'

const ManageFriends = () => (
  <div className="lbd-manage lbd-container-md">
    <div className="lbd-manage__heading">
      <h2 className="lbd-type__heading-sm">Leaderboards Settings</h2>
    </div>
    <FriendsList type={CONNECTION_TYPES.SELF} title="You" />
    <FriendsList
      type={CONNECTION_TYPES.PENDING}
      title="Pending Requests"
      empty="No pending requests."
      filter={(user) =>
        user.pendingState !== PENDING_STATES.CONFIRMED}
    />
    <FriendsList
      type={CONNECTION_TYPES.FRIEND}
      title="Friends"
      empty="No friends yet!"
    />
    <FriendsList
      type={CONNECTION_TYPES.BLOCKED}
      title="Blocked"
      empty="No blocked friends."
      toggle="Blocked List"
    />
  </div>
)

export default ManageFriends
