import React from 'react'
import pt from 'prop-types'
import cn from 'classnames'

const Modals = ({ isOpen, onClose, children, showClose }) => {
  return isOpen ? (
    <div className={cn('lbd-modals')}>
      <div
        role="button"
        className="lbd-modals__scrim"
        onClick={onClose}
      />
      <div className="lbd-modals__box">
        <div className="lbd-modal lbd-type__centered">
          {showClose && (
            <div
              role="button"
              onClick={onClose}
              className="lbd-modal__toggle"
            />
          )}
          {children}
        </div>
      </div>
    </div>
  ) : null
}

Modals.propTypes = {
  isOpen: pt.bool.isRequired,
  onClose: pt.func.isRequired,
  showClose: pt.bool,
  children: pt.node,
}

export default Modals
