import React from 'react'
import { mount } from 'enzyme'

import Modals from './Modals'

describe('MODAL: WINDOW', () => {
  it('should close when scrim is clicked', () => {
    const onClose = jest.fn()
    const modal = mount(<Modals isOpen onClose={onClose} />)
    expect(modal.find('.lbd-modals__scrim').prop('onClick')).toBe(
      onClose,
    )
    expect(modal.find('.lbd-modal__toggle').exists()).toBe(false)
  })

  it('should render toggle', () => {
    const onClose = jest.fn()
    const modal = mount(<Modals isOpen onClose={onClose} showClose />)
    expect(modal.find('.lbd-modal__toggle').exists()).toBe(true)
    expect(modal.find('.lbd-modal__toggle').prop('onClick')).toBe(
      onClose,
    )
  })
})
