import React from 'react'
import { shallow } from 'enzyme'

import PendingRequests from './PendingRequests'

describe('LEADERBOARD: PENDING REQUESTS', () => {
  test('renders link', () => {
    const pending = shallow(<PendingRequests pendingRequests={1} />)
    expect(pending.find('a').prop('href')).toBe(
      '/puzzles/leaderboards/confirm',
    )
  })

  test('renders text button', () => {
    const pending = shallow(<PendingRequests pendingRequests={1} />)
    expect(
      pending.find('.lbd-pending__view.lbd-type__text-button').text(),
    ).toBe('View')
  })

  test('singular', () => {
    const pending = shallow(<PendingRequests pendingRequests={1} />)
    expect(pending.find('.lbd-pending__count').text()).toBe(
      '1 friend request',
    )
  })

  test('plural', () => {
    const pending = shallow(<PendingRequests pendingRequests={2} />)
    expect(pending.find('.lbd-pending__count').text()).toBe(
      '2 friend requests',
    )
  })
})
