import * as constants from './constants'

export const editSelf = (payload) => ({
  type: constants.SELF_EDIT,
  payload,
  api: true,
})

export const editSelfEnter = () => ({
  type: constants.SELF_EDIT_ENTER,
})

export const editSelfLeave = () => ({
  type: constants.SELF_EDIT_LEAVE,
})

export const editSelfUpdate = (payload) => ({
  type: constants.SELF_EDIT_UPDATE,
  payload,
})

export const removeFriend = (payload) => ({
  type: constants.FRIEND_REMOVE,
  payload,
  api: true,
})

export const blockFriend = (payload) => ({
  type: constants.FRIEND_BLOCK,
  payload,
  api: true,
})

export const confirmingPending = (payload) => ({
  type: constants.PENDING_CONFIRMING,
  payload,
})

export const apiConfirmPending = (payload) => ({
  type: constants.PENDING_CONFIRM,
  payload,
  api: true,
})

export const confirmPending = (payload) => {
  return (dispatch) => {
    dispatch(confirmingPending(payload))
    return dispatch(apiConfirmPending(payload))
  }
}

export const rejectPending = (payload) => ({
  type: constants.PENDING_REJECT,
  payload,
  api: true,
})

export const unblock = (payload) => ({
  type: constants.BLOCKED_UNBLOCK,
  payload,
  api: true,
})
