import {
  createStore,
  applyMiddleware,
  compose,
  combineReducers,
} from 'redux'
import thunk from 'redux-thunk'

import createConnectionMiddleware from './createConnectionMiddleware'
import connections from './reducer'

const rootReducer = combineReducers({
  connections,
})

const setUpStore = ({ connections, api }) => {
  const middleware = [
    applyMiddleware(thunk),
    applyMiddleware(createConnectionMiddleware(api)),
  ]

  if (
    typeof window !== 'undefined' &&
    window.__REDUX_DEVTOOLS_EXTENSION__
  ) {
    middleware.push(window.__REDUX_DEVTOOLS_EXTENSION__())
  }

  return createStore(
    rootReducer,
    { connections },
    compose(...middleware),
  )
}

export default setUpStore
