const forcePendingTime = (promise, minTime = 750) => {
  const start = Date.now()

  return promise.then((result) => {
    const end = Date.now()
    const duration = end - start

    const delay = minTime - duration

    if (delay <= 0) return result

    return new Promise((resolve, reject) => { /* eslint-disable-line no-unused-vars */
      setTimeout(() => {
        resolve(result)
      }, delay)
    })
  })
}

export default forcePendingTime
