import '../shared-styles'
import '../shared-scripts'

import React from 'react'
import ReactDOM from 'react-dom'

import { UserProvider } from 'user'
import ClientSideScripts from 'shared/components/ClientSideScripts'

import Layout from './Layout/Layout'
import APIContext from './api/APIContext'
import * as api from './api/api' // safe to import here because this is the front end

import './index.scss'

ReactDOM.render(
  <>
    <ClientSideScripts />
    <UserProvider>
      <APIContext.Provider value={api}>
        <Layout {...window.data} api={api} />
      </APIContext.Provider>
    </UserProvider>
  </>,
  document.getElementById('lbd-root'),
)
