import React from 'react'
import ReactDOM from 'react-dom'

import '../shared-styles'
import '../shared-scripts'
import './index.scss'
import ClientSideScripts from 'shared/components/ClientSideScripts'
import { UserProvider } from 'user'

const pageRoot = document.getElementById('maintenance')

const content = () => {
  return (
    <div className="pz_maintenance">
      <div className="pz-maintenance__text">
        <div className="pz-maintenance__title">
          We&#39;ll be back
          <br />
          in the game soon.
        </div>
        <div className="pz-maintenance__message">
          Our site is down for maintenance. Check back later, but in
          the meantime explore The New York Times.
        </div>
        <a
          className="pz-maintenance__button"
          href="https://www.nytimes.com"
        >
          Visit Home Page
        </a>
      </div>
      <div className="pz-maintenance__img" />
    </div>
  )
}

const ContentRoot = () => (
  <>
    <ClientSideScripts />
    <UserProvider>{content()}</UserProvider>
  </>
)

ReactDOM.render(<ContentRoot />, pageRoot)
