import { saleStartDate, saleEndDate, urgencyMessages } from './games'

/**
 * When a new sale occurs, import its start and end dates and urgency messages
 * i.e.
 *
 * import { saleStartDate, saleEndDate, urgencyMessages } from './aNewSale'
 */

describe('MARKETING: Sale messages and confirguration', () => {
  describe('Games Sale', () => {
    it('provies a start and end date for the sale', () => {
      expect(saleStartDate < saleEndDate).toBeTruthy()
    })

    it('provides an array of urgency messaging', () => {
      expect.arrayContaining([
        expect.objectContaining({
          value: 'copy',
          // @ts-ignore because this is valid for the test framework
          value: 'startDate',
        }),
      ])
    })

    it('the array of urgent messaging must be in reverse order of startDate', () => {
      let date = saleEndDate

      urgencyMessages.forEach((message) => {
        expect(message.startDate < date).toBe(true)
        date = message.startDate
      })
    })
  })
})
