import { useUser } from 'user'

import useSale from './useSale'

export default () => {
  const {
    isGamesSaleActive,
    upgradeMessage,
    acqMessage,
    getUrgencyMessage,
  } = useSale()

  const {
    userType: { entitlement },
  } = useUser()

  const getButtonText = () => {
    if (!isGamesSaleActive) return 'Subscribe'

    /**
     * Note (12/5/23): commenting out upgradeMessage condition, since upcoming Games sale
     * is not goaled for upgrades (all users that see sale assets will see acquisition messaging).
     *
     * Clean-up task to reinstate upgrade messaging: https://jira.nyt.net/browse/MWD-837
     * */

    // if (entitlement === 'sub' || entitlement === 'cr') {
    //   return upgradeMessage
    // }

    return acqMessage
  }

  return { isGamesSaleActive, getButtonText, getUrgencyMessage }
}
