import { useEffect, useState } from 'react'

import { deltaCookie } from 'shared/foundation/js/util'
import { useUser } from 'user'

export default () => {
  const [willShowDeltaBanner, setWillShow] = useState(false)
  const portalEl = document.querySelector('#delta-banner-portal')

  const { hasLoaded, userType } = useUser()

  useEffect(() => {
    if (hasLoaded) {
      if (
        !userType.isLoggedIn &&
        !window.isHybridWebView &&
        !window.newsreaderAppPlatform
      ) {
        setWillShow(!!deltaCookie && !!portalEl)
      }
    }
  }, [hasLoaded])

  useEffect(() => {
    if (willShowDeltaBanner) {
      const navDrawer = document.querySelector('#js-nav-drawer')
      if (willShowDeltaBanner) {
        navDrawer?.classList.add('top-sale-banner-drawer')
      } else {
        navDrawer?.classList.remove('top-sale-banner-drawer')
      }
    }
  }, [willShowDeltaBanner])

  return {
    willShowDeltaBanner,
    portalEl,
  }
}
