import { UserType } from 'foundation'

import { debug } from './debug'

/**
 * Allows us to slowly ramp traffic to the Meter Service. Additionally provides a debug
 * switch for Games devs to mock meter responses.
 */
export const willMakeMeterRequest = () =>
  !debug.isMeterInDebugMode &&
  (window.abra?.getVariant?.('GAMES_meterIntegration_0228') ===
    '1_meter')

/**
 * Allows us to toggle whether or not to gate real users with the Meter response. Import this
 * function into your Redux middleware or React component.
 */
export const willUseMeterToGate = () =>
  // don't call for any apps
  !window.isHybridWebView && !window.newsreaderAppPlatform
