import { grantReasons } from './MeterTypes'
import {
  openMeterCredentials,
  mockRetrieveMeterValue,
  setDebugResponse,
} from './debug'

const closedMeter = {
  loggedIn: false,
  grantReason: grantReasons.METER_LIMIT,
  granted: false,
  isOffline: true,
}

describe('Meter: Debugging utilities', () => {
  it('allows developers to mock an open meter', async () => {
    const retrievedValue = await mockRetrieveMeterValue('http://')
    expect(retrievedValue).toEqual(
      expect.objectContaining({ ...openMeterCredentials }),
    )
  })

  it('allows developers to specify their own mocked responses from meter', async () => {
    setDebugResponse({
      debugMode: true,
      meterCredentials: closedMeter,
    })

    const retrievedValue = await mockRetrieveMeterValue('http://')
    expect(retrievedValue).toEqual(
      expect.objectContaining(closedMeter),
    )
  })
})
