import {
  LOAD_MOOGLE_POST,
  MOOGLE_POST_ERROR,
  MOOGLE_POST_SUCCESS,
} from './moogleActions'
import { moogleReducer } from './moogleReducer'

describe('moogleReducer', () => {
  it('should load moogle post for two different puzz ids', () => {
    const state1 = moogleReducer(undefined, {
      type: LOAD_MOOGLE_POST,
      payload: { puzzleId: '1' },
    })

    const state2 = moogleReducer(state1, {
      type: LOAD_MOOGLE_POST,
      payload: { puzzleId: '2' },
    })

    expect(state2.postRequest['1'].isLoading).toEqual(true)
    expect(state2.postRequest['2'].isLoading).toEqual(true)
  })

  it('should succeed moogle post for two different puzz ids', () => {
    const state1 = moogleReducer(undefined, {
      type: MOOGLE_POST_SUCCESS,
      payload: { puzzleId: '1' },
    })

    const state2 = moogleReducer(state1, {
      type: MOOGLE_POST_SUCCESS,
      payload: { puzzleId: '2' },
    })

    expect(state2.postRequest['1'].isLoading).toEqual(false)
    expect(state2.postRequest['2'].isLoading).toEqual(false)
    expect(state2.postRequest['1'].error).toEqual(false)
    expect(state2.postRequest['2'].error).toEqual(false)
  })

  it('should fail moogle post for two different puzz ids', () => {
    const state1 = moogleReducer(undefined, {
      type: MOOGLE_POST_ERROR,
      payload: { puzzleId: '1', message: '' },
    })

    const state2 = moogleReducer(state1, {
      type: MOOGLE_POST_ERROR,
      payload: { puzzleId: '2', message: '' },
    })

    expect(state2.postRequest['1'].isLoading).toEqual(false)
    expect(state2.postRequest['2'].isLoading).toEqual(false)
    expect(state2.postRequest['1'].error).toEqual(true)
    expect(state2.postRequest['2'].error).toEqual(true)
  })
})
