import { CoreState, Player } from '@nyt/games-schema'

export interface MoogleData extends CoreState {
  schema_version: string
}

export type PostResponse = {
  version: string
  player?: Player | null
  error?: string
}

export type MultiStateResponse = {
  states?: MoogleData[]
  error?: string
  user_id?: number
  player?: Player | null
}

export type MoogleState = {
  getRequest: {
    isLoading: boolean
    error: boolean
    errorMessage: string | null
    regiId: number | null
    statesByPuzzleId: {
      [puzzleId: string]: MoogleData
    }
  }
  postRequest: {
    [puzzleId: string]: {
      isLoading: boolean
      error: boolean
      errorMessage: string | null
      isErrorRetry: boolean
    }
  }
  pendingSaves: string[]
  player: Player | null
}
