import React from 'react'
import { mount } from 'enzyme'

import useBody from '../useBody'

jest.mock('../../foundation/js/parsePurrCookieValue', () => ({
  parsePurrCookieValue: () => ({
    PURR_DataSaleOptOutUI_v2: 'hide',
    PURR_CaliforniaNoticesUI: 'show',
    PURR_AdConfiguration_v3: 'full',
    PURR_FidesTCF: 'hide',
  }),
}))

const body = document.querySelector('body')

const MockComponent = () => {
  const { setUserType } = useBody()
  setUserType({
    regiId: '12345',
    hasXwd: true,
  })

  return <div />
}

describe('HOOK: useBody', () => {
  beforeEach(() => {
    mount(<MockComponent />)
  })

  it('sets purr classes on the element', () => {
    expect(
      body.classList.contains('pz-purr-californianotices-show'),
    ).toEqual(true)
    expect(
      body.classList.contains('pz-purr-datasaleoptout-hide'),
    ).toEqual(true)
    expect(
      body.classList.contains('pz-purr-adconfiguration-full'),
    ).toEqual(true)
    expect(body.classList.contains('pz-purr-fidestcf-hide')).toEqual(
      true,
    )
  })

  it('sets user classes on the element', () => {
    expect(body.classList.contains('pz-sub')).toEqual(true)
  })
})
