import React from 'react'
import cn from 'classnames'

import useTimeout from '../../../games/shared/hooks/use-timeout'
import useInterval from '../../../games/shared/hooks/use-interval'
import { useHiddenHeader } from '../../../games/shared/hooks/use-hidden-header'

export default function Loading() {
  useHiddenHeader()
  const [isShowing, setShowing] = React.useState(false)
  const [fill, setFill] = React.useState(10)

  useTimeout(() => setShowing(true), 100)

  useInterval(
    () => {
      if (fill < 100 && Math.random() < 1 / 6) {
        setFill(fill + Math.random() * 15)
      }
    },
    isShowing ? 5 : null,
  )

  const fakeLoadingBar = (
    <div className="xwd--loading-bar">
      <div
        className="xwd--loading-bar__fill"
        style={{
          right: `${Math.max(100 - fill, 0)}%`,
        }}
      />
    </div>
  )

  return (
    <div className={cn('xwd__loading')} data-testid="stats-loading">
      {isShowing && fakeLoadingBar}
    </div>
  )
}
