import React from 'react'

type StatsOverviewProps = {
  solveRate: string
  puzzlesSolved: number
  currentStreak: number
  longestStreak: number
}

const StatsOverview = (props: StatsOverviewProps) => {
  const { puzzlesSolved, solveRate, currentStreak, longestStreak } =
    props

  return (
    <section id="stats-overview">
      <h1 className="stats-header">Your Statistics</h1>
      <div className="container cf">
        <div className="single-stat">
          <h2>{puzzlesSolved}</h2>
          <p>Puzzles Solved</p>
        </div>
        <div className="single-stat">
          <h2>{solveRate}</h2>
          <p>Solve Rate</p>
        </div>
        <div className="single-stat">
          <div className="icon-stats-streak" />
          <h2>{currentStreak}</h2>
          <p>Current Streak</p>
        </div>
        <div className="single-stat">
          <div className="icon-stats-streak" />
          <h2>{longestStreak}</h2>
          <p>Longest Streak</p>
        </div>
      </div>
    </section>
  )
}

export default StatsOverview
