import React from 'react'
import { fireEvent, render } from '@testing-library/react'

import WeeklyStats from '../WeeklyStats'
import StatsContainer from '../StatsContainer'
import { fakeStats } from '../api'

describe('<WeeklyStats />', () => {
  it('should add an active class on click', () => {
    // @ts-ignore
    const weeklyStats = render(<WeeklyStats {...fakeStats} />)
    const { debug, getByText, getByTestId } = weeklyStats
    expect(getByText('Daily Solve Times')).toBeInTheDocument()
    const sunday = getByTestId('single-day-sunday')
    const friday = getByTestId('single-day-friday')
    fireEvent.click(sunday)
    expect(getByTestId('single-day-sunday')).toHaveClass('active')
    fireEvent.click(friday)
    const sundayClassList = document.querySelectorAll(
      "[data-testid='single-day-sunday']",
    )[0].classList
    expect(sundayClassList.contains('active')).toBeFalsy()
    expect(getByTestId('single-day-friday')).toHaveClass('active')
  })
})
