import React, { createContext } from 'react'

import { UserType } from '../foundation/window'

import { defaultUserType } from './userHelpers'

export type UserContextProps = {
  userType: UserType
  updateUserType: (val: Partial<UserType>) => void
  hasLoaded: boolean
  shortzHasLoaded?: boolean
  setHasLoaded?: React.Dispatch<React.SetStateAction<boolean>>
}

const UserContext = createContext<UserContextProps>({
  userType: defaultUserType,
  updateUserType: () => {},
  hasLoaded: false,
  shortzHasLoaded: false,
  setHasLoaded: () => {},
})

export default UserContext
