import React from 'react'

import { appendSupportedParams } from 'foundation'

import useUser from '../useUser'

const Login = () => {
  const { hasLoaded, userType } = useUser()

  if (!hasLoaded || userType.isLoggedIn) return null

  const loginUrl = appendSupportedParams(
    window.navigationLinks.login,
    '&asset=navigation-bar',
  )

  return (
    <a href={loginUrl} className="pz-nav__button white">
      Log&nbsp;In
    </a>
  )
}

export default Login
