import React from 'react'
import ReactDOM from 'react-dom'

import { jsHook } from 'foundation'

import Login from './components/Login'
import Logout from './components/Logout'
import Subscribe from './components/Subscribe'
import Profile from './components/Profile'
import UserProvider from './UserProvider'
import useUser from './useUser'
import withUser from './withUser'
import { createUserInfoObject } from './userHelpers'

const NavUserActions = () => [
  ReactDOM.createPortal(
    <>
      <Subscribe />
      <Login />
    </>,
    document.getElementById(jsHook('nav-actions')) as HTMLElement,
  ),
  ReactDOM.createPortal(
    <>
      <Profile />
      <div className="pz-nav-drawer__account-actions">
        <Logout />
        <Subscribe />
        <Login />
      </div>
    </>,
    document.getElementById(jsHook('nav-profile')) as HTMLElement,
  ),
]

export {
  NavUserActions,
  UserProvider,
  createUserInfoObject,
  useUser,
  withUser,
}
