import React from 'react'

import useUser from './useUser'

const withUser = <P extends object>(
  Component: React.ComponentType<P>,
) => {
  const WithUser = (props: P) => {
    const user = useUser()

    return <Component user={user} {...props} />
  }

  return WithUser
}

export default withUser
