/* eslint-disable */

/**
 * Verifies whether this view is within a hybrid web view (i.e. within Games mobile app)
 * @returns {boolean}
 */
export function isHybridWebView() {
  return !!(window !== undefined && window.isHybridWebView)
}

/**
 * Verifies whether this view is within the NYT newsreader app (And||iOS)
 * @returns {boolean}
 */
export function isInNewsreader() {
  return !!(window !== undefined && window.newsreaderAppPlatform)
}
export function isFirefox() {
  return navigator.userAgent.toLowerCase().indexOf('firefox') > -1
}

export function browserDetect() {
  let userAgent = navigator.userAgent
  let browserName

  if (userAgent.match(/chrome|chromium|crios/i)) {
    browserName = 'chrome'
  } else if (userAgent.match(/firefox|fxios/i)) {
    browserName = 'firefox'
  } else if (userAgent.match(/safari/i)) {
    browserName = 'safari'
  } else if (userAgent.match(/opr\//i)) {
    browserName = 'opera'
  } else if (userAgent.match(/edg/i)) {
    browserName = 'edge'
  } else {
    browserName = 'No browser detection'
  }

  return browserName
}
