const axios = require('axios')
const fs = require('fs-extra')

const logger = require('../src/serverLogger')
const { SHORTZ_MODE_URL, DIST_ROOT } = require('../src/constants')

const url = `${SHORTZ_MODE_URL}/api/member/shortz`

module.exports = async () => {
  logger.headingInfo('Fetching Shortz-mode users')

  let users = { shortz: [] }
  try {
    users = await axios.get(url).then((r) => r.data)
  } catch (e) {
    // Use the empty list
    logger.error(
      'failed to fetch shortz mode users from puzzle people: ',
      e,
    )
  }

  logger.info(`writing shortz.json with ${JSON.stringify(users)}...`)
  fs.outputFile(`${DIST_ROOT}/shortz.json`, JSON.stringify(users))
}
