const postcss = require('postcss')

const { USE_DIST, ROUTE_ASSETS } = require('../src/constants')

module.exports = postcss.plugin(
  'postcss-node-modules-replacer',
  () => {
    const createUrl = USE_DIST
      ? (raw) => raw.replace(/\/public/g, ROUTE_ASSETS)
      : (raw) => raw.replace(/\/public/g, '.')

    /* eslint-disable-next-line no-unused-vars */
    return (css, ctx) => {
      // images
      css.walkRules((rule) => {
        rule.walkDecls((decl) => {
          if (decl.value.includes('/public')) {
            decl.value = createUrl(decl.value)
          }
        })
      })
      // fonts
      css.walkAtRules('font-face', (rule) => {
        rule.walkDecls((decl) => {
          if (decl.value.includes('/public')) {
            decl.value = createUrl(decl.value)
          }
        })
      })
    }
  },
)
