#!/usr/bin/env bash

echo "3 prerequisites required:"
echo "  1. Checking for Git.."
git --version 2>&1 >/dev/null
GIT_IS_AVAILABLE=$?
if [ $GIT_IS_AVAILABLE -eq 1 ]; then
    echo "Please install git and try again."
    echo "  For instructions, go here: https://git-scm.com/book/en/v2/Getting-Started-Installing-Git"
    exit 1
fi
echo "    - Git is installed!"

echo "  2. Checking for JQ..."
if ! command -v jq &> /dev/null
then
    echo "Please install jq and try again."
    echo "  For instructions, go here: https://stedolan.github.io/jq/download/"
    exit 1
fi
echo "    - JQ is installed!"

echo "  3. Checking for tilesConfig.json file"
if [ ! -f ./src/server/util/tilesConfig.json ]; then
    echo "Config file not found in src/server/util/"
    echo "That's weird."
    exit 1
fi
echo "    - Tiles tilesConfig.json file found!"

echo ""
echo ""

echo "
     ______  ____  _        ___  _____
    |      ||    || |      /  _]/ ___/
    |      | |  | | |     /  [_(   \_
    |_|  |_| |  | | |___ |    _]\__  |
      |  |   |  | |     ||   [_ /  \ |
      |  |   |  | |     ||     |\    |
      |__|  |____||_____||_____| \___|

"
